-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "Lght"  ,
["FPV"] 		= A2A_MAP_Rings_inc  ,
["MTR"] 		= empty  ,
["WX"] 			= empty  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= EFIS_ADF1  ,
["ADF2"] 		= EFIS_ADF2  ,
["VOR1"] 		= EFIS_VOR1  ,
["VOR2"] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= GPS_PAGE_show  ,
["A +"]			= GPS_PAGE_inc  ,
["A ++"]		= GPS_PAGE_inc  ,
["A -"]			= GPS_PAGE_dec  ,
["A --"]		= GPS_PAGE_dec  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= EFIS_MINIMUMS_show  ,
["B +"]			= EFIS_MINIMUMS_inc  ,
["B ++"]		= EFIS_MINIMUMS_inc  ,
["B -"]			= EFIS_MINIMUMS_dec  ,
["B --"]		= EFIS_MINIMUMS_dec  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A +"]			= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A -"]			= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A +"]			= SPIT_CabinVent_inc  ,
["A ++"]		= SPIT_CabinVent_inc  ,
["A -"]			= SPIT_CabinVent_dec  ,
["A --"]		= SPIT_CabinVent_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A +"]			= GPS_ZOOM_inc  ,
["A ++"]		= GPS_ZOOM_inc  ,
["A -"]			= GPS_ZOOM_dec  ,
["A --"]		= GPS_ZOOM_dec  ,
["PRESS"] 		= GPS_CRSR_button  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "DeIc"  ,
["FPV"] 		= empty  ,
["MTR"] 		= empty  ,
["WX"] 			= empty  ,
["STA"] 		= A2A_MAP_VORNDB_toggle  ,
["WPT"] 		= empty  ,
["ARPT"] 		= A2A_MAP_Airports_toggle  ,
["DATA"] 		= A2A_MAP_FPlan_toggle  ,
["POS"] 		= empty  ,
["TERR"] 		= A2A_MAP_Terrain_toggle  ,
["ADF1"] 		= empty  ,
["ADF2"] 		= empty  ,
["VOR1"] 		= empty  ,
["VOR2"] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A +"]			= A2A_MAP_Rings_inc  ,
["A ++"]		= A2A_MAP_Rings_inc  ,
["A -"]			= A2A_MAP_Rings_dec  ,
["A --"]		= A2A_MAP_Rings_dec  ,
["PRESS"] 		= A2A_MAP_Compass_toggle  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A +"]			= A2A_MAP_Range_out  ,
["A ++"]		= A2A_MAP_Range_out  ,
["A -"]			= A2A_MAP_Range_in  ,
["A --"]		= A2A_MAP_Range_in  ,
["PRESS"] 		= A2A_MAP_toggle  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= true  ,
["IDENT"]		= "Othr"  ,
["FPV"] 		= empty  ,
["MTR"] 		= empty  ,
["WX"] 			= empty  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= empty  ,
["ADF2"] 		= empty  ,
["VOR1"] 		= empty  ,
["VOR2"] 		= empty  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= B17_C1TellTellLight_toggle  ,
["LNAV"] 		= B17_C1ServoPDI_toggle  ,
["CMDA"] 		= B17_C1Ail_toggle  ,
["CMDB"] 		= B17_C1Elev_toggle  ,
["CMDC"] 		= B17_C1Rud_toggle  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= DSP_MODE_toggle  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= B17_Tailwheel_unlocked  ,
["F/D DN"] 		= B17_Tailwheel_locked  ,
["MASTER UP"] 	= B17_C1Master_on  ,
["MASTER DN"] 	= B17_C1Master_off  ,
}


-- MCP CRS knob
CRS1 = {
["A SHOW"]		= CRS_show  ,
["A +"]			= CRS_plus  ,
["A ++"]		= CRS_plusfast  ,
["A -"]			= CRS_minus  ,
["A --"]		= CRS_minusfast  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A +"]			= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A -"]			= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A +"]			= B17_C1TurnControl_inc  ,
["A ++"]		= B17_C1TurnControl_inc  ,
["A -"]			= B17_C1TurnControl_dec  ,
["A --"]		= B17_C1TurnControl_dec  ,
["PRESS"] 		= B17_C1TurnControl_reset  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A +"]			= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A -"]			= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= Autopilot_PANEL_ALT_hold  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A +"]			= B17_C1Elev_inc  ,
["A ++"]		= B17_C1Elev_inc  ,
["A -"]			= B17_C1Elev_dec  ,
["A --"]		= B17_C1Elev_dec  ,
["PRESS"] 		= B17_C1Elev_reset  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= Autopilot_PANEL_HDG_hold  ,
["HDGHLD"] 		= Autopilot_HDG_hold  ,
["ALTHLD"] 		= Autopilot_ALT_hold  ,
["V/S FPA"] 	= Autopilot_VS_hold  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= Autopilot_NAV_hold  ,
["CMDA"] 		= Autopilot_MASTER_toggle  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= Autopilot_NAVGPS_toggle  ,
["CWSB"] 		= DSP_MODE_toggle  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= Autopilot_MASTER_on  ,
["MASTER DN"] 	= Autopilot_MASTER_off  ,
}


-- MCP CRS knob
CRS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= true  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= empty  ,
["CMDA"] 		= empty  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= DSP_MODE_toggle  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= empty  ,
["MASTER DN"] 	= empty  ,
}


-- MCP CRS knob
CRS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "empty"  ,
["0"] 		= Lights_PANEL_toggle  ,
["1"] 		= Lights_LANDING_toggle  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= _MARKER_SOUND_TOGGLE  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "empty"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= _MARKER_SOUND_TOGGLE  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= false  ,
["IDENT"]	= "empty"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= _MARKER_SOUND_TOGGLE  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}

