-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MOD1"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= MCP2weather_OAT_Wind_Celsius  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= empty  ,
["A  +"]		= P40_OXYAltSet_inc  ,
["A ++"]		= P40_OXYAltSet_inc  ,
["A  -"]		= P40_OXYAltSet_dec  ,
["A --"]		= P40_OXYAltSet_dec  ,
["PRESS"] 		= P40_OXYMask_andValve_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A  +"]		= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A  -"]		= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A  +"]		= P40_CabinVent_inc  ,
["A ++"]		= P40_CabinVent_inc  ,
["A  -"]		= P40_CabinVent_dec  ,
["A --"]		= P40_CabinVent_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A  +"]		= SPIT_defroster_inc  ,
["A ++"]		= SPIT_defroster_inc  ,
["A  -"]		= SPIT_defroster_dec  ,
["A --"]		= SPIT_defroster_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MAP"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= empty  ,
["STA ."] 		= A2A_MAP_VORNDB_toggle  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= A2A_MAP_Airports_toggle  ,
["DATA."] 		= A2A_MAP_FPlan_toggle  ,
["POS ."] 		= empty  ,
["TERR."] 		= A2A_MAP_Terrain_toggle  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A  +"]		= A2A_MAP_Rings_inc  ,
["A ++"]		= A2A_MAP_Rings_inc  ,
["A  -"]		= A2A_MAP_Rings_dec  ,
["A --"]		= A2A_MAP_Rings_dec  ,
["PRESS"] 		= A2A_MAP_Compass_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A  +"]		= A2A_MAP_Range_out  ,
["A ++"]		= A2A_MAP_Range_out  ,
["A  -"]		= A2A_MAP_Range_in  ,
["A --"]		= A2A_MAP_Range_in  ,
["PRESS"] 		= A2A_MAP_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "Othr"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= empty  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP1"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= VRI_DSP_MODE_toggle  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= Autopilot_AIRSPEED_hold  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= Autopilot_PANEL_HDG_hold  ,
["HHLD."] 		= Autopilot_HDG_hold  ,
["AHLD."] 		= Autopilot_ALT_hold  ,
["VHLD."] 		= Autopilot_VS_hold  ,
["APP ."] 		= empty  ,
["VNAV."] 		= Autopilot_ATT_hold  ,
["LNAV."] 		= Autopilot_NAV_hold  ,
["CMDA."] 		= Autopilot_MASTER_toggle  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= Autopilot_LOC_hold  ,
["CWSA."] 		= Autopilot_NAVGPS_toggle  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= Autopilot_MASTER_on  ,
["AP  :"] 		= Autopilot_MASTER_off  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A  +"]		= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A  -"]		= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A  +"]		= HDG_plus  ,
["A ++"]		= HDG_plusfast  ,
["A  -"]		= HDG_minus  ,
["A --"]		= HDG_minusfast  ,
["PRESS"] 		= Autopilot_HDG_Bug_align  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A  +"]		= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A  -"]		= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= Autopilot_ALTSEL_mode  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A  +"]		= VVS_plus  ,
["A ++"]		= VVS_plusfast  ,
["A  -"]		= VVS_minus  ,
["A --"]		= VVS_minusfast  ,
["PRESS"] 		= Autopilot_VSSEL_mode  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP2"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"] 		= "MCP3"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Oth"  ,
["BTN1."] 		= Lights_PANEL_toggle  ,
["BTN2."] 		= Lights_LANDING_toggle  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "MAP"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Othr"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM ."]	= Default_COM_select  ,
["NAV ."]	= Default_NAV_select  ,
["ADF ."]	= Default_ADF_select  ,
["DME ."]	= Default_DME_select  ,
["TRAN."]	= Default_XPND_select  ,
["TFR ."]	= Default_RADIOS_swap  ,
["STBY."]	= Default_RADIOS_mode  ,
["LAMP."]	= Default_LAMP_toggle  ,

["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}


DME1 = {
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"]	= empty  ,
}

FRE1 = {
["A SHOW"]	= empty  ,
["A  +"]	= Default_RADIOS_plus  ,
["A ++"]	= Default_RADIOS_plusfast  ,
["A  -"]	= Default_RADIOS_minus  ,
["A --"]	= Default_RADIOS_minusfast,
["PRESS"]	= Default_RADIOS_press  ,
}

