-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MFD"  ,
["FPV ."] 		= F1Must_MFD_ENTER_BUTTON  ,
["MTR ."] 		= F1Must_MFD_DIRECTTO_BUTTON  ,
["WX  ."] 		= MCP2weather_OAT_Wind_Celsius  ,
["STA ."] 		= F1Must_MFD_MENU_BUTTON  ,
["WPT ."] 		= F1Must_MFD_CLEAR_BUTTON  ,
["ARPT."] 		= GPS_NRST_button  ,
["DATA."] 		= F1Must_MFD_FLIGHTPLAN_BUTTON  ,
["POS ."] 		= F1Must_MFD_PROCEDURE_BUTTON  ,
["TERR."] 		= F1Must_MFD_Terrain  ,
["VORL:"] 		= EFIS_ADF1  ,
["VORR:"] 		= EFIS_ADF2  ,
["VORL."] 		= EFIS_VOR1  ,
["VORR."] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= GPS_PAGE_show  ,
["A  +"]		= F1Must_MFD_PAGE_inc  ,
["A ++"]		= F1Must_MFD_PAGE_inc  ,
["A  -"]		= F1Must_MFD_PAGE_dec  ,
["A --"]		= F1Must_MFD_PAGE_dec  ,
["PRESS"] 		= VRI_KNOB_MODE_toggle  ,
["B SHOW"]		= EFIS_MINIMUMS_show  ,
["B  +"]		= EFIS_MINIMUMS_inc  ,
["B ++"]		= EFIS_MINIMUMS_inc  ,
["B  -"]		= EFIS_MINIMUMS_dec  ,
["B --"]		= EFIS_MINIMUMS_dec  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A  +"]		= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A  -"]		= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_MFD_GROUP_inc  ,
["A ++"]		= F1Must_MFD_GROUP_inc  ,
["A  -"]		= F1Must_MFD_GROUP_dec  ,
["A --"]		= F1Must_MFD_GROUP_dec  ,
["PRESS"] 		= F1Must_MFD_CURSOR_BUTTON  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_MFD_ZoomIn  ,
["A ++"]		= F1Must_MFD_ZoomIn  ,
["A  -"]		= F1Must_MFD_ZoomOut  ,
["A --"]		= F1Must_MFD_ZoomOut  ,
["PRESS"] 		= F1Must_MFD_Traffic  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "PFD"  ,
["FPV ."] 		= F1Must_PFD_ENTER_BUTTON  ,
["MTR ."] 		= F1Must_PFD_DIRECTTO_BUTTON  ,
["WX  ."] 		= MCP2weather_OAT_Wind_Celsius  ,
["STA ."] 		= F1Must_PFD_MENU_BUTTON  ,
["WPT ."] 		= F1Must_PFD_CLEAR_BUTTON  ,
["ARPT."] 		= empty  ,
["DATA."] 		= F1Must_PFD_FLIGHTPLAN_BUTTON  ,
["POS ."] 		= F1Must_PFD_PROCEDURE_BUTTON  ,
["TERR."] 		= empty  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_PFD_PAGE_inc  ,
["A ++"]		= F1Must_PFD_PAGE_inc  ,
["A  -"]		= F1Must_PFD_PAGE_dec  ,
["A --"]		= F1Must_PFD_PAGE_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_G1000Bright_inc  ,
["A ++"]		= F1Must_G1000Bright_inc  ,
["A  -"]		= F1Must_G1000Bright_dec  ,
["A --"]		= F1Must_G1000Bright_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_PFD_GROUP_inc  ,
["A ++"]		= F1Must_PFD_GROUP_inc  ,
["A  -"]		= F1Must_PFD_GROUP_dec  ,
["A --"]		= F1Must_PFD_GROUP_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A  +"]		= F1Must_PFD_ZoomIn  ,
["A ++"]		= F1Must_PFD_ZoomIn  ,
["A  -"]		= F1Must_PFD_ZoomOut  ,
["A --"]		= F1Must_PFD_ZoomOut  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "WXR"  ,
["FPV ."] 		= RXP_WX500_TRACK_L  ,
["MTR ."] 		= RXP_WX500_TRACK_R  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= weather_OAT  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= RXP_WX500_SUBMODE_DN  ,
["VORR:"] 		= RXP_WX500_RANGE_DN  ,
["VORL."] 		= RXP_WX500_SUBMODE_UP  ,
["VORR."] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A  -"]		= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A  -"]		= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A  -"]		= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A  -"]		= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP1"  ,
["TO  ."] 		= Autopilot_TOGA_hold  ,
["GA  ."] 		= VRI_DSP_MODE_toggle  ,
["N1  ."] 		= Autopilot_N1_hold  ,
["SPD ."] 		= F1Must_AP_SPD_toggle  ,
["FLCH."] 		= F1Must_AP_FLC_toggle  ,
["SEL ."] 		= F1Must_AP_HDG_toggle  ,
["HHLD."] 		= Autopilot_HDG_hold  ,
["AHLD."] 		= F1Must_AP_ALT_toggle  ,
["VHLD."] 		= F1Must_AP_VS_toggle  ,
["APP ."] 		= Autopilot_APR_hold  ,
["VNAV."] 		= Autopilot_Attitude_hold  ,
["LNAV."] 		= Autopilot_NAV_hold  ,
["CMDA."] 		= F1Must_AP_toggle  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= Autopilot_LOC_hold  ,
["CWSA."] 		= F1Must_PFD_SOFTKEY6  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= Autopilot_AT_arm  ,
["AT  :"] 		= Autopilot_AT_disarm  ,
["FD  ."] 		= F1Must_FD_on  ,
["FD  :"] 		= F1Must_FD_off  ,
["AP  ."]	 	= F1Must_AP_on  ,
["AP  :"] 		= F1Must_AP_off  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A  +"]		= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A  -"]		= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A  +"]		= F1Must_HDG_inc  ,
["A ++"]		= F1Must_HDG_fastinc  ,
["A  -"]		= F1Must_HDG_dec  ,
["A --"]		= F1Must_HDG_fastdec  ,
["PRESS"] 		= Autopilot_HDG_BUG_align  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A  +"]		= F1Must_ALT_inc  ,
["A ++"]		= F1Must_ALT_inc_fast  ,
["A  -"]		= F1Must_ALT_dec  ,
["A --"]		= F1Must_ALT_dec_fast  ,
["PRESS"] 		= F1Must_AP_ALT_toggle  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A  +"]		= F1Must_VS_inc  ,
["A ++"]		= F1Must_VS_fastinc  ,
["A  -"]		= F1Must_VS_dec  ,
["A --"]		= F1Must_VS_fastdec  ,
["PRESS"] 		= F1Must_AP_VS_toggle  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP2"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"] 		= "MCP3"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Lght"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= VRI_EFIS_MODE_toggle  ,
["BTN7."] 		= VRI_MCP_MODE_toggle  ,
["BTN8."] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "IVAO"  ,
["BTN1."] 		= IVAO_ShowHide_toggle  ,
["BTN2."] 		= IVAO_TCAS_toggle  ,
["BTN3."] 		= IVAO_XPDR_toggle  ,
["BTN4."] 		= IVAO_XPDR_toggle  ,
["BTN5."] 		= IVAO_Squawk_toggle  ,
["BTN6."] 		= VRI_EFIS_MODE_toggle  ,
["BTN7."] 		= VRI_MCP_MODE_toggle  ,
["BTN8."] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= true  ,
["IDENT"]	= "TEST"  ,
["BTN1."] 		= test_inc_init  ,
["BTN2."] 		= test_dec  ,
["BTN3."] 		= test_inc  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= VRI_EFIS_MODE_toggle  ,
["BTN7."] 		= VRI_MCP_MODE_toggle  ,
["BTN8."] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM ."]	= Default_COM_select  ,
["NAV ."]	= Default_NAV_select  ,
["ADF ."]	= Default_ADF_select  ,
["DME ."]	= Default_DME_select  ,
["TRAN."]	= Default_XPND_select  ,
["TFR ."]	= Default_RADIOS_swap  ,
["STBY."]	= Default_RADIOS_mode  ,
["LAMP."]	= Default_LAMP_toggle  ,

["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}


DME1 = {
["A  +"]	= unassigned  ,
["A ++"]	= unassigned  ,
["A  -"]	= unassigned  ,
["A --"]	= unassigned  ,
["PRESS"]	= unassigned  ,
}

FRE1 = {
["A SHOW"]	= empty  ,
["A  +"]	= Default_RADIOS_plus  ,
["A ++"]	= Default_RADIOS_plusfast  ,
["A  -"]	= Default_RADIOS_minus  ,
["A --"]	= Default_RADIOS_minusfast,
["PRESS"]	= Default_RADIOS_press  ,
}

