-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MOD1"  ,
["FPV"] 		= empty  ,
["MTR"] 		= empty  ,
["WX"] 			= RXP_WX500_POPUP_TOGGLE  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= EFIS_ADF1  ,
["ADF2"] 		= EFIS_ADF2  ,
["VOR1"] 		= EFIS_VOR1  ,
["VOR2"] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= DesicionHeight_show  ,
["A +"]			= DesicionHeight_plus  ,
["A ++"]		= DesicionHeight_plusfast  ,
["A -"]			= DesicionHeight_minus  ,
["A --"]		= DesicionHeight_minusfast  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= DisplaysBrightness_show  ,
["B +"]			= DisplaysBrightness_plus  ,
["B ++"]		= DisplaysBrightness_plus  ,
["B -"]			= DisplaysBrightness_minus  ,
["B --"]		= DisplaysBrightness_minus  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A +"]			= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A -"]			= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= Bearing_CIRCLE_show  ,
["A +"]			= Bearing_CIRCLE_minus  ,
["A ++"]		= Bearing_CIRCLE_minus  ,
["A -"]			= Bearing_CIRCLE_plus  ,
["A --"]		= Bearing_CIRCLE_plus  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= Bearing_DIAMOND_show  ,
["B +"]			= Bearing_DIAMOND_plus  ,
["B ++"]		= Bearing_DIAMOND_plus  ,
["B -"]			= Bearing_DIAMOND_minus  ,
["B --"]		= Bearing_DIAMOND_minus  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= FlightmapZoom_show  ,
["A +"]			= FlightmapZoom_plus  ,
["A ++"]		= FlightmapZoom_plus  ,
["A -"]			= FlightmapZoom_minus  ,
["A --"]		= FlightmapZoom_minus  ,
["PRESS"] 		= EFIS_TCAS  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "WXR"  ,
["FPV"] 		= RXP_WX500_TRACK_L  ,
["MTR"] 		= RXP_WX500_TRACK_R  ,
["WX"] 			= RXP_WX500_POPUP_TOGGLE  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= RXP_WX500_SUBMODE_DN  ,
["ADF2"] 		= RXP_WX500_RANGE_DN  ,
["VOR1"] 		= RXP_WX500_SUBMODE_UP  ,
["VOR2"] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A -"]			= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A -"]			= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A -"]			= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A -"]			= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "Othr"  ,
["FPV"] 		= empty  ,
["MTR"] 		= empty  ,
["WX"] 			= empty  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= empty  ,
["ADF2"] 		= A2A_MAP_FPlan_toggle  ,
["VOR1"] 		= empty  ,
["VOR2"] 		= empty  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= Autopilot_HDG_mode  ,
["HDGHLD"] 		= Autopilot_HDG_mode  ,
["ALTHLD"] 		= Autopilot_ALT_mode  ,
["V/S FPA"] 	= Autopilot_VS_mode  ,
["APP"] 		= Autopilot_APR_mode  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= Autopilot_NAV_mode  ,
["CMDA"] 		= Autopilot_MASTER_on  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= EFIS_VL  ,
["CWSA"] 		= EFIS_LNAV  ,
["CWSB"] 		= EFIS_FULL_MAP  ,
["A/T UP"] 		= Autopilot_TRIM_PWR_on  ,
["A/T DN"] 		= Autopilot_TRIM_PWR_off  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= Autopilot_MASTER_on  ,
["MASTER DN"] 	= Autopilot_MASTER_off  ,
}


-- MCP CRS knob
CRS1 = {
["A SHOW"]		= CRS_show  ,
["A +"]			= CRS_plus  ,
["A ++"]		= CRS_plusfast  ,
["A -"]			= CRS_minus  ,
["A --"]		= CRS_minusfast  ,
["PRESS"] 		= Autopilot_CRS_KNOB_press  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A +"]			= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A -"]			= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= Autopilot_IAS_KNOB_press  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A +"]			= HDG_plus  ,
["A ++"]		= HDG_plusfast  ,
["A -"]			= HDG_minus  ,
["A --"]		= HDG_minusfast  ,
["PRESS"] 		= Autopilot_HDG_KNOB_press  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A +"]			= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A -"]			= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= Autopilot_ALTSEL_mode  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A +"]			= VVS_plus  ,
["A ++"]		= VVS_plusfast  ,
["A -"]			= VVS_minus  ,
["A --"]		= VVS_minusfast  ,
["PRESS"] 		= Autopilot_VS_mode  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= empty  ,
["CMDA"] 		= empty  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= empty  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= empty  ,
["MASTER DN"] 	= empty  ,
}


-- MCP CRS knob
CRS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "empty"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= empty  ,
["CMDA"] 		= empty  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= empty  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= empty  ,
["MASTER DN"] 	= empty  ,
}


-- MCP CRS knob
CRS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Lght"  ,
["0"] 		= Lights_CONSOLE_toggle  ,
["1"] 		= Flood_PANEL_toggle  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= empty  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "DeIc"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= empty  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= false  ,
["IDENT"]	= "Othr"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= empty  ,
["5"] 		= EFIS_MODE_toggle  ,
["6"] 		= MCP_MODE_toggle  ,
["7"] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}

