-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MOD1"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= MCP2weather_OAT_Wind_Celsius  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= EFIS_ADF1  ,
["VORR:"] 		= EFIS_ADF2  ,
["VORL."] 		= EFIS_VOR1  ,
["VORR."] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= DesicionHeight_show  ,
["A  +"]		= DesicionHeight_plus  ,
["A ++"]		= DesicionHeight_plusfast  ,
["A  -"]		= DesicionHeight_minus  ,
["A --"]		= DesicionHeight_minusfast  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= DisplaysBrightness_show  ,
["B  +"]		= DisplaysBrightness_plus  ,
["B ++"]		= DisplaysBrightness_plus  ,
["B  -"]		= DisplaysBrightness_minus  ,
["B --"]		= DisplaysBrightness_minus  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A  +"]		= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A  -"]		= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= Bearing_CIRCLE_show  ,
["A  +"]		= Bearing_CIRCLE_minus  ,
["A ++"]		= Bearing_CIRCLE_minus  ,
["A  -"]		= Bearing_CIRCLE_plus  ,
["A --"]		= Bearing_CIRCLE_plus  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= Bearing_DIAMOND_show  ,
["B  +"]		= Bearing_DIAMOND_plus  ,
["B ++"]		= Bearing_DIAMOND_plus  ,
["B  -"]		= Bearing_DIAMOND_minus  ,
["B --"]		= Bearing_DIAMOND_minus  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= FlightmapZoom_show  ,
["A  +"]		= FlightmapZoom_plus  ,
["A ++"]		= FlightmapZoom_plus  ,
["A  -"]		= FlightmapZoom_minus  ,
["A --"]		= FlightmapZoom_minus  ,
["PRESS"] 		= EFIS_TCAS  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "WXR"  ,
["FPV ."] 		= RXP_WX500_TRACK_L  ,
["MTR ."] 		= RXP_WX500_TRACK_R  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= RXP_WX500_SUBMODE_DN  ,
["VORR:"] 		= RXP_WX500_RANGE_DN  ,
["VORL."] 		= RXP_WX500_SUBMODE_UP  ,
["VORR."] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A  -"]		= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A  -"]		= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A  -"]		= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A  -"]		= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "Othr"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= empty  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= A2A_MAP_FPlan_toggle  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "empty"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= VRI_DSP_MODE_toggle  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= Autopilot_HDG_mode  ,
["HHLD."] 		= Autopilot_HDG_mode  ,
["AHLD."] 		= Autopilot_ALT_mode  ,
["VHLD."] 		= Autopilot_VS_mode  ,
["APP ."] 		= Autopilot_APR_mode  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= Autopilot_NAV_mode  ,
["CMDA."] 		= Autopilot_MASTER_on  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= EFIS_VL  ,
["CWSA."] 		= EFIS_LNAV  ,
["CWSB."] 		= EFIS_FULL_MAP  ,
["AT  ."] 		= Autopilot_TRIM_PWR_on  ,
["AT  :"] 		= Autopilot_TRIM_PWR_off  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= Autopilot_MASTER_on  ,
["AP  :"] 		= Autopilot_MASTER_off  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A  +"]		= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A  -"]		= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= Autopilot_IAS_KNOB_press  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A  +"]		= HDG_plus  ,
["A ++"]		= HDG_plusfast  ,
["A  -"]		= HDG_minus  ,
["A --"]		= HDG_minusfast  ,
["PRESS"] 		= Autopilot_HDG_KNOB_press  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A  +"]		= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A  -"]		= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= Autopilot_ALTSEL_mode  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A  +"]		= VVS_plus  ,
["A ++"]		= VVS_plusfast  ,
["A  -"]		= VVS_minus  ,
["A --"]		= VVS_minusfast  ,
["PRESS"] 		= Autopilot_VS_mode  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "empty"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= empty  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"] 		= "empty"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= empty  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "MOD1"  ,
["BTN1."] 		= Lights_CONSOLE_toggle  ,
["BTN2."] 		= Flood_PANEL_toggle  ,
["BTN3."] 		= JS41_Transponder_dec  ,
["BTN4."] 		= JS41_Transponder_inc  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "DeIc"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= false  ,
["IDENT"]	= "Othr"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM ."]	= Default_COM_select  ,
["NAV ."]	= Default_NAV_select  ,
["ADF ."]	= Default_ADF_select  ,
["DME ."]	= Default_DME_select  ,
["TRAN."]	= Default_XPND_select  ,
["TFR ."]	= Default_RADIOS_swap  ,
["STBY."]	= Default_RADIOS_mode  ,
["LAMP."]	= Default_LAMP_toggle  ,

["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}


DME1 = {
["A  +"]	= unassigned  ,
["A ++"]	= unassigned  ,
["A  -"]	= unassigned  ,
["A --"]	= unassigned  ,
["PRESS"]	= unassigned  ,
}

FRE1 = {
["A SHOW"]	= empty  ,
["A  +"]	= Default_RADIOS_plus  ,
["A ++"]	= Default_RADIOS_plusfast  ,
["A  -"]	= Default_RADIOS_minus  ,
["A --"]	= Default_RADIOS_minusfast,
["PRESS"]	= Default_RADIOS_press  ,
}

