-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "EFIS"  ,
["FPV ."] 		= GPS_ENTER_Button  ,
["MTR ."] 		= EFIS_FEETMTR  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= EFIS_VORNDB  ,
["WPT ."] 		= EFIS_WPT  ,
["ARPT."] 		= EFIS_ARPT  ,
["DATA."] 		= EFIS_DATA  ,
["POS ."] 		= GPS_PROC_Button  ,
["TERR."] 		= GPS_TERR_Button  ,
["VORL:"] 		= EFIS_ADF1  ,
["VORR:"] 		= EFIS_ADF2  ,
["VORL."] 		= EFIS_VOR1  ,
["VORR."] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= EFIS_MINIMUMS_show  ,
["A  +"]		= EFIS_MINIMUMS_inc  ,
["A ++"]		= EFIS_MINIMUMS_inc  ,
["A  -"]		= EFIS_MINIMUMS_dec  ,
["A --"]		= EFIS_MINIMUMS_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A  +"]		= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A  -"]		= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= EFIS_BARO_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A  +"]		= EFIS_Mode_inc  ,
["A ++"]		= EFIS_Mode_inc  ,
["A  -"]		= EFIS_Mode_dec  ,
["A --"]		= EFIS_Mode_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A  +"]		= EFIS_Range_inc  ,
["A ++"]		= EFIS_Range_inc  ,
["A  -"]		= EFIS_Range_dec  ,
["A --"]		= EFIS_Range_dec  ,
["PRESS"] 		= EFIS_TRFC  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "Lght"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= empty  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= Lights_BACKLIGHT_inc  ,
["A ++"]		= Lights_BACKLIGHT_inc  ,
["A  -"]		= Lights_BACKLIGHT_dec  ,
["A --"]		= Lights_BACKLIGHT_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A  +"]		= Lights_PANEL_FLOOD_inc  ,
["A ++"]		= Lights_PANEL_FLOOD_inc  ,
["A  -"]		= Lights_PANEL_FLOOD_dec  ,
["A --"]		= Lights_PANEL_FLOOD_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A  +"]		= Lights_DISPLAY_L_inc  ,
["A ++"]		= Lights_DISPLAY_L_inc  ,
["A  -"]		= Lights_DISPLAY_L_dec  ,
["A --"]		= Lights_DISPLAY_L_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A  +"]		= Lights_DISPLAY_R_inc  ,
["A ++"]		= Lights_DISPLAY_R_inc  ,
["A  -"]		= Lights_DISPLAY_R_dec  ,
["A --"]		= Lights_DISPLAY_R_dec  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= true  ,
["IDENT"]		= "WXR"  ,
["FPV ."] 		= RXP_WX500_TRACK_L  ,
["MTR ."] 		= RXP_WX500_TRACK_R  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= RXP_WX500_SUBMODE_DN  ,
["VORR:"] 		= RXP_WX500_RANGE_DN  ,
["VORL."] 		= RXP_WX500_SUBMODE_UP  ,
["VORR."] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A  -"]		= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A  -"]		= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A  -"]		= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A  -"]		= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP1"  ,
["TO  ."] 		= Autopilot_TOGA_toggle  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= Autopilot_FMSSPD_hold  ,
["SPD ."] 		= Autopilot_AIRSPEED_hold  ,
["FLCH."] 		= Autopilot_ALTSEL_mode  ,
["SEL ."] 		= Autopilot_HDGSEL_mode  ,
["HHLD."] 		= Autopilot_HDG_mode  ,
["AHLD."] 		= Autopilot_ALT_hold  ,
["VHLD."] 		= Autopilot_VSFPA  ,
["APP ."] 		= Autopilot_APR_mode  ,
["VNAV."] 		= Autopilot_PROF  ,
["LNAV."] 		= Autopilot_NAV  ,
["CMDA."] 		= Autopilot_MASTER_toggle  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= Autopilot_APR_mode  ,
["CWSA."] 		= Toggle_System_Display  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= Autopilot_AT_arm  ,
["AT  :"] 		= Autopilot_AT_disarm  ,
["FD  ."] 		= Autopilot_FD_on  ,
["FD  :"] 		= Autopilot_FD_off  ,
["AP  ."]	 	= Autopilot_MASTER_on  ,
["AP  :"] 		= Autopilot_MASTER_off  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A  +"]		= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A  -"]		= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= Autopilot_AIRSPEED_sel  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A  +"]		= HDG_plus  ,
["A ++"]		= HDG_plusfast  ,
["A  -"]		= HDG_minus  ,
["A --"]		= HDG_minusfast  ,
["PRESS"] 		= Autopilot_HDG_mode  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A  +"]		= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A  -"]		= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= Autopilot_ALTSEL_mode  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A  +"]		= VVS_plus  ,
["A ++"]		= VVS_plusfast  ,
["A  -"]		= VVS_minus  ,
["A --"]		= VVS_minusfast  ,
["PRESS"] 		= Autopilot_VSSEL_mode  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"] 		= "MCP2"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"] 		= "MCP3"  ,
["TO  ."] 		= empty  ,
["GA  ."] 		= empty  ,
["N1  ."] 		= empty  ,
["SPD ."] 		= empty  ,
["FLCH."] 		= empty  ,
["SEL ."] 		= empty  ,
["HHLD."] 		= empty  ,
["AHLD."] 		= empty  ,
["VHLD."] 		= empty  ,
["APP ."] 		= empty  ,
["VNAV."] 		= empty  ,
["LNAV."] 		= empty  ,
["CMDA."] 		= empty  ,
["CMDB."] 		= empty  ,
["CMDC."] 		= empty  ,
["LOC ."] 		= empty  ,
["CWSA."] 		= empty  ,
["CWSB."] 		= DSP_MODE_toggle  ,
["AT  ."] 		= empty  ,
["AT  :"] 		= empty  ,
["FD  ."] 		= empty  ,
["FD  :"] 		= empty  ,
["AP  ."]	 	= empty  ,
["AP  :"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "EFIS"  ,
["BTN1."] 		= AutoBrake_dec  ,
["BTN2."] 		= AutoBrake_inc  ,
["BTN3."] 		= Transponder_MODE_dec  ,
["BTN4."] 		= Transponder_MODE_inc  ,
["BTN5."] 		= Radio_MRK_toggle  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Lght"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= false  ,
["IDENT"]	= "Othr"  ,
["BTN1."] 		= empty  ,
["BTN2."] 		= empty  ,
["BTN3."] 		= empty  ,
["BTN4."] 		= empty  ,
["BTN5."] 		= empty  ,
["BTN6."] 		= EFIS_MODE_toggle  ,
["BTN7."] 		= MCP_MODE_toggle  ,
["BTN8."] 		= USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM ."]	= Default_COM_select  ,
["NAV ."]	= Default_NAV_select  ,
["ADF ."]	= Default_ADF_select  ,
["DME ."]	= Default_DME_select  ,
["TRAN."]	= Default_XPND_select  ,
["TFR ."]	= Default_RADIOS_swap  ,
["STBY."]	= Default_RADIOS_mode  ,
["LAMP."]	= Default_LAMP_toggle  ,

["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radio_ident  ,

["NAV1 Select"]	= Radio_VOR1_ident  ,
["NAV2 Select"]	= Radio_VOR2_ident  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radio_ident  ,

["ADF1 Select"]	= Radio_ADF1_ident  ,
["ADF2 Select"]	= Radio_ADF2_ident  ,
["ADFs Mode"]	= Radio_ident  ,

["DME1 Select"]	= Radio_ILS1_ident  ,
["DME2 Select"]	= Radio_ILS2_ident  ,
["DMEs Mode"]	= Radio_ident  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}


DME1 = {
["A  +"]	= unassigned  ,
["A ++"]	= unassigned  ,
["A  -"]	= unassigned  ,
["A --"]	= unassigned  ,
["PRESS"]	= unassigned  ,
}

FRE1 = {
["A SHOW"]	= empty  ,
["A  +"]	= Default_RADIOS_plus  ,
["A ++"]	= Default_RADIOS_plusfast  ,
["A  -"]	= Default_RADIOS_minus  ,
["A --"]	= Default_RADIOS_minusfast,
["PRESS"]	= Default_RADIOS_press  ,
}

