-- LINDA Config file for 
-- Generated by LINDA Configurator


-- ############################################### --
-- ## EFIS block Mode 1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "GPS"  ,
["FPV"] 		= iFly737_EFIS_Fpv  ,
["MTR"] 		= iFly737_EFIS_Mtrs  ,
["WX"] 			= iFly737_EFIS_Wxr  ,
["STA"] 		= iFly737_EFIS_Sta  ,
["WPT"] 		= iFly737_EFIS_Wpt  ,
["ARPT"] 		= iFly737_EFIS_Arpt  ,
["DATA"] 		= iFly737_EFIS_Data  ,
["POS"] 		= iFly737_EFIS_Pos  ,
["TERR"] 		= Do_nothing  ,
["ADF1"] 		= iFly737_EFIS_Nav1Down  ,
["ADF2"] 		= iFly737_EFIS_Nav2Down  ,
["VOR1"] 		= iFly737_EFIS_Nav1Up  ,
["VOR2"] 		= iFly737_EFIS_Nav2Up  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= GPS_PAGE_show  ,
["A +"]			= iFly737_EFIS_MinsInc  ,
["A ++"]		= iFly737_EFIS_MinsInc  ,
["A -"]			= iFly737_EFIS_MinsDec  ,
["A --"]		= iFly737_EFIS_MinsDec  ,
["PRESS"] 		= iFly737_EFIS_MinsPush  ,
["B SHOW"]		= EFIS_MINIMUMS_show  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A +"]			= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A -"]			= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= iFly737_EFIS_BaroPush  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A +"]			= iFly737_EFIS_CTRInc  ,
["A ++"]		= iFly737_EFIS_CTRInc  ,
["A -"]			= iFly737_EFIS_CTRDec  ,
["A --"]		= iFly737_EFIS_CTRDec  ,
["PRESS"] 		= iFly737_EFIS_CTRPush  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A +"]			= iFly737_EFIS_TFCInc  ,
["A ++"]		= iFly737_EFIS_TFCInc  ,
["A -"]			= iFly737_EFIS_TFCDec  ,
["A --"]		= iFly737_EFIS_TFCDec  ,
["PRESS"] 		= iFly737_EFIS_TFCPush  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "EFB"  ,
["FPV"] 		= empty  ,
["MTR"] 		= empty  ,
["WX"] 			= RXP_WX500_POPUP_TOGGLE  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= empty  ,
["POS"] 		= EFB_MOVING_MAP_toggle  ,
["TERR"] 		= EFB_COLOR_MODE_toggle  ,
["ADF1"] 		= empty  ,
["ADF2"] 		= empty  ,
["VOR1"] 		= empty  ,
["VOR2"] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A +"]			= EFB_ZOOM_out  ,
["A ++"]		= EFB_ZOOM_out  ,
["A -"]			= EFB_ZOOM_in  ,
["A --"]		= EFB_ZOOM_in  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block Mode 3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "WXR"  ,
["FPV"] 		= RXP_WX500_TRACK_L  ,
["MTR"] 		= RXP_WX500_TRACK_R  ,
["WX"] 			= RXP_WX500_POPUP_TOGGLE  ,
["STA"] 		= empty  ,
["WPT"] 		= empty  ,
["ARPT"] 		= empty  ,
["DATA"] 		= weather_OAT  ,
["POS"] 		= empty  ,
["TERR"] 		= empty  ,
["ADF1"] 		= RXP_WX500_SUBMODE_DN  ,
["ADF2"] 		= RXP_WX500_RANGE_DN  ,
["VOR1"] 		= RXP_WX500_SUBMODE_UP  ,
["VOR2"] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A -"]			= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A -"]			= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A -"]			= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A +"]			= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A -"]			= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B +"]			= empty  ,
["B ++"]		= empty  ,
["B -"]			= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MCP"  ,
["TOGA"] 		= iFly737_AP_TOGA  ,
["TOGN"] 		= iFly737_AP_TOGA  ,
["N1"] 			= iFly737_AP_N1  ,
["SPD"] 		= iFly737_AP_Speed  ,
["FLCH"] 		= iFly737_AP_LvlChg  ,
["HDGSEL"] 		= iFly737_AP_HdgSel  ,
["HDGHLD"] 		= Do_nothing  ,
["ALTHLD"] 		= iFly737_AP_AltHld  ,
["V/S FPA"] 	= iFly737_AP_VS  ,
["APP"] 		= iFly737_AP_App  ,
["VNAV"] 		= iFly737_AP_VNav  ,
["LNAV"] 		= iFly737_AP_LNav  ,
["CMDA"] 		= iFly737_AP_CmdA  ,
["CMDB"] 		= iFly737_AP_CmdB  ,
["CMDC"] 		= Do_nothing  ,
["LOC"] 		= iFly737_AP_VorLoc  ,
["CWSA"] 		= iFly737_AP_CwsA  ,
["CWSB"] 		= iFly737_AP_CwsB  ,
["A/T UP"] 		= iFly737_AP_AT_On  ,
["A/T DN"] 		= iFly737_AP_AT_Off  ,
["F/D UP"] 		= iFly737_AP_FD_Off  ,
["F/D DN"] 		= iFly737_AP_FD_On  ,
["MASTER UP"] 	= iFly737_AP_APMaster_On  ,
["MASTER DN"] 	= iFly737_AP_APMaster_Off  ,
}


-- MCP CRS knob
CRS1 = {
["A SHOW"]		= CRS_show  ,
["A +"]			= CRS_plus  ,
["A ++"]		= CRS_plusfast  ,
["A -"]			= CRS_minus  ,
["A --"]		= CRS_minusfast  ,
["PRESS"] 		= Do_nothing  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]		= SPD_show  ,
["A +"]			= SPD_plus  ,
["A ++"]		= SPD_plusfast  ,
["A -"]			= SPD_minus  ,
["A --"]		= SPD_minusfast  ,
["PRESS"] 		= iFly737_AP_SpdIntv  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]		= HDG_show  ,
["A +"]			= HDG_plus  ,
["A ++"]		= HDG_plusfast  ,
["A -"]			= HDG_minus  ,
["A --"]		= HDG_minusfast  ,
["PRESS"] 		= Do_nothing  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]		= ALT_show  ,
["A +"]			= ALT_plus  ,
["A ++"]		= ALT_plusfast  ,
["A -"]			= ALT_minus  ,
["A --"]		= ALT_minusfast  ,
["PRESS"] 		= iFly737_AP_AltIntv  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]		= VVS_show  ,
["A +"]			= VVS_plus  ,
["A ++"]		= VVS_plusfast  ,
["A -"]			= VVS_minus  ,
["A --"]		= VVS_minusfast  ,
["PRESS"] 		= Do_nothing  ,
}


-- ############################################### --
-- ## MCP block Mode 2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "MCP2"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= empty  ,
["CMDA"] 		= empty  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= DSP_MODE_toggle  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= empty  ,
["MASTER DN"] 	= empty  ,
}


-- MCP CRS knob
CRS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## MCP block Mode 3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "MCP3"  ,
["TOGA"] 		= empty  ,
["TOGN"] 		= empty  ,
["N1"] 			= empty  ,
["SPD"] 		= empty  ,
["FLCH"] 		= empty  ,
["HDGSEL"] 		= empty  ,
["HDGHLD"] 		= empty  ,
["ALTHLD"] 		= empty  ,
["V/S FPA"] 	= empty  ,
["APP"] 		= empty  ,
["VNAV"] 		= empty  ,
["LNAV"] 		= empty  ,
["CMDA"] 		= empty  ,
["CMDB"] 		= empty  ,
["CMDC"] 		= empty  ,
["LOC"] 		= empty  ,
["CWSA"] 		= empty  ,
["CWSB"] 		= DSP_MODE_toggle  ,
["A/T UP"] 		= empty  ,
["A/T DN"] 		= empty  ,
["F/D UP"] 		= empty  ,
["F/D DN"] 		= empty  ,
["MASTER UP"] 	= empty  ,
["MASTER DN"] 	= empty  ,
}


-- MCP CRS knob
CRS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]		= empty  ,
["A +"]			= empty  ,
["A ++"]		= empty  ,
["A -"]			= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
}


-- ############################################### --
-- ## USER block Mode 1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "PNL"  ,
["0"] 		= iFly737_FireWarn  ,
["1"] 		= iFly737_MasterCaution  ,
["2"] 		= iFly737_AutoBrakeDec  ,
["3"] 		= iFly737_AutoBrakeInc  ,
["4"] 		= Do_nothing  ,
["5"] 		= VRI_EFIS_MODE_toggle  ,
["6"] 		= VRI_MCP_MODE_toggle  ,
["7"] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "DeIc"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= empty  ,
["5"] 		= VRI_EFIS_MODE_toggle  ,
["6"] 		= VRI_MCP_MODE_toggle  ,
["7"] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block Mode 3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= true  ,
["IDENT"]	= "Othr"  ,
["0"] 		= empty  ,
["1"] 		= empty  ,
["2"] 		= empty  ,
["3"] 		= empty  ,
["4"] 		= empty  ,
["5"] 		= VRI_EFIS_MODE_toggle  ,
["6"] 		= VRI_MCP_MODE_toggle  ,
["7"] 		= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block Mode 1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= Radios_ADF_AUDIO_toggle  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}

