-- ###################################### --
-- !!! NO USER SETTINGS IN THIS FILE  !!! --
-- ###################################### --

-- ###################################### --
-- !!! NO USER SETTINGS IN THIS FILE  !!! --
-- ###################################### --

-- ###################################### --
-- !!! NO USER SETTINGS IN THIS FILE  !!! --
-- ###################################### --

-- ###################################### --
-- !!! NO USER SETTINGS IN THIS FILE  !!! --
-- ###################################### --

-- System paths
ipc.set("PATH_ACT", "linda/libs/")
ipc.set("PATH_ACFT", "linda/aircrafts/")
ipc.set("PATH_SYS", "linda/system/")
ipc.set("PATH_ACFT_CFG", "linda-cfg/aircrafts/")
ipc.set("PATH_SYS_CFG", "linda-cfg/system/")

ipc.set("HID_ENABLED", 0)
ipc.set("VRI_ENABLED", 0)

ipc.set("HID_READY", 0)
ipc.set("DEBUG", 1)

-- Greetings!
ipc.log("\n\n")
ipc.log("[INIT]LINDA:: Loading...")

-- not a mapper
MAPPER = false
ACFT = {["FSX Default"] = "FSX Default"}
LIBS = {}
CFG = {}
VRI = {}
HID = {}

JSTK={}
JSTKrp={}
JSTKrl={}

JSTK2={}
JSTK2rp={}
JSTK2rl={}

---------------------------------------------------------------------------------------------------

-- check file exist
function file_exists(name)
   local f=io.open(name,"r")
   if f~=nil then io.close(f) return true else return false end
end

-- errors
function _err (s)
	ipc.display(s, 8)
	ipc.log("LINDA:: ---> ERROR:: " .. s)
end

-- debug level 1
function _log (s)
	if ipc.get("DEBUG") > 0 then ipc.log("LINDA:: " .. tostring(s)) end
end

-- debug level 2
function _logg (s)
	if ipc.get("DEBUG") > 1 then ipc.log("LINDA:: " .. tostring(s)) end
end

---------------------------------------------------------------------------------------------------

config = ipc.get("PATH_SYS_CFG") .. "config-sys" 	
if file_exists(config .. ".lua") then

	require(config)

else

	_err ("Main system config not found! Run GUI and check configs!")
	return
	
end

config = ipc.get("PATH_SYS_CFG") .. "config-hid"
if file_exists(config .. ".lua") then

	require(config)
	ipc.set("HID_ENABLED", 1)
	ipc.set("HID_READY", 1)

else

	ipc.set("HID_ENABLED", 0)
	_err("HID devices config not found. Joysticks disabled!")
	ipc.sleep(3000);
	
end

config = ipc.get("PATH_SYS_CFG") .. "config-vri" 	
if file_exists(config .. ".lua") then

	require(config)
	
	ipc.set("VRI_ENABLED", VRI["ENABLED"])
	ipc.set("VRIdevice", "com" .. tostring(VRI["COMPORT"]))
	ipc.set("DEBUG", VRI["DEBUG"])

    if VRI["TYPE"] == 1 then

    	ipc.set("VRItype", "mcp")

    elseif VRI["TYPE"] == 2 then

    	ipc.set("VRItype", "mcp2")

    else

        ipc.set("VRItype", "mcp")

    end

else

	ipc.set("VRI_ENABLED", 0)
	_err ("VRinsight config not found! MCP Combo disabled!")
	ipc.sleep(3000);
	
end


if (ipc.get("VRI_ENABLED") == 0) and (ipc.get("HID_ENABLED") == 0) then

	_err ("All hardware modules disabled... Exiting!")
	return

end


-- read airscrafts
function read_aircrafts ()

	local dir_obj = lfs.dir ('.\\modules\\linda\\aircrafts\\')
	local dir = dir_obj ()

	while dir ~= nil do

		ident = ipc.get("PATH_ACFT") .. dir .. "/ident.lua"
		if file_exists(ident) then

			_logg("Aircraft found: " .. dir)
			dofile (ident)
			ACFT[simfolder] = dir

		end

		dir = dir_obj ()

	end

--	dir_obj:close()

end

-- read libs
function read_libs ()
	local libreq = ""
	local i = 0
	local dir_obj = lfs.dir ('.\\modules\\linda\\libs\\')
	local dir = dir_obj ()

	while dir ~= nil do

		if string.find(dir, 'lib-') ~= nil then

			lib = ipc.get("PATH_ACT") .. dir
			_logg("Library found: " .. dir)

			LIBS[i] = string.sub(dir,1,-5)

			i = i + 1

		end

		dir = dir_obj ()

	end

--	dir_obj:close()

	for id, file in pairs(LIBS) do

		libreq = libreq .. ipc.get("PATH_ACT") .. file .. "#"

	end

	ipc.set("LIBREQ", libreq)

end

-- Reading aircrafts folder for modules installed
read_aircrafts ()


-- Reading _includes folder for libraries
read_libs ()

unloop = 0

-- Detect aircraft
function Start()

	ipc.set("acft_handle", "FSX Default")

	acft = ipc.readSTR(0x3D00, 35)
	airfile = ipc.readSTR(0x3C00, 255)

	_log("Aircraft: " .. acft)
	_logg("Air file: " .. airfile)

	for s, h in pairs(ACFT) do

		if string.find(airfile:upper(), s:upper(), 0, true) then

			ipc.set("acft_handle", h)
			break

		end

	end

	if ipc.get("acft_handle") == 1 then

		unloop = unloop + 1

		if unloop < 4 then

			Start()

		else

			_err("Something is very wrong with aircraft detection!")
			return

		end

	end

	_log ("Aircraft module detected: " .. ipc.get("acft_handle"))
	ipc.runlua(ipc.get("PATH_SYS") .. "init")

end


function onFltLoad ()

	_logg("Flight Load event caught!")
	Start()

end

function onPlaneSet ()

	_logg("Airplane Set event caught!")
	Start()

end

function paramHandler(param)

    _log('param' .. param)

end


event.offset(0x3D00, "STR", 99, "onPlaneSet")
event.sim(FLIGHTLOAD, "onFltLoad")
event.param('paramHandler')