-- A2A B377 --
-- version 1.2

-- ## System functions ###############

function InitVars ()

	-- uncomment to disable display
    AutopilotDisplayBlocked ()
    AutoDisplay = false
end

function InitDsp ()

    -- override default behavior
    timer ()
end

function timer ()

    local CWFlaps_state, ICFlaps_state
    CWFlaps_state = round(ipc.readLvar("CowlFlap1"))
    ICFlaps_state = round(ipc.readLvar("Eng1_IntercoolerFlap"))



    FLIGHT_INFO1 = 'IC  CW'

    FLIGHT_INFO2 = ICFlaps_state .. '% ' .. CWFlaps_state .. '%'

end





-- ## Autopilot ############

function B377_APTurn_reset ()  

	ipc.writeLvar("L:APTurn", 50)
    DspShow ("Turn", "0")
end


function B377_APTurn_inc () 

	LVarSet = "L:APTurn"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end

	ipc.writeLvar("L:APTurn", val)
    DspShow ("Turn", (val-50)*-1)
end


function B377_APTurn_dec () 

	LVarSet = "L:APTurn"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 99 then
 	val = LvarVar + 1
	elseif LvarVar == 100 then
 	val = 100
	end
	ipc.writeLvar("L:APTurn", val)
    DspShow ("Turn", (val-50)*-1)
end


  function B377_PitchRef_inc ()

--	readVar = "2f70"
--	val = ipc.readSB(readVar)

	_AP_PITCH_REF_INC_UP ()

	DspShow("PRef", "up")
end

function B377_PitchRef_dec ()

	_AP_PITCH_REF_INC_DN ()

--	readVar = "2f70"
--	val = ipc.readSB(readVar)

    DspShow ("PRef", "down")
end


-- ## Electric #####################################


function B377_APU_toggle ()

	LVarSet = "L:ApuStarterGenSwitch"


 	LvarVar = ipc.readLvar(LVarSet)
 	if LvarVar == 0 then
 	val = 2
    txt = "Gen"
	elseif LvarVar == 2 then
 	val = 1
    txt = "Off"
	elseif LvarVar == 1 then
 	val = 0
    txt = "On"
	end

	ipc.writeLvar(LVarSet, val)
    DspShow ("APU", txt)
end



function B377_Generators_toggle ()  


	ipc.control(66363) --Gen1	

	ipc.control(66364) --Gen2	

	ipc.control(66365) --Gen3

	ipc.control(66366) --Gen4

end


function B377_MasterIgnition_toggle () 

	ipc.control(66535)
end

function B377_Voltmeter_toggle ()

	LVarSet = "L:VoltmeterSelState"


 	LvarVar = ipc.readLvar(LVarSet)
 	if LvarVar == 0 then
 	val = 1
    txt = "GEN1"
	elseif LvarVar == 1 then
 	val = 2
    txt = "GEN2"
	elseif LvarVar == 2 then
 	val = 3
    txt = "BUS"
 	elseif LvarVar == 3 then
 	val = 4
    txt = "GEN3"
 	elseif LvarVar == 4 then
 	val = 5
    txt = "GEN4"
	elseif LvarVar == 5 then
 	val = 6
    txt = "BATT"
	elseif LvarVar == 6 then
 	val = 0
    txt = "OFF"
	end

	ipc.writeLvar(LVarSet, val)
     DspShow ("Volt", txt)
end


-- ## CarbHeat ############


function B377_CarbHeat_on ()  


	ipc.writeLvar("L:CarbHeat1Switch", 1)
	_sleep(200, 400)
	

	ipc.writeLvar("L:CarbHeat2Switch", 1)
	_sleep(150, 400)
	

	ipc.writeLvar("L:CarbHeat3Switch", 1)
	_sleep(150, 400)
	

	ipc.writeLvar("L:CarbHeat4Switch", 1)

end


function B377_CarbHeat_off ()  


	ipc.writeLvar("L:CarbHeat1Switch", 0)
	_sleep(200, 400)
	

	ipc.writeLvar("L:CarbHeat2Switch", 0)
	_sleep(200, 400)
	

	ipc.writeLvar("L:CarbHeat3Switch", 0)
	_sleep(200, 400)
	

	ipc.writeLvar("L:CarbHeat4Switch", 0)

end





-- ## Turbo Calibration ############


function B377_Turbo1_Calib_inc () 

	LVarSet = "L:Turbo1CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 49 then
 	val = LvarVar + 1
	elseif LvarVar == 50 then
 	val = 50
	end

	ipc.writeLvar(LVarSet, val)
end


function B377_Turbo1_Calib_dec () 

	LVarSet = "L:Turbo1CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= -49 then
 	val = LvarVar - 1
	elseif LvarVar == -50 then
 	val = -50
	end


	ipc.writeLvar(LVarSet, val)
end



function B377_Turbo2_Calib_inc () 

	LVarSet = "L:Turbo2CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 49 then
 	val = LvarVar + 1
	elseif LvarVar == 50 then
 	val = 50
	end


	ipc.writeLvar(LVarSet, val)
end

function B377_Turbo2_Calib_dec () 

	LVarSet = "L:Turbo2CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= -49 then
 	val = LvarVar - 1
	elseif LvarVar == -50 then
 	val = -50
	end


	ipc.writeLvar(LVarSet, val)
end




function B377_Turbo3_Calib_inc () 

	LVarSet = "L:Turbo3CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 49 then
 	val = LvarVar + 1
	elseif LvarVar == 50 then
 	val = 50
	end


	ipc.writeLvar(LVarSet, val)
end

function B377_Turbo3_Calib_dec () 

	LVarSet = "L:Turbo3CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= -49 then
 	val = LvarVar - 1
	elseif LvarVar == -50 then
 	val = -50
	end


	ipc.writeLvar(LVarSet, val)
end




function B377_Turbo4_Calib_inc () 

	LVarSet = "L:Turbo4CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 49 then
 	val = LvarVar + 1
	elseif LvarVar == 50 then
 	val = 50
	end

	ipc.writeLvar(LVarSet, val)
end

function B377_Turbo4_Calib_dec () 

	LVarSet = "L:Turbo4CalibrationKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= -49 then
 	val = LvarVar - 1
	elseif LvarVar == -50 then
 	val = -50
	end


	ipc.writeLvar(LVarSet, val)

end


------------------------------------------------------------

function B377_Turbo_OverrAll_on ()   


	ipc.writeLvar("L:TurboOverrideSwitch1", 1)
	_sleep(200, 400)
	

	ipc.writeLvar("L:TurboOverrideSwitch2", 1)
	_sleep(200, 400)
	

	ipc.writeLvar("L:TurboOverrideSwitch3", 1)
	_sleep(200, 400)
	

	ipc.writeLvar("L:TurboOverrideSwitch4", 1)
end


function B377_Turbo_OverrAll_off () 

	ipc.writeLvar("L:TurboOverrideSwitch1", 0)
	_sleep(200, 400)
	

	ipc.writeLvar("L:TurboOverrideSwitch2", 0)
	_sleep(200, 400)
	

	ipc.writeLvar("L:TurboOverrideSwitch3", 0)
	_sleep(200, 400)
	
	ipc.writeLvar("L:TurboOverrideSwitch4", 0)
end

-- ## Other ############

function B377_FireTest_on () 
  
	ipc.writeLvar("L:FireTestSwitch", 1)
end


function B377_FireTest_off ()    

	ipc.writeLvar("L:FireTestSwitch", 0)
end

--------------------------------------------------------

function B377_defroster_inc () 

	LVarSet = "L:WindowDefrosterControlKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 99 then
 	val = LvarVar + 5
	elseif LvarVar == 100 then
 	val = 100
	end


	ipc.writeLvar(LVarSet, val)
	B377_Defroster_show ()

end


function B377_defroster_dec ()  

	LVarSet = "L:WindowDefrosterControlKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 5
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)
	B377_Defroster_show ()

end


function B377_Defroster_show ()
	LVarSet = "L:WindowDefrosterControlKnob"

 	LvarVar = ipc.readLvar(LVarSet)

	DspShow("DEFR", LvarVar)
end


----------------------------------------------

function B377_wiper_inc () 

	LVarSet = "L:WiperControlKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 99 then
 	val = LvarVar + 5
	elseif LvarVar == 100 then
 	val = 100
	end


	ipc.writeLvar(LVarSet, val)

	B377_Wiper_show ()
end

function B377_wiper_dec () 

	LVarSet = "L:WiperControlKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 5
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	B377_Wiper_show ()

end

function B377_Wiper_show ()
	LVarSet = "L:WiperControlKnob"

 	LvarVar = ipc.readLvar(LVarSet)

	DspShow("WIPR", LvarVar)
end


----------------------------------------------

function B377_NoSmoking_toggle ()

	ipc.control(66718)
end


function B377_Seatbelt_toggle ()

	ipc.control(66719)
end

function B377_ADIPump_toggle ()


	LVarSet = "ADIPump"
	val = 0


 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 0 then
	ipc.writeLvar(LVarSet, 1)
	DspShow("ADI", "on ")
	elseif LvarVar == 1 then
	ipc.writeLvar(LVarSet, 0)
	DspShow("ADI", "off ")

	end

end


	


----------------------------------------------

-- pitot, structur and prop de-ice ON

function B377_Pitot_on ()

	ipc.writeSB("337c", 1) --prop
	_sleep(200, 400)


	ipc.writeSB("337d", 1) --struct
	_sleep(200, 400)

	ipc.writeSB("029c", 1) --pitot
	_sleep(200, 400)

end


-- pitot, structur and prop de-ice OFF
function B377_Pitot_off ()

	ipc.writeSB("337c", 0) --prop
	_sleep(200, 400)


	ipc.writeSB("337d", 0) --struct
	_sleep(200, 400)

	ipc.writeSB("029c", 0) --pitot
	_sleep(200, 400)

end



-- ## Radar Altimeter ############

function B377_RadarALtSel_inc () 

	LVarSet = "L:AltLimit"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 299 then
 	val = LvarVar + 25
	elseif LvarVar == 300 then
 	val = 300
	end

	ipc.writeLvar(LVarSet, val)
	B377_RadarALtSel_show ()
end

function B377_RadarALtSel_dec () 

	LVarSet = "L:AltLimit"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 51 then
 	val = LvarVar - 25
	elseif LvarVar == 50 then
 	val = 50
	end


	ipc.writeLvar(LVarSet, val)
	B377_RadarALtSel_show ()
end


function B377_RadarALtSel_show ()
	LVarSet = "L:AltLimit"

 	LvarVar = ipc.readLvar(LVarSet)

	DspShow("min", LvarVar)
end

----------------------------------------------


function B377_RadarALtONOFF_both_toggle () 
	
	LVarSet = "RadioAltSwitchOn"
	val = 0


 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 0 then
	 val = 1
	end

	ipc.writeLvar(LVarSet, val)
	ipc.writeLvar("L:RadioAlt2SwitchOn", val)
end


function B377_RadarALtALT_both_toggle () 
	
	LVarSet = "RadioAltRange"
	val = 0


 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 0 then
	 val = 1
	end

	ipc.writeLvar(LVarSet, val)
	ipc.writeLvar("L:RadioAlt2Range", val)
end





-- ## Radio ############

function EFIS_VOR1 ()
	
	ipc.writeLvar("L:RMI1", 0)
end


function EFIS_ADF1 ()
	
	ipc.writeLvar("L:RMI1", 1)
end


function EFIS_VOR2 ()
	
	ipc.writeLvar("L:RMI2", 0)
end


function EFIS_ADF2 ()
	
	ipc.writeLvar("L:RMI2", 1)
end





-- ## Lights ############

function Lights_LandingExtend ()
	
	ipc.writeLvar("L:LandingLightExtendSwitch", 1)
end

function Lights_LandingRetract ()
	
	ipc.writeLvar("L:LandingLightExtendSwitch", 0)
end




function Lights_Landing_on ()
	
	ipc.setbitsUW("0d0c", 4)


end




function Lights_Landing_off ()
	
	ipc.clearbitsUW("0d0c", 4)


end


function Lights_Passing_on ()

	ipc.setbitsUW("0d0c", 256)
end

function Lights_Passing_off ()

	ipc.clearbitsUW("0d0c", 256)
end

function Lights_TaxiGear_on ()

	ipc.setbitsUW("0d0c", 128)
end

function Lights_TaxiGear_off ()

	ipc.clearbitsUW("0d0c", 128)
end

function Lights_Step_on ()
	
	ipc.writeLvar("L:StepsLightSwitch", 1)
end

function Lights_Step_off ()
	
	ipc.writeLvar("L:StepsLightSwitch", 0)
end



-- ## Fuel ############

---------------------------------------------- booster pumps

function B377_BoosterPumps_toggle ()
	
	ipc.control(66340)
	_sleep(200, 400)
	ipc.control(66341)
	_sleep(200, 400)
	ipc.control(66342)
	_sleep(200, 400)
	ipc.control(66343)
end

---------------------------------------------- fuel selectors

function B377_AllFuelSel_off ()  


	ipc.writeLvar("L:FuelSelE1State", 0)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE2State", 0)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE3State", 0)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE4State", 0)
end

-- All Fuel Selectors 50 (tank to man)

function B377_AllFuelSel_25 () 


	ipc.writeLvar("L:FuelSelE1State", 1)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE2State", 1)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE3State", 1)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE4State", 1)
end

-- All Fuel Selectors 50 (tank to eng)

function B377_AllFuelSel_50 () 


	ipc.writeLvar("L:FuelSelE1State", 2)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE2State", 2)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE3State", 2)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE4State", 2)
end

-- All Fuel Selectors 75 (tank to eng and man)

function B377_AllFuelSel_75 ()


	ipc.writeLvar("L:FuelSelE1State", 3)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE2State", 3)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE3State", 3)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE4State", 3)
end

-- All Fuel Selectors 100 (man to eng)

function B377_AllFuelSel_100 ()


	ipc.writeLvar("L:FuelSelE1State", 4)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE2State", 4)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE3State", 4)
	_sleep(200, 400)
	ipc.writeLvar("L:FuelSelE4State", 4)
end

-- ## Engine Selector ############

function B377_ENGSel_no ()

	ipc.writeLvar("L:StPrEngSelState", 0)
end

function B377_ENGSel_one ()

	ipc.writeLvar("L:StPrEngSelState", 1)
end

function B377_ENGSel_two ()

	ipc.writeLvar("L:StPrEngSelState", 2)
end


function B377_ENGSel_three ()

	ipc.writeLvar("L:StPrEngSelState", 3)
end

function B377_ENGSel_four ()

	ipc.writeLvar("L:StPrEngSelState", 4)
end

-- ## Reverser ###############

function B377_Reverser_on ()

i = 0
   ipc.keypress(112)
   ipc.sleep(250)
while i < 14 do
   ipc.keypress(113)
    ipc.keypress(113)
   ipc.keypress(113)
   ipc.sleep(50)
   i = i + 1
end
end

function B377_Reverser_off ()

i = 0
while i < 15 do
   ipc.keypress(114)
      ipc.sleep(50)
   ipc.keypress(114)
   ipc.sleep(50)
   i = i + 1
end
end

-- ## Pressuration System ############

----------------------------------------------pressuration system


function B377_CabinRateGoal_inc () 

	LVarSet = "L:CabinAltRateGoalKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 99 then
 	val = LvarVar + 1
	elseif LvarVar == 100 then
 	val = 100
	end


	ipc.writeLvar(LVarSet, val)
	ipc.sleep(100)
	CVal = ipc.readLvar("L:CabinAltRateGoal")
	DspShow("CRat", CVal)

end


function B377_CabinRateGoal_dec ()  

	LVarSet = "L:CabinAltRateGoalKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)
	ipc.sleep(100)
	CVal = ipc.readLvar("L:CabinAltRateGoal")
	DspShow("CRat", CVal)


end





function B377_CabinPressureGoal_inc () 

	LVarSet = "L:CabinAltGoalKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 99 then
 	val = LvarVar + 1
	elseif LvarVar == 100 then
 	val = 100
	end


	ipc.writeLvar(LVarSet, val)
	ipc.sleep(100)
	CVal = math.floor(ipc.readLvar("L:CabinAltGoal"))
	DspShow("CAlt", CVal)

end


function B377_CabinPressureGoal_dec ()  

	LVarSet = "L:CabinAltGoalKnob"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)
	ipc.sleep(100)
	CVal = math.floor(ipc.readLvar("L:CabinAltGoal"))
	DspShow("CAlt", CVal)


end




-- ## IC and cowl Flaps #####################################


function B377_ICFlaps_inc ()


	ICVar = round(ipc.readLvar("Eng1_IntercoolerFlap"))
    if _MCP1() then
    DspShow("ICFl", tostring(ICVar) .. '%')
    elseif _MCP2() then
    DspMed1("IC-Flaps")
    DspMed2(ICVar .. '%')
    end
    timer ()

--	ipc.writeLvar("GangSwitchIntercoolerFlapON", 100)
--	ipc.sleep(200)
	ipc.writeLvar("IntercoolerFlap1Switch", 2)
	ipc.writeLvar("IntercoolerFlap2Switch", 2)
	ipc.writeLvar("IntercoolerFlap3Switch", 2)
	ipc.writeLvar("IntercoolerFlap4Switch", 2)




end

function B377_ICFlaps_stop ()


	ICVar = round(ipc.readLvar("Eng1_IntercoolerFlap"))
    if _MCP1() then
    DspShow("ICFl", tostring(ICVar) .. '%')
    elseif _MCP2() then
    DspMed1("IC-Flaps")
    DspMed2(ICVar .. '%')
    end
    timer ()

--	ipc.writeLvar("GangSwitchIntercoolerFlapON", 0)
--	ipc.writeLvar("GangSwitchIntercoolerFlapOFF", 0)
--	ipc.sleep(50)
	ipc.writeLvar("IntercoolerFlap1Switch", 1)
	ipc.writeLvar("IntercoolerFlap2Switch", 1)
	ipc.writeLvar("IntercoolerFlap3Switch", 1)
	ipc.writeLvar("IntercoolerFlap4Switch", 1)




end


function B377_ICFlaps_dec ()


	ICVar = round(ipc.readLvar("Eng1_IntercoolerFlap"))
    if _MCP1() then
    DspShow("ICFl", tostring(ICVar) .. '%')
    elseif _MCP2() then
    DspMed1("IC-Flaps")
    DspMed2(ICVar .. '%')
    end
    timer ()

--	ipc.writeLvar("GangSwitchIntercoolerFlapOFF", 100)
--	ipc.sleep(200)
	ipc.writeLvar("IntercoolerFlap1Switch", 0)
	ipc.writeLvar("IntercoolerFlap2Switch", 0)
	ipc.writeLvar("IntercoolerFlap3Switch", 0)
	ipc.writeLvar("IntercoolerFlap4Switch", 0)




end







function B377_CowlFlaps_inc ()

    ipc.writeLvar("CF1SMouse", 1)
    ipc.writeLvar("CF2SMouse", 1)
    ipc.writeLvar("CF3SMouse", 1)
    ipc.writeLvar("CF4SMouse", 1)
    ipc.writeLvar("CowlFlap1Switch", 2)
    ipc.writeLvar("CowlFlap2Switch", 2)
    ipc.writeLvar("CowlFlap3Switch", 2)
    ipc.writeLvar("CowlFlap4Switch", 2)

	CWVar = round(ipc.readLvar("CowlFlap1"))
    if _MCP1() then
    DspShow("Cowl", tostring(CWVar) .. '%')
    elseif _MCP2() then
    DspMed1("CowlFlap")
    DspMed2(CWVar .. '%')
    end
    timer ()

end

function B377_CowlFlaps_stop ()

    ipc.writeLvar("CowlFlap1Switch", 1)
    ipc.writeLvar("CowlFlap2Switch", 1)
    ipc.writeLvar("CowlFlap3Switch", 1)
    ipc.writeLvar("CowlFlap4Switch", 1)

	CWVar = round(ipc.readLvar("CowlFlap1"))
    if _MCP1() then
    DspShow("Cowl", tostring(CWVar) .. '%')
    elseif _MCP2() then
    DspMed1("CowlFlap")
    DspMed2(CWVar .. '%')
    end
    timer ()
end


function B377_CowlFlaps_dec ()

    ipc.writeLvar("CF1SMouse", 1)
    ipc.writeLvar("CF2SMouse", 1)
    ipc.writeLvar("CF3SMouse", 1)
    ipc.writeLvar("CF4SMouse", 1)
    ipc.writeLvar("CowlFlap1Switch", 0)
    ipc.writeLvar("CowlFlap2Switch", 0)
    ipc.writeLvar("CowlFlap3Switch", 0)
    ipc.writeLvar("CowlFlap4Switch", 0)

	CWVar = round(ipc.readLvar("CowlFlap1"))
    if _MCP1() then
    DspShow("Cowl", tostring(CWVar) .. '%')
    elseif _MCP2() then
    DspMed1("CowlFlap")
    DspMed2(CWVar .. '%')
    end
    timer ()
end




