-- A2A P40 AccuSim
-- V1.0 Nov 2011
-- Guenter Steiner


-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
    -- AutopilotDisplayBlocked ()
    DSP_MODE_two ()
end

function Timer ()

    GearL = math.floor(ipc.readLvar("LandingGearL"))
    GearR = math.floor(ipc.readLvar("LandingGearR"))

    FlapL = math.floor(ipc.readLvar("LeftFlap"))
    FlapR = math.floor(ipc.readLvar("RightFlap"))

    RadFlaps = ipc.readLvar("Eng1_RadiatorFlap")
    RadFlaps_val = (DspNum(RadFlaps) .."%")
    RadFlaps_valshort = DspNum(RadFlaps, 2)

    Gear_stateAll = round(ipc.readLvar("LandingGearLever"))
    if Gear_stateAll == 0 then
    Gear_stateText = "^"
    elseif Gear_stateAll == 50 then
    Gear_stateText = "-"
    elseif Gear_stateAll == 100 then
    Gear_stateText = "v"
    end

    Flap_stateAll = round(ipc.readLvar("LandingFlapsLever"))
    if Flap_stateAll == 0 then
    Flap_stateText = "^"
    elseif Flap_stateAll == 50 then
    Flap_stateText = "-"
    elseif Flap_stateAll == 100 then
    Flap_stateText = "v"
    end

    if RadFlaps == 0 then
    RadFlaps_val = "clsd"
    RadFlaps_valshort = "cl"
    elseif RadFlaps == 100 then
    RadFlaps_val = "open"
    RadFlaps_valshort = "op"
    end


    if _MCP1 () then
    DspShow("GFRf", Gear_stateText .. ''.. Flap_stateText ..''.. RadFlaps_valshort)

    elseif _MCP2 () then
    FLIGHT_INFO1 = 'G F RdFl'
    FLIGHT_INFO2 = (Gear_stateText .. ' '.. Flap_stateText ..' '.. RadFlaps_val)
    end

end

function P40_GearPosition_show ()

   GearLeft = math.floor(ipc.readLvar("LandingGearL"))
   GearRight = math.floor(ipc.readLvar("LandingGearR"))
   GearCenter = math.floor(ipc.readLvar("LandingGearC"))

   GearL =  DspNum(GearLeft, 2)
   GearR =  DspNum(GearRight, 2)
   GearC =  DspNum(GearCenter, 2)

   if GearLeft == 0 then
   GearL = "up"
   elseif GearLeft == 100 then
   GearL = "dn"
   end


   if GearRight == 0 then
   GearR = "up"
   elseif GearRight == 100 then
   GearR = "dn"
   end

   if GearCenter <= 0 then
   GearC = "up"
   elseif GearCenter == 100 then
   GearC = "dn"
   end


   GearStateL = GearL
   GearStateR = GearR
   GearStateC = GearC

   if _MCP1 () then
   DspShow("L ".. GearStateL, "R " .. GearStateR)

   elseif _MCP2 () then
   DspMed1("L  C  R")
   DspMed2(GearStateL .. " ".. GearStateC .. " " .. GearStateR)
   end
end



function P40_FlapPosition_show ()

   FlapLeft = math.floor(ipc.readLvar("LeftFlap"))
   FlapRight = math.floor(ipc.readLvar("RightFlap"))

   FlapL =  DspNum(FlapLeft, 2)
   FlapR =  DspNum(FlapRight, 2)

   if FlapLeft == 0 then
   FlapL = "up"
   elseif FlapLeft == 100 then
   FlapL = "dn"
   end

   if FlapRight == 0 then
   FlapR = "up"
   elseif FlapRight == 100 then
   FlapR = "dn"
   end


   FlapStateL = 'L' .. FlapL
   FlapStateR = 'R' .. FlapR



   if _MCP1 () then
   DspShow(FlapStateL, FlapStateR)
   elseif _MCP2 () then
   DspMed1("FlapPos")
   DspMed2(FlapStateL .. " ".. FlapStateR)
   end
end



-- ## Electrics ###############


function P40_Battery_on ()

      ipc.writeLvar("L:Battery1Switch", 1)
      DspShow("Batt", " on ")
end

function P40_Battery_off ()

      ipc.writeLvar("L:Battery1Switch", 0)
      DspShow("Batt", " off")
end

function P40_Battery_toggle ()

	if _t("bat") then
     P40_Battery_on ()
	else
     P40_Battery_off ()
	end
end



function P40_Generator_on ()

      ipc.writeLvar("L:Eng1_GeneratorSwitch", 1)
      DspShow("Gen", " on ")
end

function P40_Generator_off ()

      ipc.writeLvar("L:Eng1_GeneratorSwitch", 0)
      DspShow("Gen", " off")
end

function P40_Generator_toggle ()

	if _t("gen") then
     P40_Generator_on ()
	else
     P40_Generator_off ()
	end
end








-- ## Hydraulic ###############

function P40_Hydr_GearFlapState ()


    Gear_stateAll = round(ipc.readLvar("LandingGearLever"))
    Flap_stateAll = round(ipc.readLvar("LandingFlapsLever"))

    if Flap_stateAll ~= 50 and Gear_stateAll ~= 50 then
    P40_GearPosition_show ()
    ipc.sleep(1000)
    P40_FlapPosition_show ()
    ipc.sleep(1000)

    elseif Gear_stateAll ~= 50 then
    P40_GearPosition_show ()

    elseif Flap_stateAll ~= 50 then
    P40_FlapPosition_show ()
    end
end



function P40_Hydraulic_on ()

    ipc.writeLvar("L:HydraulicPumpControl", 1)
     P40_Hydr_GearFlapState ()
end

function P40_Hydraulic_off ()

    ipc.writeLvar("L:HydraulicPumpControl", 0)
     P40_Hydr_GearFlapState ()
end


-- ## Prime #####################################

-------------------------------------------------------------- Primer



function P40_Primer_State_open ()


    LVarSet = "L:PrimerState"


    ipc.writeLvar(LVarSet, 1)
    P40_Primestate_show ()
end



function P40_Primer_State_closed ()


    LVarSet = "L:PrimerState"


    ipc.writeLvar(LVarSet, 0)
    P40_Primestate_show ()
end



function P40_Primer_State_toggle ()


    LVarSet = "L:PrimerState"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)
	P40_Primestate_show ()
end




function P40_Primer_openandpull ()



    LVarSet = "L:PrimerState"


	if ipc.readLvar(LVarSet) == 0 then

    	ipc.writeLvar(LVarSet, 1)
        P40_Primestate_show ()
	ipc.sleep(1300)
	end

	ipc.writeLvar(LVarSet, 2)
    P40_Primestate_show ()

end

function P40_Primestate_show ()

    LVarSet = "L:PrimerState"
    if _MCP1 () then
	   if ipc.readLvar(LVarSet) == 0 then
        PrimText = "clos"
        elseif ipc.readLvar(LVarSet) == 1 then
        PrimText = "open"
        elseif ipc.readLvar(LVarSet) == 2 then
        PrimText = "pull"
        end
        DspShow("Prim", PrimText)
    elseif _MCP2 () then
        if ipc.readLvar(LVarSet) == 0 then
        PrimText = "closed"
        elseif ipc.readLvar(LVarSet) == 1 then
        PrimText = "open"
        elseif ipc.readLvar(LVarSet) == 2 then
        PrimText = "pull"
        end

        DspMed1("Primer")
        DspMed2(PrimText)
     end
end


-- ## Engine Start ###############




function P40_Starter_Switch_energize ()

    ipc.writeLvar("L:Eng1_StarterSwitch", 0)

end

function P40_Starter_Switch_start ()

    ipc.writeLvar("L:Eng1_StarterSwitch", 2)

end

function P40_Starter_Switch_neutral ()

    ipc.writeLvar("L:Eng1_StarterSwitch", 1)

end



-- ## Oxygen #####################################

-------------------------------------------------------------- oxygen


function P40_OXYAltSet_inc ()

	Oxy = "L:OxyAltSetValve"
	Var = ipc.readLvar(Oxy)



	if Var < 100 then
	Var = Var + 1
	ipc.sleep(10)
	end

	ipc.writeLvar(Oxy, Var)
	OXYAlt_show ()


end


function P40_OXYAltSet_dec ()

	Oxy = "L:OxyAltSetValve"
	Var = ipc.readLvar(Oxy)


	if Var > 0 then
	Var = Var - 1
	ipc.sleep(10)
	end

	ipc.writeLvar(Oxy, Var)

	OXYAlt_show ()

end

function OXYAlt_show ()

	OxyVar = "L:OxyAlt"
	OxVar = ipc.readLvar(OxyVar)/100
    OxVar2 = ipc.readLvar(OxyVar)

    if _MCP1() then
	DspShow("o2_A", OxVar)
    elseif _MCP2 () then
    DspMed1("Oxy Alt")
    DspMed2(OxVar2 .. ' ft')
    end
end
-------------------------------------------------------------- Oxymask and valve

function P40_OXYMask_andValve_on ()



	  ipc.writeLvar("L:SystemCondValueFSX", 1)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)
	DspShow("OXY", "Mask")


	ipc.sleep(1000)



	if ipc.readLvar("L:OxyMaster") < 100 then

	i = 0
	while i <= 100 do
   ipc.writeLvar("L:OxyMaster", i)
      ipc.sleep(1)


   	i = i + 10
    OxyState_show ()
	end

	end

end






function P40_OXYMask_andValve_off ()


	  ipc.writeLvar("L:SystemCondValueFSX", 0)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)



	ipc.sleep(1000)



	if ipc.readLvar("L:OxyMaster") > 0 then

	i = 100
	while i >= 0 do
   ipc.writeLvar("L:OxyMaster", i)
      ipc.sleep(1)


   	i = i - 10
    OxyState_show ()
	end

	end

end



function P40_OXYMask_andValve_toggle ()


	LVarSet = "L:SystemCondValueFSX"

	val = 0
	val2 = 0
    MaskVal = "off"
 	LVarVar = ipc.readLvar(LVarSet)



	if LVarVar == 0 then
	val = 1
	val2 = 100
    MaskVal = "Mask"
	end


	ipc.writeLvar(LVarSet, val)
	DspShow("OXY", MaskVal)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)

	ipc.sleep(1000)

	ipc.writeLvar("L:OxyMaster", val2)
    OxyState_show ()
end


-- ## Fuel ###############

function P40_ManualFuelPump_on ()

     ipc.writeLvar("L:FuelPumpManualLeverOn", 1)
     PPress = ipc.readLvar("Eng1_FuelPressureGauge")

     DspShow("FPrs", PPress)


end

function P40_ManualFuelPump_off ()

     ipc.writeLvar("L:FuelPumpManualLeverOn", 0)

end




function P40_CurrentTank_show ()


    CurrTank = ipc.readLvar("FSelP40State")

    if CurrTank == 0 then
    TankTextShort = " off"
    TankText = " off"

    elseif CurrTank == 1 then
    TankTextShort = "Rsrv"
    TankText = "Reserve"

    elseif CurrTank == 2 then
    TankTextShort = "Wing"
    TankText = "Wing"

    elseif CurrTank == 3 then
    TankTextShort = "Fusl"
    TankText = "Fuselage"

    elseif CurrTank == 4 then
    TankTextShort = "Aux"
    TankText = "Aux"
    end

    if _MCP1 () then
    DspShow("Tank", TankTextShort)
    elseif _MCP2 () then
    DspMed1("Sel Tank")
    DspMed2(TankText)

    end

end




function P40_Fuel_selector_dec ()

    FuelVar = ipc.readLvar("L:FSelP40State")


    if FuelVar == 4 then
    FuelVar = 0
    elseif FuelVar <= 4 then
    FuelVar = FuelVar + 1
    end

    ipc.writeLvar("FSelP40State", FuelVar)
    P40_CurrentTank_show ()
end



function P40_Fuel_selector_inc ()

    FuelVar = ipc.readLvar("L:FSelP40State")


    if FuelVar == 0 then
    FuelVar = 4
    elseif FuelVar >= 0 then
    FuelVar = FuelVar - 1
    end

    ipc.writeLvar("FSelP40State", FuelVar)
    P40_CurrentTank_show ()
end


function P40_Fuel_selector_off ()
    ipc.writeLvar("FSelP40State", 0)
    P40_CurrentTank_show ()
end


function P40_Fuel_selector_reserve ()
    ipc.writeLvar("FSelP40State", 1)
    P40_CurrentTank_show ()
end


function P40_Fuel_selector_wing ()
    ipc.writeLvar("FSelP40State", 2)
    P40_CurrentTank_show ()
end

function P40_Fuel_selector_fuselage ()
    ipc.writeLvar("FSelP40State", 3)
    P40_CurrentTank_show ()
end

function P40_Fuel_selector_aux ()
    ipc.writeLvar("FSelP40State", 4)
    P40_CurrentTank_show ()
end



-- ## Other ###############

-------------------------------------------------------------- Cabin Vent


function P40_CabinVent_inc ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 10
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function P40_CabinVent_dec ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var > 0 then
	Var = Var - 10
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function CabVent_show ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	DspShow("VENT", Var)

end


function P40_PropPitchBeta_show ()

     PPvar = ipc.readLvar("Prop1PitchBeta")
     DspShow("Ptch", PPvar)

end




function P40_PropControl_auto ()

    ipc.writeLvar("Eng1_PropellerControlSwitch", 0)
    DspShow("Prop", "auto")
end

function P40_PropControl_manual ()

    ipc.writeLvar("Eng1_PropellerControlSwitch", 1)
    --DspShow("Prop", "man")
end

function P40_PropControl_incRPM ()

    ipc.writeLvar("Eng1_PropellerControlSwitch", 2)
    --DspShow("Prop", "inc")
    P40_PropPitchBeta_show ()
end

function P40_PropControl_decRPM ()

    ipc.writeLvar("Eng1_PropellerControlSwitch", 3)
    --DspShow("Prop", "dec")
    P40_PropPitchBeta_show ()
end


-- ## Display functions

function OxyState_show ()



 	OxyState = ipc.readLvar("L:OxyMaster")
    --if LVarShow == 100 then OxyState = "on "
	--elseif LVarShow == 0 then OxyState = "off" end
	DspShow("OXY", OxyState)

end




