-- Captain Sim 757
-- Kosta Prokopiu

-- ## Autopilot controls #####################################

function Autopilot_AP_L_toggle ()
	  ipc.writeLvar("MCP_CMD_L_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_AP_C_toggle ()
	  ipc.writeLvar("MCP_CMD_C_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_AP_R_toggle ()
	  ipc.writeLvar("MCP_CMD_R_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_VNAV_toggle ()
	  ipc.writeLvar("MCP_VNAV_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_LNAV_toggle ()
	  ipc.writeLvar("MCP_LNAV_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_AP_MSTR_off ()
    buffer = ipc.readLvar("AP_Dis")
    if buffer == 0 then
	    ipc.writeLvar("AP_Dis_On", 1)
	    ipc.writeLvar("iSndPl", 108)
	  end
end

function Autopilot_AP_MSTR_on ()
    buffer = ipc.readLvar("AP_Dis")
    if buffer == 1 then
	    ipc.writeLvar("AP_Dis_On", 1)
	    ipc.writeLvar("MCP_CMD_L_FLG", 1)
	    ipc.writeLvar("iSndPl", 108)
	  end
end

function Autopilot_LOC_toggle ()
	  ipc.writeLvar("MCP_LOC_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_APP_toggle ()
	  ipc.writeLvar("MCP_APP_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function Autopilot_HDG_toggle ()
	  ipc.writeLvar("MCP_HDG_HLD_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_ALT_toggle ()
	  ipc.writeLvar("MCP_ALT_HLD_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_IAS_toggle ()
	  ipc.writeLvar("MCP_IAS_M_FLG", 1)
	  ipc.writeLvar("iSndPl", 104)
end
    
function Autopilot_FLCH_toggle ()
	  ipc.writeLvar("MCP_FLCH_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_VS_toggle ()
	  ipc.writeLvar("MCP_VS_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_EPR_toggle ()
	  ipc.writeLvar("MCP_EPR_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_SPD_toggle ()
	  ipc.writeLvar("MCP_SPD_FLG", 1)
	  ipc.writeLvar("iSndPl", 108)
end
    
function Autopilot_AT_on ()
    ipc.writeLvar("MCP_AT_SW", 1)
	  ipc.writeLvar("iSndPl", 103)
end

function Autopilot_AT_off ()
    ipc.writeLvar("MCP_AT_SW", 0)
	  ipc.writeLvar("iSndPl", 103)
end

function Autopilot_VS_up ()
	  buffer = ipc.readLvar("MCP_VS_DSP")
	  if buffer < 9900 then buffer = buffer + 100 end
	  ipc.writeLvar("MCP_VS_DSP", buffer)
	  Autopilot_VS_show()
end

function Autopilot_VS_down ()
 	  buffer = ipc.readLvar("MCP_VS_DSP")
	  if buffer > -9900 then buffer = buffer - 100 end
	  ipc.writeLvar("MCP_VS_DSP", buffer)
	  Autopilot_VS_show()
end

function Autopilot_VS_show ()
	local buffer = ipc.readLvar("MCP_VS_DSP")
	if buffer > 0 then 
		line2 = string.format("+%03d", buffer/10)
	else
		line2 = string.format("-%03d", -buffer/10)
	end
	if buffer == 0 then line2 = " 00 " end
	DspShow(" VS ", line2)  
end

function Autopilot_FD_on ()
    ipc.writeLvar("MCP_FD_switch", 1)
	  ipc.writeLvar("iSndPl", 103)
end

function Autopilot_FD_off ()
    ipc.writeLvar("MCP_FD_switch", 0)
	  ipc.writeLvar("iSndPl", 103)
end

function Autopilot_SPD_plusminus (a, b, c)
    buffer = tonumber(c)
    ipc.writeLvar("MCP_IAS_DSP", buffer)
end
    
function Autopilot_HDG_plusminus (a, b, c)
    buffer = tonumber(c)
    ipc.writeLvar("MCP_HDG_DSP", buffer)
end
    
function Autopilot_ALT_plusminus (a, b, c)
    buffer = tonumber(c)
    ipc.writeLvar("MCP_ALT_DSP", buffer*100)
end

function Autopilot_HDGSEL_press ()
    ipc.writeLvar("MCP_HDG_SEL_FLG",1)
end

-- ## NAV controls ######################################

function NAV_OBS_plusplus ()
	  buffer = ipc.readLvar("VOR1_OBS")
	  if buffer < 350 then buffer = buffer + 10 end
	  ipc.writeLvar("VOR1_OBS", buffer)
end

function NAV_OBS_plus ()
	  buffer = ipc.readLvar("VOR1_OBS")
	  if buffer < 359 then buffer = buffer + 1 end
	  ipc.writeLvar("VOR1_OBS", buffer)
end

function NAV_OBS_minusminus ()
	  buffer = ipc.readLvar("VOR1_OBS")
	  if buffer >= 10 then buffer = buffer - 10 end
	  ipc.writeLvar("VOR1_OBS", buffer)
	  str = ""
end

function NAV_OBS_minus ()
	  buffer = ipc.readLvar("VOR1_OBS")
	  if buffer > 1 then buffer = buffer - 1 end
	  ipc.writeLvar("VOR1_OBS", buffer)
end

function NAV_nav1_toggle ()
  buffer = ipc.readLvar("CG_S003_MAN_LIGHT")
  if (buffer == 0) then
	  ipc.writeLvar("CG_S003_AUTO_LIGHT",0)
	  ipc.writeLvar("CG_S003_MAN_LIGHT",1)
	  ipc.writeLvar("CG003Light_AUTO",0)
	  ipc.writeLvar("CG003Light_MAN",1)
	  ipc.writeLvar("iSndPl", 108)
	else
	  ipc.writeLvar("CG_S003_AUTO_LIGHT",1)
	  ipc.writeLvar("CG_S003_MAN_LIGHT",0)
	  ipc.writeLvar("CG003Light_AUTO",1)
	  ipc.writeLvar("CG003Light_MAN",0)
	  ipc.writeLvar("iSndPl", 108)
	end
end

function NAV_nav1_obs_show ()
	buffer = ipc.readLvar("VOR1_OBS")
	DspShow("OBS ", buffer)  
end
  
-- ## EFIS controls #####################################

function EFIS_STA_toggle ()
	  buffer = ipc.readLvar("EFISMAP2_SWPOS")
	  if buffer == 0 then
		ipc.writeLvar("EFISMAP2_SWPOS",1)
		ipc.writeLvar("EFISMAP2_SW2LT",1)
	  else
		ipc.writeLvar("EFISMAP2_SWPOS",0)
		ipc.writeLvar("EFISMAP2_SW2LT",0)
	  end
end

function EFIS_WPT_toggle ()
	  buffer = ipc.readLvar("EFISMAP5_SWPOS")
	  if buffer == 0 then
		ipc.writeLvar("EFISMAP5_SWPOS",1)
		ipc.writeLvar("EFISMAP5_SW2LT",1)
	  else
		ipc.writeLvar("EFISMAP5_SWPOS",0)
		ipc.writeLvar("EFISMAP5_SW2LT",0)
	  end
end

function EFIS_ARPT_toggle ()
	  buffer = ipc.readLvar("EFISMAP3_SWPOS")
	  if buffer == 0 then
		ipc.writeLvar("EFISMAP3_SWPOS",1)
		ipc.writeLvar("EFISMAP3_SW2LT",1)
	  else
		ipc.writeLvar("EFISMAP3_SWPOS",0)
		ipc.writeLvar("EFISMAP3_SW2LT",0)
	  end
end

function EFIS_DATA_toggle ()
	  buffer = ipc.readLvar("EFISMAP4_SWPOS")
	  if buffer == 0 then
		ipc.writeLvar("EFISMAP4_SWPOS",1)
		ipc.writeLvar("EFISMAP4_SW2LT",1)
	  else
		ipc.writeLvar("EFISMAP4_SWPOS",0)
		ipc.writeLvar("EFISMAP4_SW2LT",0)
	  end
end

function EFIS_POS_toggle ()
	  ipc.writeLvar("CP_S020EOn", 1)
	  ipc.writeLvar("iSndPl", 112)
end
    
function EFIS_ADF1_set ()
	  ipc.writeLvar("OV001kn3ON",-1)
	  ipc.writeLvar("iSndPl", 4)
end

function EFIS_VOR1_set ()
	  ipc.writeLvar("OV001kn3ON",1)
	  ipc.writeLvar("iSndPl", 4)
end

function EFIS_ADF2_set ()
	  ipc.writeLvar("CP005sw8On",-1)
	  ipc.writeLvar("iSndPl", 4)
end

function EFIS_VOR2_set()
	  ipc.writeLvar("CP005sw8On",1)
	  ipc.writeLvar("iSndPl", 4)
end

function EFIS_WX_toggle ()
	  buffer = ipc.readLvar("EfisWXRSw2_ON")
	  if buffer == 0 then
		ipc.writeLvar("EfisWXRSw2_ON",1)
	  else
		ipc.writeLvar("EfisWXRSw2_ON",0)
	  end
	  ipc.writeLvar("iSndPl", 108)
end
	
function EFIS_NDM_plus ()
	  buffer = ipc.readLvar("EFISHSIModePos")
	  if buffer < 5 then buffer = buffer + 1 end
	  ipc.writeLvar("EFISHSIModePos", buffer)
	  ipc.writeLvar("HSIPg", buffer)
	  ipc.writeLvar("iSndPl", 108)
end

function EFIS_NDM_minus ()
	  buffer = ipc.readLvar("EFISHSIModePos")
	  if buffer > 0 then buffer = buffer - 1 end
	  ipc.writeLvar("EFISHSIModePos", buffer)
	  ipc.writeLvar("HSIPg", buffer)
	  ipc.writeLvar("iSndPl", 108)
end

function EFIS_NDR_plus ()
	  buffer = ipc.readLvar("EFISHSIRangePos")
	  if buffer == 80 then buffer = 100 end
	  if buffer == 60 then buffer = 80 end
	  if buffer == 40 then buffer = 60 end
	  if buffer == 20 then buffer = 40 end
	  if buffer == 0 then buffer = 20 end
	  ipc.writeLvar("EFISHSIRangePos", buffer)
	  ipc.writeLvar("hsiWxr_RangeInc", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function EFIS_NDR_minus ()
	  buffer = ipc.readLvar("EFISHSIRangePos")
	  if buffer == 20 then buffer = 0 end
	  if buffer == 40 then buffer = 20 end
	  if buffer == 60 then buffer = 40 end
	  if buffer == 80 then buffer = 60 end
	  if buffer == 100 then buffer = 80 end
	  ipc.writeLvar("EFISHSIRangePos", buffer)
	  ipc.writeLvar("hsiWxr_RangeDec", 1)
	  ipc.writeLvar("iSndPl", 108)
end

function EFIS_TFC_toggle ()
	  buffer = ipc.readLvar("TFCButOn")
	  if buffer == 0 then
		ipc.writeLvar("TFCButOn",1)
	  else
		ipc.writeLvar("TFCButOn",0)
	  end
	  ipc.writeLvar("iSndPl", 108)
end

function EFIS_TERR_toggle ()
	  ipc.writeLvar("CP_S020FOn", 1)
	  ipc.writeLvar("iSndPl", 112)
end
	
function EFIS_FPV_toggle ()
	  ipc.writeLvar("CG_S001_MAST_LT_ON",1)
	  ipc.writeLvar("EICAS_BUT_PUSH",1)
end

-- ## Engines controls #####################################

function Autobrake_plus (a, b, c)
	  buffer = ipc.readLvar("CP005sw8On")
    DspShow("ABRK", buffer)
	  if buffer < 7 then buffer = buffer + 1 
	    ipc.writeLvar("CP005sw8On", buffer)
	    ipc.writeLvar("iSndPl", 117)
	  end
end

function Autobrake_minus (a, b, c)
	  buffer = ipc.readLvar("CP005sw8On")
    DspShow("ABRK", buffer)
	  if buffer > 0 then buffer = buffer - 1
	    ipc.writeLvar("CP005sw8On", buffer)
	    ipc.writeLvar("iSndPl", 117)
	  end
end

function Engine1_fuelcut_on ()
	    ipc.writeLvar("EN1FUELCUTOFF", 1)
end

function Engine1_fuelcut_on ()
	    ipc.writeLvar("EN1FUELCUTOFF", 0)
end

function Engine2_fuelcut_on ()
	    ipc.writeLvar("EN2FUELCUTOFF", 1)
end

function Engine2_fuelcut_on ()
	    ipc.writeLvar("EN2FUELCUTOFF", 0)
end

function Engine2_fuelcut_toggle ()
  buffer = ipc.readLvar("EN2FUELCUTOFF")
  if buffer == 1 then
	    ipc.writeLvar("EN2FUELCUTOFF", 0)
	else
	    ipc.writeLvar("EN2FUELCUTOFF", 1)
  end
end

function Engine1_fuelcut_toggle ()
  buffer = ipc.readLvar("EN1FUELCUTOFF")
  if buffer == 1 then
	    ipc.writeLvar("EN1FUELCUTOFF", 0)
	else
	    ipc.writeLvar("EN1FUELCUTOFF", 1)
  end
end

function TMS_CRZ_toggle ()
  buffer = ipc.readLvar("CP_S020FOn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020FOn", 0)
	else
	    ipc.writeLvar("CP_S020FOn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_CON_toggle ()
  buffer = ipc.readLvar("CP_S020EOn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020EOn", 0)
	else
	    ipc.writeLvar("CP_S020EOn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_DERATE1_toggle ()
  buffer = ipc.readLvar("CP_S020DOn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020DOn", 0)
	else
	    ipc.writeLvar("CP_S020DOn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_DERATE2_toggle ()
  buffer = ipc.readLvar("CP_S020COn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020COn", 0)
	else
	    ipc.writeLvar("CP_S020COn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_CLB_toggle ()
  buffer = ipc.readLvar("CP_S020BOn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020BOn", 0)
	else
	    ipc.writeLvar("CP_S020BOn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_TOGA_toggle ()
  buffer = ipc.readLvar("CP_S020AOn")
  if buffer == 1 then
	    ipc.writeLvar("CP_S020AOn", 0)
	else
	    ipc.writeLvar("CP_S020AOn", 1)
  end
  ipc.writeLvar("iSndPl", 112)
end

function TMS_KNOB_plus ()
  buffer = ipc.writeLvar("CP009kn0On",1)
  ipc.writeLvar("iSndPl", 112)
  ipc.sleep(30)
  buffer = ipc.writeLvar("CP009kn0On",0)
end

function TMS_KNOB_minus ()
  buffer = ipc.writeLvar("CP009kn0On",-1)
  ipc.writeLvar("iSndPl", 112)
  ipc.sleep(30)
  buffer = ipc.writeLvar("CP009kn0On",0)
end

-- ## EICAS controls #####################################

function EICAS_dispeng_toggle ()
  buffer = ipc.readLvar("StatusSw2_PF002_On")
  if buffer == 1 then
	    ipc.writeLvar("StatusSw2_PF002_On", 0)
	else
	    ipc.writeLvar("StatusSw2_PF002_On", 1)
  end
end


-- ## Radar controls #####################################

function Radar_PWR_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  buffer2 = ipc.readLvar("hsiWxr_ModeSwitch1")
  if buffer == 0 then
    if not buffer2 == 1 then
      ipc.writeLvar("hsiWxr_ModeSwitch1",1)
    else
      ipc.writeLvar("hsiWxr_ModeSwitch1",0)
    end
    ipc.writeLvar("P14_003_RADAR_PWR_ON",1)
  else
    ipc.writeLvar("hsiWxr_Mode2_WxA_Btn",0)
    ipc.writeLvar("hsiWxr_Mode2_Wx_Btn",0)
    ipc.writeLvar("hsiWxr_ModeSwitch1",0)
    ipc.writeLvar("P14_003_RADAR_PWR_ON",0)
  end
  ipc.writeLvar("iSndPl",8)
end

function Radar_STBY_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  buffer2 = ipc.readLvar("hsiWxr_ModeSwitch1")
  if not buffer == 1 then
    if not buffer2 == 1 then
      ipc.writeLvar("hsiWxr_ModeSwitch1",1)
      ipc.writeLvar("hsiWxr_Mode2_WxA_Btn",0)
      ipc.writeLvar("L:hsiWxr_Mode2_Wx_Btn",0)
    end
	end
  ipc.writeLvar("iSndPl",8)
end

function Radar_TEST_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  buffer2 = ipc.readLvar("hsiWxr_ModeSwitch1")
  if buffer == 1 then
    if not buffer2 == 2 then
      ipc.writeLvar("hsiWxr_ModeSwitch1",2)
      ipc.writeLvar("hsiWxr_Mode2_WxA_Btn",0)
      ipc.writeLvar("L:hsiWxr_Mode2_Wx_Btn",0)
    end
	end
  ipc.writeLvar("iSndPl",8)
end

function Radar_STAB_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  buffer2 = ipc.readLvar("hsiWxr_StabButt")
  if buffer == 1 then
    if buffer2 == 0 then
      ipc.writeLvar("hsiWxr_StabButt",1)
    else
      ipc.writeLvar("hsiWxr_StabButt",0)
    end
	end
  ipc.writeLvar("iSndPl",8)
end

function Radar_WX_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  if buffer == 1 then
    ipc.writeLvar("hsiWxr_Mode2_WxA_Btn",0)
    ipc.writeLvar("hsiWxr_Mode2_Wx_Btn",1)
    buffer2 = ipc.readLvar("hsiWxr_Mode2_Wx")
    if buffer2 == 0 then
      ipc.writeLvar("hsiWxr_Mode2_Wx",1)
    else
      ipc.writeLvar("hsiWxr_Mode2_Wx",0)
    end
    ipc.writeLvar("hsiWxr_ModeSwitch1",3)
	end
  ipc.writeLvar("iSndPl",8)
end

function Radar_WXA_toggle ()
	buffer = ipc.readLvar("P14_003_RADAR_PWR_ON")
  if buffer == 1 then
    ipc.writeLvar("hsiWxr_Mode2_WxA_Btn",1)
    ipc.writeLvar("hsiWxr_Mode2_Wx_Btn",0)
    buffer2 = ipc.readLvar("hsiWxr_Mode2_WxA")
    if buffer2 == 0 then
      ipc.writeLvar("hsiWxr_Mode2_WxA",1)
    else
      ipc.writeLvar("hsiWxr_Mode2_WxA",0)
    end
    ipc.writeLvar("hsiWxr_ModeSwitch1",3)
	end
  ipc.writeLvar("iSndPl",8)
end

function Radar_Gain_minus ()
  ipc.writeLvar("RDKN_P14_001On",1)
  ipc.writeLvar("iSndPl",8)
  ipc.sleep(30)
  ipc.writeLvar("RDKN_P14_001On",0)
end

function Radar_Gain_plus ()
  ipc.writeLvar("RDKN_P14_001On",-1)
  ipc.writeLvar("iSndPl",8)
  ipc.sleep(30)
  ipc.writeLvar("RDKN_P14_001On",0)
end

function Radar_Tilt_plus ()
  ipc.writeLvar("RDKN_P14_002On",1)
  ipc.writeLvar("iSndPl",8)
  ipc.sleep(30)
  ipc.writeLvar("RDKN_P14_002On",0)
end

function Radar_Tilt_minus ()
  ipc.writeLvar("RDKN_P14_002On",-1)
  ipc.writeLvar("iSndPl",8)
  ipc.sleep(30)
  ipc.writeLvar("RDKN_P14_002On",0)
end

-- ## System functions   ## 

-- Initial info on MCP display
function InitDsp ()

	DspSPD(ipc.readLvar("MCP_IAS_DSP"))
	DspHDG(ipc.readLvar("MCP_HDG_DSP"))
	DspALT(ipc.readLvar("MCP_ALT_DSP") / 100)
  buffer = string.sub(ipc.readLvar("VOR1_FREQUENCY"),2,3) .. string.sub(ipc.readLvar("VOR1_FREQUENCY"),5,6)
  com.write(dev, "NAVx" .. buffer, 8)
  com.write(dev, "NAVs" .. buffer, 8)
  buffer = string.sub(ipc.readLvar("VOR2_FREQUENCY"),2,3) .. string.sub(ipc.readLvar("VOR1_FREQUENCY"),5,6)
  com.write(dev, "NAVX" .. buffer, 8)
  com.write(dev, "NAVS" .. buffer, 8)
	
end

-- Initial variables
function InitVars ()

end
