-- Digital Aviation DO27 -- 
-- version 1.1 Sept 2011
-- by Gnter Steiner

-- ## System functions ##########

function InitVars ()

 -- uncomment to disable display
    AutopilotDisplayBlocked ()
     -- AutoDisplay = false
      -- DSP_MODE_two ()
end

function Timer ()
   CHT = round(ipc.readLvar("L:CylinderHeadTemperature"))

   if _MCP1() then
   DspShow("CHT", CHT .. "C")
   elseif _MCP2() then
    CHTAlarm = ""
    if CHT > 240 then
    CHTAlarm = "!!"
    end
   DspMed1("CylHead")
   DspMed2(CHT .. " C" .. CHTAlarm)
   end
end




-- ## Electrics ########

function DO27_Battery_on ()   


	ipc.writeDD("281C", 1) 
	ipc.writeLvar("L:SoundRockerSwitch", 1)
    DspShow("Batt", " on ")

end

function DO27_Battery_off ()    


	ipc.writeDD("281C", 0) 
	ipc.writeLvar("L:SoundRockerSwitch", 1)
    DspShow("Batt", " off")
end

function DO27_AVionics_on ()  


	ipc.writeDD("2E80", 1) 
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitVor1", 1)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitElectricalInstruments", 1)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitInstruments", 1)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitGPS", 1)
	ipc.writeLvar("L:SoundAutomat", 1)
    DspShow("Avio", " on ")
end

function DO27_AVionics_off ()   


	ipc.writeDD("2E80", 0) 
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitVor1", 0)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitElectricalInstruments", 0)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitInstruments", 0)
	ipc.writeLvar("L:SoundAutomat", 1)

	_sleep(150, 500)
	ipc.writeLvar("L:CircuitGPS", 0)
	ipc.writeLvar("L:SoundAutomat", 1)
    DspShow("Avio", " off")
end

function DO27_Ignition_on ()   

    ipc.writeLvar("L:IgnitionMaster", 1)
	ipc.writeLvar("L:SoundAutomat", 1)
    DspShow("Ign", " on ")
end

function DO27_Ignition_off ()    

    ipc.writeLvar("L:IgnitionMaster", 0)
	ipc.writeLvar("L:SoundAutomatReset", 1)
    DspShow("Ign", " on ")
end

function DO27_Alternator_on ()   

    ipc.writeLvar("L:CircuitAlternator", 1)
	ipc.writeLvar("L:SoundAutomat", 1)
    DspShow("Gen", " on ")
end

function DO27_Alternator_off ()   

    ipc.writeLvar("L:CircuitAlternator", 0)
	ipc.writeLvar("L:SoundAutomatReset", 1)
    DspShow("Gen", " on ")
end

function DO27_ENG1_magneto_inc ()

	FVar = "0892"

	val = ipc.readSB(FVar)
	if val <= 2 then
	val = val + 1
	ipc.writeLvar("L:SoundMagnetos", 1)

	end

	ipc.writeSB(FVar, val)

    DspShow("Magn", " on ")

end

function DO27_ENG1_magneto_dec ()

	FVar = "0892"

	val = ipc.readSB(FVar)
	if val >= 1 then
	val = val - 1
	ipc.writeLvar("L:SoundMagnetos", 1)
	end

	ipc.writeSB(FVar, val)
    DspShow("Magn", " on ")

end

-- ## Anti Ice ###############

function DO27_CarbHeat_on ()   

    ipc.control(66029)
	ipc.writeLvar("L:SoundCarbHeat", 1)

end

function DO27_CarbHeat_off ()   

    ipc.control(66030)
	ipc.writeLvar("L:SoundCarbHeat", 1)

end

function DO27_Pitot_on ()   

    ipc.writeLvar("L:CircuitPitot", 1)
	ipc.writeLvar("L:SoundAutomat", 1)

end

function DO27_Pitot_off ()     

    ipc.writeLvar("L:CircuitPitot", 0)
	ipc.writeLvar("L:SoundAutomatReset", 1)

end


-- ## Fuel System ###############

function DO27_FuelPump_on ()    

    ipc.control(66340, 1)
	ipc.writeLvar("L:SoundAutomat", 1)
    DspShow("Fuel", " on ")
end

function DO27_FuelPump_off ()  

    ipc.control(66340, 0)
ipc.writeLvar("L:SoundAutomatReset", 1)
    DspShow("Fuel", " off")
end

function DO27_Mixture_on ()

    ipc.writeLvar("L:LeverMixture", 0)
	ipc.writeLvar("L:SoundMixture", 1)
    DspShow("Mixt", " on ")

end

function DO27_Mixture_off ()

    ipc.writeLvar("L:LeverMixture", 100)
	ipc.writeLvar("L:SoundMixture", 1)
    DspShow("Mixt", " off")

end

function DO27_Brandhahn_on ()

    ipc.writeLvar("L:Brandhahn", 0)
	ipc.writeLvar("L:SoundBrandhahn", 1)


end

function DO27_Brandhahn_off ()

    ipc.writeLvar("L:Brandhahn", 1)
	ipc.writeLvar("L:SoundBrandhahn", 1)


end

-- ## Lights ##########

function DO27_lights_Landing_on ()   

    ipc.writeLvar("L:LightLanding", 1)
	ipc.writeLvar("L:SoundRockerSwitch", 1)


end

function DO27_lights_Landing_off ()  

    ipc.writeLvar("L:LightLanding", 0)
	ipc.writeLvar("L:SoundRockerSwitch", 1)


end

function DO27_lights_Circuit_on ()   

    ipc.writeLvar("L:CircuitLandingLight", 1)
	ipc.writeLvar("L:SoundAutomat", 1)


end

function DO27_lights_Circuit_off ()    

    ipc.writeLvar("L:CircuitLandingLight", 0)
	ipc.writeLvar("L:SoundAutomatReset", 1)


end

function DO27_lights_Cockpit_on ()    

    ipc.writeLvar("L:LightCabinForward", 1)
    ipc.writeLvar("L:CockpitLightOn", 1)
	ipc.writeLvar("L:Light Panel", 1)

	ipc.writeLvar("L:SoundAutomat", 1)


end

function DO27_lights_Cockpit_off ()   

    ipc.writeLvar("L:LightCabinForward", 0)
    ipc.writeLvar("L:CockpitLightOn", 0)
	ipc.writeLvar("L:Light Panel", 0)

	ipc.writeLvar("L:SoundAutomatReset", 1)


end



-- ## Starting #######

function DO27_Primer ()   

    ipc.writeLvar("L:FuelInjection", 1)
	ipc.sleep(100)
	ipc.writeLvar("L:FuelInjection", 0)

end

function DO27_Starter_on ()   

    ipc.writeLvar("L:GuardStarter", 1)
	ipc.sleep(50)
    ipc.control(66300, 1)


end

function DO27_Starter_off ()   


    ipc.writeLvar("L:GuardStarter", 0)


end

-- ## Others ###############

function Do27_CompassSet_inc ()

    Desired_Heading = "L:CompassCardBias"
	Var = ipc.readLvar(Desired_Heading)

	if Var <= 360 then
	Var = Var + 1

	else Var = 1
	end

	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", "Set+")

end


function Do27_CompassSet_incfast ()

    Desired_Heading = "L:CompassCardBias"
	Var = ipc.readLvar(Desired_Heading)

	if Var <= 360 then
	Var = Var + 5

	else Var = 1
	end

	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", "Set+")

end

function Do27_CompassSet_dec ()

    Desired_Heading = "L:CompassCardBias"
	Var = ipc.readLvar(Desired_Heading)

	if Var >= 0 then
	Var = Var - 1

	else Var = 359
	end

	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", "Set-")

end

function Do27_CompassSet_decfast ()

    Desired_Heading = "L:CompassCardBias"
	Var = ipc.readLvar(Desired_Heading)

	if Var >= 0 then
	Var = Var - 5

	else Var = 359
	end

	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", "Set-")

end


function Do27_ControlsLock_on ()

    ipc.writeLvar("ControlsBlocked", 1)
    DspShow("Lock", " on ")
end

function Do27_ControlsLock_off ()

    ipc.writeLvar("ControlsBlocked", 0)
    DspShow("Lock", " off")
end

function Do27_ControlsLock_toggle ()
if _t("lock") then
     Do27_ControlsLock_on ()
else
    Do27_ControlsLock_off ()
end

end


function Do27_Kneeboard_on ()
   ipc.writeLvar("KneeBoard", 1)
end

function Do27_Kneeboard_off ()
   ipc.writeLvar("KneeBoard", 0)
end

function Do27_Kneeboard_toggle ()
if _t("kneeb") then
    Do27_Kneeboard_on ()
else
   Do27_Kneeboard_off ()
end

end












