
-- ## MCP Dials ###############

function PM_CRS_LR_toggle ()

    -- toggling value form 1 to 2
    -- 1 - left CRS, 2 - right CRS
    mcp_crs_mode = 3 - mcp_crs_mode

    if mcp_crs_mode == 1 then

        DspShow('CRS', 'LEFT')
        mcp_crs_offset = 0xC4E

    else

        DspShow('CRS', 'RGHT')
        mcp_crs_offset = 0xC5E

    end

end

function PM_CRS_plus (a, b, c)

    local v = ipc.readUW(mcp_crs_offset) + 1

    if v > 360 then v = 1 end

	ipc.writeUW(mcp_crs_offset, v)
    PM_CRS_show ()

end

function PM_CRS_plusfast (a, b, c)

    local v = ipc.readUW(mcp_crs_offset) + 10
    if v > 360 then v = v - 360 end
	ipc.writeUW(mcp_crs_offset, v)
    ipc.sleep(30)
    PM_CRS_show ()

end

function PM_CRS_minus (a, b, c)

    local v = ipc.readUW(mcp_crs_offset) - 1

    if v < 0 then v = 359 end

	ipc.writeUW(mcp_crs_offset, v)
    PM_CRS_show ()

end

function PM_CRS_minusfast (a, b, c)

    local v = ipc.readUW(mcp_crs_offset) - 10

    if v < 0 then v = 360 - v end

	ipc.writeUW(mcp_crs_offset, v)
    ipc.sleep(30)
    PM_CRS_show ()

end

function PM_CRS_show ()

	local buffer = ipc.readUW(mcp_crs_offset)

	line2 = string.format("%03d", buffer)

    if mcp_crs_mode == 1 then

    	DspShow("CRS1", line2)

    else

    	DspShow("CRS2", line2)

    end
end

function PM_VVS_plus (a, b, c)

    local v = ipc.readUW(0x540C) + 1
	ipc.writeUW(0x540C, v)
    PM_VVS_show ()

end

function PM_VVS_plusfast (a, b, c)

    local v = ipc.readUW(0x540C) + 10
	ipc.writeUW(0x540C, v)
    PM_VVS_show ()

end

function PM_VVS_minus (a, b, c)

    local v = ipc.readUW(0x540C) - 1
	ipc.writeUW(0x540C, v)
    PM_VVS_show ()

end

function PM_VVS_minusfast (a, b, c)

    local v = ipc.readUW(0x540C) - 10
	ipc.writeUW(0x540C, v)
    PM_VVS_show ()

end

function PM_VVS_show ()

	local buffer = ipc.readUW(0x540C)

	if buffer > 16384 then

		buffer = 65536 - buffer
		line2 = string.format("-%03d", buffer)

	else

		line2 = string.format("+%03d", buffer)

	end

	if buffer == 0 then line2 = " 00 " end

	DspShow(" VS ", line2)

end

function PM_ALT_plus (a, b, c)

    if tonumber(c) > 500 then

        c = 500
        DspALT(500)

    end

	ipc.writeUD(0x540A, c)

end

function PM_ALT_minus (a, b, c)

    if tonumber(c) < 1 then

        c = 1
        DspALT(1)

    end

    ipc.writeUD(0x540A, c)

end

function Prosim737_HDG_plus (a, b, c)

	ipc.writeUW(0x5408, c * 65536/360)

end

function Prosim737_HDG_minus (a, b, c)

	ipc.writeUW(0x5408, c * 65536/360)

end

function PM_HDG_plus (a, b, c)

	ipc.writeUW(0x5408, c)

end

function PM_HDG_minus (a, b, c)

	ipc.writeUW(0x5408, c)

end


function PM_SPD_plus (a, b, c)

    if tonumber(c) > 340 then

        c = 340
        DspSPD(340)

    end

	ipc.writeUW(0x5406, c)

end

function PM_SPD_minus (a, b, c)

	ipc.writeUW(0x5406, c)

end




-- ## System functions ##

function InitVars ()

    mcp_crs_mode = 1
    mcp_crs_offset = 0xC4E
    -- uncomment to disable display
    -- AutopilotDisplayBlocked ()

end 