-- ################################
-- RealAir Duke Turbine specific functions
-- ################################

-- ## Macros ###############

function DukeT_Avionics_on ()

    Avionics_MASTER_on ()

	_sleep(200, 400)

	ipc.writeLvar("L:Duke_inverter_Switch", 0)

	_sleep(200, 400)

	ipc.writeLvar("L:NavCom1_On", 0)

	_sleep(200, 400)

	ipc.writeLvar("L:NavCom2_On", 0)

	_sleep(200, 400)

	ipc.writeLvar("L:dukeGpsOn", 1)

	_sleep(200, 400)

	ipc.writeLvar("L:ADF_On_Switch", 1)
end

function DukeT_Avionics_off ()

	ipc.writeLvar("L:NavCom1_On", 1)

	_sleep(200, 400)

	ipc.writeLvar("L:NavCom2_On", 1)

	_sleep(200, 400)


	ipc.writeLvar("L:dukeGpsOn", 0)

	_sleep(200, 400)

	ipc.writeLvar("L:ADF_On_Switch", 0)

	_sleep(200, 400)


	ipc.writeLvar("L:Duke_inverter_Switch", 1)

	_sleep(200, 400)

    Avionics_MASTER_off ()

end

-- ## Electrics #####################################

-- ignition
function DukeT_Ignition_L_on ()
	ipc.writeLvar("L:ignSwL", 2)
    DspShow ("IgnL", "On")
end

function DukeT_Ignition_R_on ()
	ipc.writeLvar("L:ignSwR", 2)
    DspShow ("IgnR", "On")
end

function DukeT_Ignition_B_on ()
	ipc.writeLvar("L:ignSwL", 2)
	ipc.writeLvar("L:ignSwR", 2)
    DspShow ("IgnB", "On")
end

function DukeT_Ignition_L_auto ()
	ipc.writeLvar("L:ignSwL", 0)
    DspShow ("IgnL", "Auto")
end

function DukeT_Ignition_R_auto ()
	ipc.writeLvar("L:ignSwR", 0)
    DspShow ("IgnR", "Auto")
end

function DukeT_Ignition_B_auto ()
	ipc.writeLvar("L:ignSwL", 0)
	ipc.writeLvar("L:ignSwR", 0)
    DspShow ("IgnB", "Auto")
end

function DukeT_Ignition_L_off ()
	ipc.writeLvar("L:ignSwL", 1)
    DspShow ("IgnL", "Off")
end

function DukeT_Ignition_R_off ()
	ipc.writeLvar("L:ignSwR", 1)
    DspShow ("IgnR", "Off")
end

function DukeT_Ignition_B_off ()
	ipc.writeLvar("L:ignSwL", 1)
	ipc.writeLvar("L:ignSwR", 1)
    DspShow ("IgnB", "Off")
end

-- generator
function DukeT_Generator_L_on ()
	ipc.writeSB("3b78", 1)
    DspShow ("GenL", "On")
end

function DukeT_Generator_R_on ()
	ipc.writeSB("3ab8", 1)
    DspShow ("GenR", "On")
end

function DukeT_Generator_B_on ()
	ipc.writeSB("3b78", 1)
	ipc.writeSB("3ab8", 1)
    DspShow ("GenB", "On")
end

function DukeT_Generator_L_off ()
	ipc.writeSB("3b78", 0)
    DspShow ("GenL", "Off")
end

function DukeT_Generator_R_off ()
	ipc.writeSB("3ab8", 0)
    DspShow ("GenR", "Off")
end

function DukeT_Generator_B_off ()
	ipc.writeSB("3b78", 0)
	ipc.writeSB("3ab8", 0)
    DspShow ("GenB", "Off")
end

-- starter
function DukeT_Starter_L_on ()
	ipc.writeSB("0892", 1)
    DspShow ("SttL", "On")
end

function DukeT_Starter_L_off ()
	ipc.writeSB("0892", 0)
    DspShow ("SttL", "Off")
end

function DukeT_Starter_R_on ()
	ipc.writeSB("092a", 1)
    DspShow ("SttR", "On")
end

function DukeT_Starter_R_off ()
	ipc.writeSB("092a", 0)
    DspShow ("SttR", "Off")
end



-- ## Lights #####################################

-- Landing lights left toggle

function DukeT_LandingLightsL_toggle ()

	ipc.control(65751)
end



-- Landing lights right toggle

function DukeT_LandingLightsR_toggle ()

	ipc.control(66376)
end

-- cockpit lights toggle

function DukeT_CockpitLights_toggle ()

	ipc.control(66579)
end

-- ## Fuel #####################################

-- Fuel pump + valve ENG1 on (both engines)

function DukeT_FuelPumpENG1_on ()

	ipc.writeSB("3b98", 1)

end

function DukeT_FuelPumpENG1_off ()

	ipc.writeSB("3b98", 0)
end


function DukeT_FuelPumpENG2_on ()

	ipc.writeSB("3ad8", 1)
end

function DukeT_FuelPumpENG2_off ()

	ipc.writeSB("3ad8", 0)
end


function DukeT_FuelValveENG1_on ()

	ipc.writeLvar("L:Duke_Tank_Selector_L", 50)
end


function DukeT_FuelValveENG1_off ()

	ipc.writeLvar("L:Duke_Tank_Selector_L", 0)
end


function DukeT_FuelValveENG2_on ()

	ipc.writeLvar("L:Duke_Tank_Selector_R", 50)
end

function DukeT_FuelValveENG2_off ()

	ipc.writeLvar("L:Duke_Tank_Selector_R", 0)
end



function DukeT_FuelPumps_on ()

	ipc.writeSB("3b98", 1)
	ipc.writeSB("3ad8", 1)

end

function DukeT_FuelPumps_off ()

	ipc.writeSB("3b98", 0)
	ipc.writeSB("3ad8", 0)

end

function DukeT_FuelValves_on ()

	ipc.writeLvar("L:Duke_Tank_Selector_L", 50)
	ipc.writeLvar("L:Duke_Tank_Selector_R", 50)
end

function DukeT_FuelValves_off ()

	ipc.writeLvar("L:Duke_Tank_Selector_L", 0)
	ipc.writeLvar("L:Duke_Tank_Selector_R", 0)
end


-- ## Cowl Flaps #####################################

-- oil cowl flaps closed

function DukeT_Cowl_close ()

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_1", 0)
	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_2", 0)
    DspShow ("Cowl", "clos")
end

-- oil cowl flaps half

function DukeT_Cowl_half ()

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_1", 1)
	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_2", 1)
        DspShow ("Cowl", "half")
end

-- oil cowl flaps open

function DukeT_Cowl_open ()

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_1", 2)
	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_2", 2)
        DspShow ("Cowl", "open")
end

function CawlFlaps_LEFT_open ()
        
	local buf = ipc.readLvar("L:Duke_Cowl_Flaps_Switch_1") + 1

	if buf > 2 then buf = 2 end

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_1", buf)
        DspShow ("CowL", "open")
end

function CawlFlaps_LEFT_close ()
        
	local buf = ipc.readLvar("L:Duke_Cowl_Flaps_Switch_1") - 1

	if buf < 0 then buf = 0 end

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_1", buf)
        DspShow ("CowL", "clos")
end

function CawlFlaps_RIGHT_open ()
        
	local buf = ipc.readLvar("L:Duke_Cowl_Flaps_Switch_2") + 1

	if buf > 2 then buf = 2 end

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_2", buf)
        DspShow ("CowR", "open")
end

function CawlFlaps_RIGHT_close ()
        
	local buf = ipc.readLvar("L:Duke_Cowl_Flaps_Switch_2") - 1

	if buf < 0 then buf = 0 end

	ipc.writeLvar("L:Duke_Cowl_Flaps_Switch_2", buf)
        DspShow ("CowR", "clos")
end

function CawlFlaps_BOTH_open ()

	CawlFlaps_LEFT_open ()
	CawlFlaps_RIGHT_open ()
        DspShow ("Cwls", "open")
end

function CawlFlaps_BOTH_close ()

	CawlFlaps_LEFT_close ()
	CawlFlaps_RIGHT_close ()
        DspShow ("Cwls", "clos")
end

-- ## Other ###############

-- XPDR inc

function DukeT_XPDR_inc ()

	i = ipc.readLvar("L:XPDR_State")

	if i < 5 then
	ipc.writeLvar("L:XPDR_State", i+1)

	end

	if i == 5 then
	ipc.writeLvar("L:XPDR_State", 5)

	end
end

-- XPDR dec

function DukeT_XPDR_dec ()

	i = ipc.readLvar("L:XPDR_State")

	if i > 0 then
	ipc.writeLvar("L:XPDR_State", i-1)

	end

	if i == 0 then
	ipc.writeLvar("L:XPDR_State", 0)

	end
end

function Master_Warning_Reset () 
 
	LVarSet = "L:MW_Reset" 
 
	ipc.writeLvar(LVarSet, 1) 
	DspShow("MSTR", "CLR") 

end 
 
function Yoke_Hide ()
 
	LVarSet = "L:DukeYokeVis" 
 
	ipc.writeLvar(LVarSet, 1) 
	DspShow("YOKE", "OFF") 

end 
 
function Yoke_Show ()
 
	LVarSet = "L:DukeYokeVis" 
 
	ipc.writeLvar(LVarSet, 0) 
	DspShow("YOKE", "ON") 

end

function RXP_530_show ()

	-- shift + 2
	ipc.keypress(50,9)

end

-- ## system ###############

function InitVars ()

    Yoke_Hide ()

end