-- VRS F/A 18 -- 

-- ## Electrics ###############

-- APU start toggle
function VRSF18_APUStart_toggle ()

	LVarSet = "L:BCBLT"
	val = 0

	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 0 then
	val = 1
	end


	ipc.writeLvar(LVarSet, val)
end

-- GEN eng 1 and 2 on
function VRSF18_Generators_on ()

	ipc.writeSB("3ab8", 1)
	ipc.sleep(100)
	ipc.writeSB("3b78", 1)
end

-- GEN eng 1 and 2 off
function VRSF18_Generators_off ()

	ipc.writeSB("3ab8", 0)
	ipc.sleep(100)
	ipc.writeSB("3b78", 0)
end

-- Avionics on
function VRSF18_Avionics_on ()


	ipc.writeLvar("L:BCBGL", 2) --LDDI 
	ipc.sleep(200)
	ipc.writeLvar("L:BCBGO", 2) --RDDI 
	ipc.sleep(200)
	ipc.writeLvar("L:BCBGJ", 3) --UFCG/MCPD
end

-- Avionics off
function VRSF18_Avionics_off ()


	ipc.writeLvar("L:BCBGL", 0) --LDDI 
	ipc.sleep(200)
	ipc.writeLvar("L:BCBGO", 0) --RDDI 
	ipc.sleep(200)
	ipc.writeLvar("L:BCBGJ", 0) --UFCG/MCPD
end

-- Ground power on
function VRSF18_GroundPower_on ()
	ipc.writeLvar("L:BCBLP", 2) -- Reset
end


function VRSF18_Displays_inc () 


	LVarSet = "L:BCBGN"	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar("L:BCBGN", val)
	ipc.writeLvar("L:BCBGQ", val)
	ipc.writeLvar("L:BCBGJ", val)
	ipc.writeLvar("L:BCBHB", val)
	ipc.writeLvar("L:BCBHO", val/2)

	DspShow("Brgt", val)
end


function VRSF18_Displays_dec () 


	LVarSet = "L:BCBGN"	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 2 then
 	val = LvarVar - 1
	elseif LvarVar == 1 then
 	val = 1
	end


	ipc.writeLvar("L:BCBGN", val)
	ipc.writeLvar("L:BCBGQ", val)
	ipc.writeLvar("L:BCBGJ", val)
	ipc.writeLvar("L:BCBHB", val)
	ipc.writeLvar("L:BCBHO", val/2)

	DspShow("Brgt", val)
end


function VRSF18_DispBright_inc () 


	LVarSet = "L:BCBGM"	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 19 then
 	val = LvarVar + 1
	elseif LvarVar == 19 then
 	val = 14
	end


	ipc.writeLvar("L:BCBGM", val)
	ipc.writeLvar("L:BCBGP", val)
	ipc.writeLvar("L:BCBGI", val)
	ipc.writeLvar("L:BCBHP", val/2)

	DspShow("Cont", val)
end


function VRSF18_DispBright_dec () 


	LVarSet = "L:BCBGM"	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 2 then
 	val = LvarVar - 1
	elseif LvarVar == 1 then
 	val = 1
	end


	ipc.writeLvar("L:BCBGM", val)
	ipc.writeLvar("L:BCBGP", val)
	ipc.writeLvar("L:BCBGI", val)
	ipc.writeLvar("L:BCBHP", val/2)

	DspShow("Cont", val)
end



-- ## Fuel ###############

-- Fuel valve eng1 open
function VRSF18_FuelValveEng1_open ()

	ipc.writeSB("3590", 1)
end

-- Fuel valve eng1 close
function VRSF18_FuelValveEng1_close ()

	ipc.writeSB("3590", 0)
end

-- Fuel valve eng2 open
function VRSF18_FuelValveEng2_open ()

	ipc.writeSB("3594", 1)
end

-- Fuel valve eng2 close
function VRSF18_FuelValveEng2_close ()

	ipc.writeSB("3594", 0)
end


-- ## Start ###############

-- eng 1 crank
function VRSF18_StartEng1 ()

	ipc.writeLvar("L:BCBLU", 2)
end

-- eng 2 crank
function VRSF18_StartEng2 ()

	ipc.writeLvar("L:BCBLU", 0)
end

-- eng crank neutral
function VRSF18_StartEng_neutral ()

	ipc.writeLvar("L:BCBLU", 1)
end


-- ## Autopilot ############### 

-- CPL seq on
function VRSF18_CPLSeq_on ()


	LVarSet = "BCBPX"

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 13 then
	ipc.writeLvar(LVarSet, 4)
	DspShow("CPL", "SEQ ")
	elseif LvarVar == 4 then
	ipc.writeLvar(LVarSet, 13)
	DspShow("HDG", "")

	end

end


function VRSF18_HDG_hold ()
	ipc.writeLvar("L:BCBPX", 13)
    	DspShow("HDG", " ")
end


function VRSF18_HDG_sel ()
	ipc.writeLvar("L:BCBPX", 12)
    	DspShow("HDG", "sel")
end

function VRSF18_FPAH ()
	ipc.writeLvar("L:BCBPZ", 8)
    	DspShow("FPAH", " ")
        ipc.control(66289)
end

function VRSF18_BARALT ()

	LVarSet = "BCBPZ"
    AltVar = ipc.readUW("3324")

 	LvarVar = ipc.readLvar(LVarSet)

	ipc.writeLvar(LVarSet, 6)
	DspShow("BAR", "ALT ")
    ipc.control(66124, AltVar)
    ipc.control(66036)
    ipc.control(65808)
	if LvarVar == 6 then
	ipc.writeLvar(LVarSet, 8)
	DspShow("FPAH", "   ")
    end
end

function VRSF18_RADIO_ALT ()

    LVarSet = "BCBPZ"
    AltVar = math.floor(ipc.readUD("31e4")/65536)

    if AltVar <= 1500 then
	DspShow("RDR", "ALT ")
    ipc.writeLvar(LVarSet, 7)
    elseif AltVar >= 1500 then
    DspShow("NOT", "AVLB")
    end
end


-- ## Lights ############### 

function VRSF18_LandingLight_on ()
	ipc.writeLvar("L:BCBMZ", 1)
end


function VRSF18_LandingLight_off ()
	ipc.writeLvar("L:BCBMZ", 0)
end

-- Strobe on
function VRSF18_Strobe_on ()
	ipc.writeLvar("L:BCBMM", 1)
end

-- Strobe off
function VRSF18_Strobe_off ()
	ipc.writeLvar("L:BCBMM", 0)
end

-- EXT lights (Nav) on
function VRSF18_EXTlights_on ()
	ipc.writeLvar("L:BCBHA", 1)
end

-- EXT lights (Nav) off
function VRSF18_EXTlights_off ()
	ipc.writeLvar("L:BCBHA", 0)
end

-- formation lights  on
function VRSF18_Formationlights_on ()
	ipc.writeLvar("L:BCBCR", 6)
end

-- formation lights  off
function VRSF18_Formationlights_off ()
	ipc.writeLvar("L:BCBCR", 0)
end

-- cock flood on
function VRSF18_CockpitFlood_on ()
	ipc.writeLvar("L:BCBHG", 1)
end

-- cock flood off
function VRSF18_CockpitFlood_off ()
	ipc.writeLvar("L:BCBHG", 0)
end

-- console on
function VRSF18_Console_on ()
	ipc.writeLvar("L:BCBHE", 5) --console light
	ipc.writeLvar("L:BCBHH", 5) --instrument light
end

-- console off
function VRSF18_Console_off ()
	ipc.writeLvar("L:BCBHE", 0) --console light
	ipc.writeLvar("L:BCBHH", 0) --instrument light
end

function VRSF18_Console_inc () 

	LVarSet = "L:BCBHE"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("Cons", val)
end

function VRSF18_Console_dec () 

	LVarSet = "L:BCBHE"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("Cons", val)
end

function VRSF18_Instr_inc () 

	LVarSet = "L:BCBHH"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("Inst", val)
end

function VRSF18_Instr_dec () 

	LVarSet = "L:BCBHH"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("Inst", val)
end

-- Nightvision on
function VRSF18_NightVision_on ()
	ipc.writeLvar("L:BCBMJ", 1)
end

-- Nightvision  off
function VRSF18_NightVision_off ()
	ipc.writeLvar("L:BCBMJ", 0)
end


-- ## Extra ###############

-- Master caution reset
function VRSF18_MasterCaution_reset ()

	ipc.writeLvar("L:BCBEL", 1)
		ipc.writeLvar("L:BCBEK", 0)
	ipc.sleep(100)
	ipc.writeLvar("L:BCBEL", 0)
end

-- Seat arming
function VRSF18_Seat_Arming ()

	ipc.writeLvar("L:BCBNJ", 1)
    ipc.writeLvar("L:BCBND", 1)
end

-- Seat unarming
function VRSF18_Seat_Unarming ()

	ipc.writeLvar("L:BCBNJ", 0)
    ipc.writeLvar("L:BCBND", 1)
end

-- Anti Skid on 
function VRSF18_AntiSkid_on ()
	ipc.writeLvar("L:BCBMY", 1)
end

-- Anti Skid off
function VRSF18_AntiSkid_off ()
	ipc.writeLvar("L:BCBMY", 0)
end

-- NWS steering toggle
function VRSF18_NWSSteering_toggle ()

	LVarSet = "L:BCCLB"


	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar == 0 then
	val = 1
	text = "on"
	elseif LvarVar == 0 then
	val = 0
	text = "off"
	end

	ipc.writeLvar(LVarSet, val)
	DspShow("NWS", text)
end


function VRSF18_NWSSteering_on ()

	LVarSet = "L:BCCLB"

	ipc.writeLvar(LVarSet, 1)
	DspShow("NWS", "on")
end


function VRSF18_NWSSteering_off ()

	LVarSet = "L:BCCLB"

	ipc.writeLvar(LVarSet, 0)
	DspShow("NWS", "off")
end

-- TO rudder trim
function VRSF18_TORudderTrim ()
	ipc.writeLvar("L:BCBFI", 1)
end

-- FCES reset
function VRSF18_FCESReset ()
	ipc.writeLvar("L:BCBFH", 1)
end

-- MPCD zoom button
function VRSF18_MPCDZoomButton ()
	ipc.writeLvar("L:BCBFC", 8)
end

-- launch bar down
function VRSF18_LaunchBar_down ()
	ipc.writeLvar("L:BCBCP", 1)
end


-- launch bar up
function VRSF18_LaunchBar_up ()
	ipc.writeLvar("L:BCBCP", 0)
end

-- hook down
function VRSF18_Hook_down ()
	ipc.writeLvar("L:BCBNR", 1)
	ipc.writeLvar("L:BCBNO", 1)
	ipc.writeLvar("L:BCBCE", 0)
end

-- hook up
function VRSF18_Hook_up ()
	ipc.writeLvar("L:BCBNR", 0)
end


-- ## HUD ###############

function VRSF18_HUD_inc () 

	LVarSet = "L:BCBHL"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HUD", val)
end


function VRSF18_HUD_dec () 

	LVarSet = "L:BCBHL"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HUD", val)
end


function VRSF18_HUDColor_inc () 

	LVarSet = "L:BCBHM"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HUDc", val)
end


function VRSF18_HUDColor_dec () 

	LVarSet = "L:BCBHM"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HUDc", val)
end


function VRSF18_HUDBacklght_inc () 

	LVarSet = "L:BCBHN"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 9 then
 	val = LvarVar + 1
	elseif LvarVar == 10 then
 	val = 10
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("BkLt", val)
end


function VRSF18_HUDBacklght_dec () 

	LVarSet = "L:BCBHN"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("BkLt", val)
end


function VRSF18_HUDVideo_inc () 

	LVarSet = "L:BCBLY"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar <= 1 then
 	val = LvarVar + 1
	elseif LvarVar == 2 then
 	val = 2
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HVid", val)
end


function VRSF18_HUDVideo_dec () 

	LVarSet = "L:BCBLY"
	

 	LvarVar = ipc.readLvar(LVarSet)
	if LvarVar >= 1 then
 	val = LvarVar - 1
	elseif LvarVar == 0 then
 	val = 0
	end


	ipc.writeLvar(LVarSet, val)

	DspShow("HVid", val)
end


-- ## Weapons ###############

function VRSF18_MasterArm_on ()

	ipc.writeLvar("L:BCBMG", 1)
end

function VRSF18_MasterArm_off ()

	ipc.writeLvar("L:BCBMG", 0)
end


-- ## System functions ###############

function InitVars ()

	-- uncomment to disable display
	 AutopilotDisplayBlocked ()
	
end

