-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
    -- AutopilotDisplayBlocked ()
   
    local aircraft = ipc.readSTR(0x3D00, 35)

    _log("iFly 737 aircraft: " .. aircraft)

    if string.find(aircraft, "737%-600") ~= nil then
        macro = "iFly737: 600"
    elseif string.find(aircraft, "737%-700") ~= nil then
        macro = "iFly737: 700"
    elseif string.find(aircraft, "737%-800") ~= nil then
        macro = "iFly737: 800"
    elseif string.find(aircraft, "737%-900") ~= nil then
        macro = "iFly737: 900"
    elseif string.find(aircraft, "737%-BBJ2") ~= nil then
        macro = "iFly737: BB2"
    elseif string.find(aircraft, "737%-BBJ3") ~= nil then
	macro = "iFly737: BB3"
    elseif string.find(aircraft, "737%-BBJ") ~= nil then
	macro = "ifly737: BBJ"
    else
	_log("=====> iFly: UNKNOWN AIRCRAFT: " .. aircraft)
	macro = "ifly737: 600" -- Fall back to the 600
    end
    _log("======> iFly 737 macro: " .. macro);
end

-- ## Other ###############

function iFly737_FireWarn ()
    ipc.macro(macro .. "PNL FireWrn")
    DspShow("Fire", "Warn")
end

function iFly737_MasterCaution ()
    ipc.macro(macro .. "PNL MasterWrn")
    DspShow("Mstr", "Warn")
end

function iFly737_AutoBrakeInc ()
    ipc.macro(macro .. "PNL AtoBrkInc")
    DspShow("Auto", "Brke")
end


function iFly737_AutoBrakeDec ()
    ipc.macro(macro .. "PNL AtoBrkDec")
    DspShow("Auto", "Brke")
end


-- ## Autopilot ###############

function iFly737_AP_N1 ()
    ipc.macro(macro .. "MCP N1")
    DspShow("N1", "")
end

function iFly737_AP_Speed ()
    ipc.macro(macro .. "MCP Speed")
    DspShow("SPD", "")
end

function iFly737_AP_LvlChg ()
    ipc.macro(macro .. "MCP LvlChg")
    DspShow("LVL", "CHG")
end

function iFly737_AP_HdgSel ()
    ipc.macro(macro .. "MCP HdgSel")
    DspShow("HDG", "SEL")
end

function iFly737_AP_App ()
    ipc.macro(macro .. "MCP App")
    DspShow("APP", "")
end

function iFly737_AP_AltHld ()
    ipc.macro(macro .. "MCP AltHld")
    DspShow("ALT", "HLD")
end

function iFly737_AP_VS ()
    ipc.macro(macro .. "MCP VS")
    DspShow("V/S", "")
end

function iFly737_AP_VNav ()
    ipc.macro(macro .. "MCP VNav")
    DspShow("VNAV", "")
end

function iFly737_AP_LNav ()
    ipc.macro(macro .. "MCP LNav")
    DspShow("LNAV", "")
end

function iFly737_AP_VorLoc ()
    ipc.macro(macro .. "MCP VorLoc")
    DspShow("VOR", "LOC")
end

function iFly737_AP_CmdA ()
    ipc.macro(macro .. "MCP CmdA")
    DspShow("CMD", " A")
end

function iFly737_AP_CmdB ()
    ipc.macro(macro .. "MCP CmdB")
    DspShow("CMD", " B")
end

function iFly737_AP_CwsA ()
    ipc.macro(macro .. "MCP CwsA")
    DspShow("CWS", " A")
end

function iFly737_AP_CwsB ()
    ipc.macro(macro .. "MCP CwsB")
    DspShow("CWS", " B")
end

function iFly737_AP_APMaster_On ()
    local master = ipc.readLvar("L:VC_DISENGAGE_Bar_SW_VAL")
    if (master == 0) then
        ipc.macro(macro .. "MCP APMaster")
    end
    DspShow("AP", "On")
end

function iFly737_AP_APMaster_Off ()
    local master = ipc.readLvar("L:VC_DISENGAGE_Bar_SW_VAL")
    if (master == 1) then
        ipc.macro(macro .. "MCP APMaster")
    end
    DspShow("AP", "Off")
end

function iFly737_AP_TOGA ()
    ipc.macro(macro .. "MCP TOGA")
    DspShow("TOGA", "")
end

function iFly737_AP_CO ()
    ipc.macro(macro .. "MCP CO")
    DspShow("C/O", "")
end

function iFly737_AP_SpdIntv ()
    ipc.macro(macro .. "MCP SpdIntv")
    DspShow("SPD", "INTV")
end

function iFly737_AP_AltIntv ()
    ipc.macro(macro .. "MCP AltIntv")
    DspShow("ALT", "INTV")
end

function iFly737_AP_AT_On ()
    local at = ipc.readLvar("L:VC_AT_SW_VAL")
    if (at == 0) then
        ipc.macro(macro .. "MCP AT")
    end
    DspShow("A/T", "On")
end

function iFly737_AP_AT_Off ()
    local at = ipc.readLvar("L:VC_AT_SW_VAL")
    if (at == 1) then
        ipc.macro(macro .. "MCP AT")
    end
    DspShow("A/T", "Off")
end

function iFly737_AP_LeftFD_On ()
    local fd = ipc.readLvar("L:VC_FD_left_SW_VAL")
    if (fd == 0) then
        ipc.macro(macro .. "MCP LeftFD")
    end
    DspShow("F/D", "On")
end

function iFly737_AP_LeftFD_Off ()
    local fd = ipc.readLvar("L:VC_FD_left_SW_VAL")
    if (fd == 1) then
        ipc.macro(macro .. "MCP LeftFD")
    end
    DspShow("F/D", "Off")
end

function iFly737_AP_RightFD_On ()
    local fd = ipc.readLvar("L:VC_FD_right_SW_VAL")
    if (fd == 0) then
        ipc.macro(macro .. "MCP RightFD")
    end
    DspShow("F/D", "On")
end

function iFly737_AP_RightFD_Off ()
    local fd = ipc.readLvar("L:VC_FD_right_SW_VAL")
    if (fd == 1) then
        ipc.macro(macro .. "MCP RightFD")
    end
    DspShow("F/D", "Off")
end

function iFly737_AP_FD_On ()
    iFly737_AP_LeftFD_On()
    iFly737_AP_RightFD_On()
end

function iFly737_AP_FD_Off ()
    iFly737_AP_LeftFD_Off()
    iFly737_AP_RightFD_Off()
end

-- ## EFIS ###############

function iFly737_EFIS_Wxr ()
    ipc.macro(macro .. "EFS Wxr")
    DspShow("EFIS", "WXR")
end

function iFly737_EFIS_Sta ()
    ipc.macro(macro .. "EFS Sta")
    DspShow("EFIS", "STA")
end

function iFly737_EFIS_Wpt ()
    ipc.macro(macro .. "EFS Wpt")
    DspShow("EFIS", "WPT")
end

function iFly737_EFIS_Arpt ()
    ipc.macro(macro .. "EFS Arpt")
    DspShow("EFIS", "ARPT")
end

function iFly737_EFIS_Data ()
    ipc.macro(macro .. "EFS Data")
    DspShow("EFIS", "DATA")
end

function iFly737_EFIS_Pos ()
    ipc.macro(macro .. "EFS Pos")
    DspShow("EFIS", "POS")
end

function iFly737_EFIS_Fpv ()
    ipc.macro(macro .. "EFS Fpv")
    DspShow("FPV", "")
end

function iFly737_EFIS_Mtrs ()
    ipc.macro(macro .. "EFS Mtrs")
    DspShow("MTRS", "")
end

function iFly737_EFIS_Nav1Up ()
    ipc.macro(macro .. "EFS Nav1Up")
end

function iFly737_EFIS_Nav1Down ()
    ipc.macro(macro .. "EFS Nav1Down")
end

function iFly737_EFIS_Nav2Up ()
    ipc.macro(macro .. "EFS Nav2Up")
end

function iFly737_EFIS_Nav2Down ()
    ipc.macro(macro .. "EFS Nav2Down")
end

function iFly737_EFIS_CTRInc ()
    ipc.macro(macro .. "EFS CTRInc")
end

function iFly737_EFIS_CTRDec ()
    ipc.macro(macro .. "EFS CTRDec")
end

function iFly737_EFIS_CTRPush ()
    ipc.macro(macro .. "EFS CTRPush")
end

function iFly737_EFIS_TFCInc ()
    ipc.macro(macro .. "EFS TFCInc")
end

function iFly737_EFIS_TFCDec ()
    ipc.macro(macro .. "EFS TFCDec")
end

function iFly737_EFIS_TFCPush ()
    ipc.macro(macro .. "EFS TFCPush")
end

function iFly737_EFIS_MinsInc ()
    ipc.macro(macro .. "EFS MinsInc")
end

function iFly737_EFIS_MinsDec ()
    ipc.macro(macro .. "EFS MinsDec")
end

function iFly737_EFIS_MinsPush ()
    ipc.macro(macro .. "EFS MinsPush")
end

function iFly737_EFIS_BaroPush ()
    ipc.macro(macro .. "EFS BaroPush")
end
