-- Default FSX
-- nov 2011

-- ## Autopilot controls #####################################

function Autopilot_MASTER_toggle ()

	_AP_MASTER ()

end

function Autopilot_MASTER_on ()

	_AUTOPILOT_ON ()

end

function Autopilot_MASTER_off ()

	_AUTOPILOT_OFF ()

end

function Autopilot_NAVGPS_toggle ()
        
	_TOGGLE_GPS_DRIVES_NAV1 ()
	
end

function Autopilot_NAV_hold ()

	_AP_NAV1_HOLD ()

end

function Autopilot_ATT_hold ()

	_AP_ATT_HOLD ()
	
end

function Autopilot_LOC_hold ()

	_AP_LOC_HOLD ()
	
end

function Autopilot_APR_hold ()

	_AP_APR_HOLD ()

end

function Autopilot_VS_hold ()

	_AP_VS_HOLD ()
	
end

function Autopilot_PANEL_VS_hold ()

	_AP_PANEL_VS_HOLD ()
	
end

function Autopilot_ALT_hold ()

	_AP_ALT_HOLD ()
	
end

function Autopilot_PANEL_ALT_hold ()

	_AP_PANEL_ALTITUDE_HOLD ()

end

function Autopilot_BC_hold ()

	_AP_BC_HOLD ()

end

function Autopilot_HDG_hold ()

	_AP_HDG_HOLD ()

end

function Autopilot_PANEL_HDG_hold ()

	_AP_PANEL_HEADING_HOLD ()

end

function Autopilot_HDG_BUG_align ()

	readVar = "2B00"
	val = ipc.readDBL(readVar)
	ipc.writeUW("07cc", val/360*65536)
	DspHDG(val)

end

function Autopilot_AIRSPEED_hold ()

	_AP_AIRSPEED_HOLD ()

end

function Autopilot_N1_hold ()

	_AP_N1_HOLD ()

end

function Autopilot_FD_on ()

	ipc.writeSB("2EE0", 1)

end

function Autopilot_FD_off ()

	ipc.writeSB("2EE0", 0)
	
end

function Autopilot_ATHR_arm ()

	ipc.writeSB("0810", 1)

end

function Autopilot_ATHR_disarm ()

	ipc.writeSB("0810", 0)

end

function Autopilot_TOGA_on ()

	ipc.writeSB("080C", 1)

end

function Autopilot_TOGA_off ()

	ipc.writeSB("080C", 0)

end

-- ## Radios functions  #####################################

function Radios_DME_AUDIO_toggle ()

	if dme_sel == 1 then

		if _t("dme1") then
		
            if _MCP1 () then

                DspShow("DME1","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(65839)
			
		else
		
            if _MCP1 () then

                DspShow("DME1","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(65834)
		
		end
			
	else

		if _t("dme2") then
		
            if _MCP1 () then

                DspShow("DME2","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(65840)
			
		else
		
            if _MCP1 () then

                DspShow("DME2","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(65835)
		
		end

	end
end

function Radios_ADF_AUDIO_toggle ()

	_logg("ADF_AUDIO_toggle adf"..adf_sel)

	if adf_sel == 1 then

		if _t("adf1") then
		
            if _MCP1 () then

                DspShow("ADF1","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(65841)
			
		else
		
            if _MCP1 () then

                DspShow("ADF1","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(65836)
		
		end
			
	else

		if _t("adf2") then
		
            if _MCP1 () then

                DspShow("ADF2","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(66558)
			
		else
		
            if _MCP1 () then

                DspShow("ADF2","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(66557)
		
		end

	end
	
end

function Radios_NAV_AUDIO_toggle ()

	_logg("NAV_AUDIO_toggle nav"..nav_sel)

	if nav_sel == 1 then

		if _t("nav1") then
		
            if _MCP1 () then

                DspShow("NAV1","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(65837)

		else
		
            if _MCP1 () then

                DspShow("NAV1","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(65832)

		end
			
	else

		if _t("nav2") then
		
            if _MCP1 () then

                DspShow("NAV2","OFF")

            else

                DspRadioMed("Marker OFF")

            end

			ipc.control(65838)
			
		else
		
            if _MCP1 () then

                DspShow("NAV2","AUD")

            else

                DspRadioMed("Marker ON")

            end

			ipc.control(65833)
		
		end

	end

end

function Radios_COM_AUDIO_toggle ()

	if _t("camaud") then

        if _MCP1 () then

    		DspShow("COM2","aud")

        else

            DspRadioMed("Audio COM2")

        end

		ipc.control(66464)

	else

        if _MCP1 () then

    		DspShow("COM1","aud")

        else

            DspRadioMed("Audio COM1")

        end

		ipc.control(66463)

	end

end

function Radios_OMI_AUDIO_toggle ()

    -- _MARKER_SOUND_TOGGLE ()

	local n = ipc.readUB("3122")
	n = logic.Xor(n, 4)
	ipc.writeUB("3122", n)

    _log(tonumber(logic.And(n, 4)))

    if logic.And(n, 4) == 4 then

        DspShow ("MKR", "On")

    else

        DspShow ("MKR", "Off")

    end

end



-- ## Altimeter baro functions  ###############################

function Altimeter_BARO_STD_toggle ()

	if baro_mode ~= 10 then 
	
		baro_cur = ipc.readUW(0x330)
		ipc.control(66846)
		DspShow("Baro", "STD ")
		
		baro_mode = 10
		
	else
	
		ipc.control(65584)
		baro_cur = ipc.readUW(0x330)
		-- ipc.writeUW(0x330, baro_cur)
		baro_cur = ((baro_cur * 2992) / (1013.2 * 16)) + 0.5
		DspShow("Baro", tostring(baro_cur))
	
		baro_mode = 0
		
	end
	
end

function Altimeter_BARO_MODE_hPa ()

	baro_mode = 1
	Altimeter_BARO_show ()
    ipc.writeLvar("HPA Button", 1)

end

function Altimeter_BARO_MODE_inHg ()

	baro_mode = 0
	Altimeter_BARO_show ()
    ipc.writeLvar("HPA Button", 0)
end

function Altimeter_BARO_MODE_toggle ()

	if _t("D_BARO") then
	
		Altimeter_BARO_MODE_hPa ()
	
	else
	
		Altimeter_BARO_MODE_inHg ()
	
	end

end

function Altimeter_BARO_plus ()
	
	if not baro_std then

		baro = ipc.readUW(0x330)
		baro = baro + 4
		ipc.writeUW(0x330, baro)

	end
	
	Altimeter_BARO_show ()

end

function Altimeter_BARO_plusfast ()

	if not baro_std then

		baro = ipc.readUW(0x330)
		baro = baro + fast_baro
		ipc.writeUW(0x330, baro)
		
	end
	
	Altimeter_BARO_show ()	
	
end

function Altimeter_BARO_minus ()
	
	if not baro_std then

		baro = ipc.readUW(0x330)
		baro = baro - 4
		ipc.writeUW(0x330, baro)
	
	end
	
	Altimeter_BARO_show ()
	
end

function Altimeter_BARO_minusfast ()

	if not baro_std then

		baro = ipc.readUW(0x330)
		baro = baro - fast_baro
		ipc.writeUW(0x330, baro)

	end
	
	Altimeter_BARO_show ()
	
end

function Altimeter_BARO_show ()

	local baro = ipc.readUW(0x330)


	-- hPa mode
	if baro_mode == 0 then
	
		l1 = "inHg"
		baro = ((baro * 2992) / (1013.2 * 16)) + 0.5
		
	-- mbar mode
	elseif baro_mode == 1 then

		l1 = " hPa"
		baro = baro / 16
	
	-- mm/m mode
	elseif baro_mode == 2 then

		l1 = "mmHg"
		baro = ((baro * 760) / (1013.2 * 16)) + 0.5
		
	else
	
		DspShow("Baro", "STD ", true)
		return
	
	end

	DspShow(l1, string.format("%4d", baro), true)
	
end


-- ## FSX GPS controls #####################################

function GPS_NRST_button ()

	_GPS_NEAREST_BUTTON ()

end

function GPS_OBS_button ()

	_GPS_OBS_BUTTON ()

end

function GPS_MSG_button ()

	_GPS_MSG_BUTTON ()

end

function GPS_FPL_button ()

	_GPS_FLIGHTPLAN_BUTTON ()

end

function GPS_TERR_button ()

	_GPS_TERRAIN_BUTTON ()

end

function GPS_PROC_button ()

	_GPS_PROCEDURE_BUTTON ()

end

function GPS_ZOOM_dec ()

	_GPS_ZOOMIN_BUTTON ()

end

function GPS_ZOOM_inc ()

	_GPS_ZOOMOUT_BUTTON ()

end

function GPS_DIRECTTO_button ()

	_GPS_DIRECTTO_BUTTON ()

end

function GPS_MENU_button ()

	_GPS_MENU_BUTTON ()

end

function GPS_CLR_button ()

	_GPS_CLEAR_BUTTON ()

end

function GPS_ENTER_button ()

	_GPS_ENTER_BUTTON ()

end

function GPS_CRSR_button ()

	_GPS_CURSOR_BUTTON ()

end

function GPS_GROUP_inc ()

	_GPS_GROUP_KNOB_INC ()

end

function GPS_GROUP_dec ()

	_GPS_GROUP_KNOB_DEC ()

end

function GPS_PAGE_inc ()

	_GPS_PAGE_KNOB_INC ()

end

function GPS_PAGE_dec ()

	_GPS_PAGE_KNOB_DEC ()

end

function GPS_GROUP_show ()

	DspShow("GPS", "Grp")

end

function GPS_PAGE_show ()

	DspShow("GPS", "Page")

end

-- ## EFIS #####################################

function EFIS_MINIMUMS_inc ()
	
	_INCREASE_DECISION_HEIGHT ()

end

function EFIS_MINIMUMS_dec ()
	
	_DECREASE_DECISION_HEIGHT ()

end

function EFIS_MINIMUMS_show ()

	DspShow("MINS", " -- ")

end


function EFIS_WPT ()

    ipc.writeLvar("L:MapItem Shown", 0)
    DspShow("EFIS", "WPT")
end

function EFIS_VORD ()

    ipc.writeLvar("L:MapItem Shown", 1)
    DspShow("EFIS", "VORD")
end

function EFIS_NDB ()

    ipc.writeLvar("L:MapItem Shown", 2)
    DspShow("EFIS", "NDB")
end

function EFIS_ARPT ()

    ipc.writeLvar("L:MapItem Shown", 3)
    DspShow("EFIS", "ARPT")
end




function EFIS_ADF1 ()

	LVarSet = "EFIS VORADF1"
	ipc.writeLvar(LVarSet, 2)
    ipc.writeLvar("L:VOR 1 Switch", 2)
    DspShow("ADF" , "  1 ")
end

function EFIS_VOR1 ()

	LVarSet = "EFIS VORADF1"
	ipc.writeLvar(LVarSet, 0)
    ipc.writeLvar("L:VOR 1 Switch", 0)
    DspShow("VOR" , "  1 ")
end

function EFIS_ADFVOR1_off ()

	LVarSet = "EFIS VORADF1"
	ipc.writeLvar(LVarSet, 1)
    ipc.writeLvar("L:VOR 1 Switch", 1)
    DspShow("VOR1" , " off")
end

function EFIS_ADF2 ()

	LVarSet = "EFIS VORADF2"
	ipc.writeLvar(LVarSet, 2)
    ipc.writeLvar("L:VOR 2 Switch", 2)
    DspShow("ADF" , "  2 ")
end

function EFIS_VOR2 ()

	LVarSet = "EFIS VORADF2"
	ipc.writeLvar(LVarSet, 0)
    ipc.writeLvar("L:VOR 2 Switch", 0)
    DspShow("VOR" , "  2 ")
end

function EFIS_ADFVOR2_off ()

	LVarSet = "EFIS VORADF2"
	ipc.writeLvar(LVarSet, 1)
    ipc.writeLvar("L:VOR 2 Switch", 1)
    DspShow("VOR2" , " off")
end




function EFIS_MAPMODE_ils ()

    ipc.writeLvar("L:Display Mode", 0)
    DspShow("MAP" , "ILS")
end

function EFIS_MAPMODE_vor ()

    ipc.writeLvar("L:Display Mode", 1)
    DspShow("MAP" , "VOR")
end

function EFIS_MAPMODE_nav ()

    ipc.writeLvar("L:Display Mode", 2)
    DspShow("MAP" , "NAV")
end

function EFIS_MAPMODE_arc ()

    ipc.writeLvar("L:Display Mode", 3)
    DspShow("MAP" , "ARC")
end

function EFIS_MAPMODE_inc ()

    MMvar = ipc.readLvar("L:Display Mode")

    if MMvar < 4 then
    MMvar = MMvar + 1
    end

    if MMvar == 0 then
    EFIS_MAPMODE_ils ()

    elseif MMvar == 1 then
    EFIS_MAPMODE_vor ()

    elseif MMvar == 2 then
    EFIS_MAPMODE_nav ()

    elseif MMvar == 3 then
    EFIS_MAPMODE_arc ()

    end
end

function EFIS_MAPMODE_dec ()

    MMvar = ipc.readLvar("L:Display Mode")

    if MMvar > -1 then
    MMvar = MMvar - 1
    end

    if MMvar == 0 then
    EFIS_MAPMODE_ils ()

    elseif MMvar == 1 then
    EFIS_MAPMODE_vor ()

    elseif MMvar == 2 then
    EFIS_MAPMODE_nav ()

    elseif MMvar == 3 then
    EFIS_MAPMODE_arc ()

    end
end

-------------

function EFIS_BOEING_MAPMODE_app ()

    ipc.writeLvar("L:EFIS Mode", 0)
    DspShow("EFIS" , "APP")
end

function EFIS_BOEING_MAPMODE_vor ()

    ipc.writeLvar("L:EFIS Mode", 1)
    DspShow("EFIS" , "VOR")
end

function EFIS_BOEING_MAPMODE_map ()

    ipc.writeLvar("L:EFIS Mode", 2)
    DspShow("EFIS" , "MAP")
end



function EFIS_BOEING_MAPMODE_inc ()

    MMvar = ipc.readLvar("L:EFIS Mode")

    if MMvar < 3 then
    MMvar = MMvar + 1
    end

    if MMvar == 0 then
    EFIS_BOEING_MAPMODE_app ()

    elseif MMvar == 1 then
    EFIS_BOEING_MAPMODE_vor ()

    elseif MMvar == 2 then
    EFIS_BOEING_MAPMODE_map ()

    end
end

function EFIS_BOEING_MAPMODE_dec ()

    MMvar = ipc.readLvar("L:EFIS Mode")

    if MMvar > -1 then
    MMvar = MMvar - 1
    end

    if MMvar == 0 then
    EFIS_BOEING_MAPMODE_app ()

    elseif MMvar == 1 then
    EFIS_BOEING_MAPMODE_vor ()

    elseif MMvar == 2 then
    EFIS_BOEING_MAPMODE_map ()

    end
end

function EFIS_BOEING_MODE_centered ()

    ipc.writeLvar("L:MFD Centered", 1)
    DspShow("EFIS" , "Cent")
end

function EFIS_BOEING_MODE_uncentered ()

    ipc.writeLvar("L:MFD Centered", 0)
    DspShow("EFIS" , "Cent")
end

function EFIS_BOEING_center_toggle ()
	if _t("cent") then
        EFIS_BOEING_MODE_centered ()
	else
        EFIS_BOEING_MODE_uncentered ()
	end

end

-------------

function EFIS_MAPZOOM_10 ()

    ipc.writeLvar("L:Display Scale", 0)
    DspShow("ZOOM" , " 10 ")
end

function EFIS_MAPZOOM_20 ()

    ipc.writeLvar("L:Display Scale", 1)
    DspShow("ZOOM" , " 20 ")
end

function EFIS_MAPZOOM_40 ()

    ipc.writeLvar("L:Display Scale", 2)
    DspShow("ZOOM" , " 40 ")
end

function EFIS_MAPZOOM_80 ()

    ipc.writeLvar("L:Display Scale", 3)
    DspShow("ZOOM" , " 80 ")
end

function EFIS_MAPZOOM_160 ()

    ipc.writeLvar("L:Display Scale", 4)
    DspShow("ZOOM" , " 160")
end

function EFIS_MAPZOOM_320 ()

    ipc.writeLvar("L:Display Scale", 5)
    DspShow("ZOOM" , " 320")
end

function EFIS_MAPZOOM_inc ()

    MZvar = ipc.readLvar("L:Display Scale")

    if MZvar < 6 then
    MZvar = MZvar + 1
    end

    if MZvar == 0 then
    EFIS_MAPZOOM_10 ()

    elseif MZvar == 1 then
    EFIS_MAPZOOM_20 ()

    elseif MZvar == 2 then
    EFIS_MAPZOOM_40 ()

    elseif MZvar == 3 then
    EFIS_MAPZOOM_80 ()

    elseif MZvar == 4 then
    EFIS_MAPZOOM_160 ()

    elseif MZvar == 5 then
    EFIS_MAPZOOM_320 ()

    end
end

function EFIS_MAPZOOM_dec ()

    MZvar = ipc.readLvar("L:Display Scale")

    if MZvar > -1 then
    MZvar = MZvar - 1
    end

    if MZvar == 0 then
    EFIS_MAPZOOM_10 ()

    elseif MZvar == 1 then
    EFIS_MAPZOOM_20 ()

    elseif MZvar == 2 then
    EFIS_MAPZOOM_40 ()

    elseif MZvar == 3 then
    EFIS_MAPZOOM_80 ()

    elseif MZvar == 4 then
    EFIS_MAPZOOM_160 ()

    elseif MZvar == 5 then
    EFIS_MAPZOOM_320 ()

    end
end




-- ## Lights / Signs ###################################

function Lights_CABIN_on ()

	ipc.setbitsUW("0D0C", 512)
	DspShow ("FLD ", "On  ")

end

function Lights_CABIN_off ()

	ipc.clearbitsUW("0D0C", 512)
	DspShow ("FLD ", "Off ")

end

function Lights_CABIN_toggle ()

    if logic.And(ipc.readUW("0D0C"), 512) == 512 then

		Lights_CABIN_off ()
	
	else
	
		Lights_CABIN_on ()
		
	end

end

function Lights_PANEL_on ()

	ipc.setbitsUW("0D0C", 32)
	DspShow ("PANL", "On  ")

end

function Lights_PANEL_off ()

	ipc.clearbitsUW("0D0C", 32)
	DspShow ("PANL", "Off ")

end

function Lights_PANEL_toggle ()

    if logic.And(ipc.readUW("0D0C"), 32) == 32 then

		Lights_PANEL_off ()
	
	else
	
		Lights_PANEL_on ()
		
	end

end

function Lights_BEACON_on ()

	ipc.setbitsUW("0D0C", 2)
	DspShow ("BCN ", "On  ")
	
end

function Lights_BEACON_off ()

	ipc.clearbitsUW("0D0C", 2)
	DspShow ("BCN ", "Off ")
	
end

function Lights_BEACON_toggle ()

    if logic.And(ipc.readUW("0D0C"), 2) == 2 then
	
		Lights_BEACON_off ()
	
	else
	
		Lights_BEACON_on ()
		
	end
	
end

function Lights_STROBE_on ()

	ipc.setbitsUW("0D0C", 16)
	DspShow ("STRB", "On ")
	
end

function Lights_STROBE_off ()

	ipc.clearbitsUW("0D0C", 16)
	DspShow ("STRB", "Off ")
	
end

function Lights_STROBE_toggle ()

    if logic.And(ipc.readUW("0D0C"), 16) == 16 then

		Lights_STROBE_off ()
	
	else
	
		Lights_STROBE_on ()
		
	end
	
end

function Lights_NAV_on ()

	ipc.setbitsUW("0D0C", 1)
	DspShow ("NAV ", "On  ")
	
end

function Lights_NAV_off ()

	ipc.clearbitsUW("0D0C", 1)
	DspShow ("NAV ", "Off ")
	
end

function Lights_NAV_toggle ()

    if logic.And(ipc.readUW("0D0C"), 1) == 1 then

		Lights_NAV_off ()
	
	else
	
		Lights_NAV_on ()
		
	end

end

function Lights_LANDING_on ()

	ipc.setbitsUW("0D0C", 4)
	DspShow ("LNDG", "On  ")

end

function Lights_LANDING_off ()

	ipc.clearbitsUW("0D0C", 4)
	DspShow ("LNDG", "Off ")

end

function Lights_LANDING_toggle ()

    if logic.And(ipc.readUW("0D0C"), 4) == 4 then

		Lights_LANDING_off ()
	
	else
	
		Lights_LANDING_on ()
		
	end

end

function Lights_TAXI_on ()

	ipc.setbitsUW("0D0C", 8)
	DspShow ("TAXI", "On  ")
	
end

function Lights_TAXI_off ()

	ipc.clearbitsUW("0D0C", 8)
	DspShow ("TAXI", "Off ")
	
end

function Lights_TAXI_toggle ()

    if logic.And(ipc.readUW("0D0C"), 8) == 8 then

		Lights_TAXI_off ()
	
	else
	
		Lights_TAXI_on ()
		
	end
	
end

function Lights_RECOGN_toggle ()

	n = ipc.readUW("0D0C") 
	n = logic.Xor(n, 64) 
	ipc.writeUW("0D0C", n)

end

function Lights_WING_toggle ()

	n = ipc.readUW("0D0C") 
	n = logic.Xor(n, 128) 
	ipc.writeUW("0D0C", n)

end

function Lights_LOGO_toggle ()

	n = ipc.readUW("0D0C") 
	n = logic.Xor(n, 256) 
	ipc.writeUW("0D0C", n)

end

function Sign_SEATBELTS_toggle ()

	_CABIN_SEATBELTS_ALERT_SWITCH_TOGGLE ()

end

function Sign_NOSMOKING_toggle ()

	_CABIN_NO_SMOKING_ALERT_SWITCH_TOGGLE ()

end

-- ## Systems ###################################

function Gears_up ()

	_GEAR_UP ()
	DspShow ("GEAR", "Up  ")

end

function Gears_down ()

	_GEAR_DOWN ()
	DspShow ("GEAR", "Down")

end

function Gears_toggle ()

	_GEAR_TOGGLE ()

end

function Battery_on ()

	ipc.writeDD("281C", 1)
	DspShow ("BAT ", "On  ")
	
end

function Battery_off ()

	ipc.writeDD("281C", 0)
	DspShow ("BAT ", "Off ")
	
end


function Battery_toggle ()

    if ipc.readDD("281C") == 0 then

        Battery_on ()

    else

        Battery_off ()

    end

end



function Avionics_MASTER_on ()

	ipc.writeUW("2e80", 1)
	DspShow ("AVIO ", "On  ")
	
end

function Avionics_MASTER_off ()

	ipc.writeUW("2e80", 0)
	DspShow ("AVIO", "Off ")
	
end

function Avionics_MASTER_toggle ()

    local avio = ipc.readUW("2e80")

    if avio == 1 then

        Avionics_MASTER_off ()

    else

        Avionics_MASTER_on ()

    end

end

function ALL_Generators_on ()

	ipc.setbitsUW("3b78", 1)
	ipc.setbitsUW("3ab8", 1)
	ipc.setbitsUW("39f8", 1)
	ipc.setbitsUW("3938", 1)
end

function ALL_Generators_off ()

	ipc.clearbitsUW("3b78", 1)
	ipc.clearbitsUW("3ab8", 1)
	ipc.clearbitsUW("39f8", 1)
	ipc.clearbitsUW("3938", 1)
end


function ALL_FuelPumps_on ()

	ipc.setbitsUW("3b98", 1)
	ipc.setbitsUW("3ad8", 1)
	ipc.setbitsUW("3b98", 1)
	ipc.setbitsUW("3a18", 1)
end

function ALL_FuelPumps_off ()

	ipc.clearbitsUW("3b98", 1)
	ipc.clearbitsUW("3ad8", 1)
	ipc.clearbitsUW("3b98", 1)
	ipc.clearbitsUW("3a18", 1)
end

function FuelPump_toggle ()

	_FUEL_PUMP ()

end

function ALL_FuelSelectors_on ()

	ipc.setbitsUW("3880", 1)
	ipc.setbitsUW("37c0", 1)
	ipc.setbitsUW("3700", 1)
	ipc.setbitsUW("3640", 1)
end

function ALL_FuelSelectors_off ()

	ipc.clearbitsUW("3880", 1)
	ipc.clearbitsUW("37c0", 1)
	ipc.clearbitsUW("3700", 1)
	ipc.clearbitsUW("3640", 1)
end


function Prop_SYNC_toggle ()

	_TOGGLE_PROPELLER_SYNC ()

end

function Brakes ()

	_BRAKES ()

end

function Brakes_PARKING ()

	_PARKING_BRAKES ()

end

function Brakes_ANTISKID_toggle ()

	_ANTISKID_BRAKES_TOGGLE ()

end

function Brakes_AUTOBRAKE_increase ()

	_INCREASE_AUTOBRAKE_CONTROL ()

end

function Brakes_AUTOBRAKE_decrease ()

	_DECREASE_AUTOBRAKE_CONTROL ()

end

function Brakes_AUTOBRAKE_off ()

	_SET_AUTOBRAKE_CONTROL (0)

end


-- ## DeIce ###################################

function DeIce_STRUCTURAL_toggle ()

	_TOGGLE_STRUCTURAL_DEICE ()

end

function DeIce_PITOT_on ()

	_PITOT_HEAT_ON ()

end

function DeIce_PITOT_off ()

	_PITOT_HEAT_OFF ()

end

function DeIce_PITOT_toggle ()

	_PITOT_HEAT_TOGGLE ()

end

function DeIce_PROP_toggle ()

	_TOGGLE_PROPELLER_DEICE ()

end

function CarbHeat_on ()

	ipc.setbitsUW("08b2", 1)
	
end

function CarbHeat_off ()

	ipc.clearbitsUW("08b2", 1)
	
end

-- ## Flight controls ############

function Flaps_up ()

	_FLAPS_UP ()

end

function Flaps_down ()

	_FLAPS_DOWN ()

end

function Flaps_incr ()

	_FLAPS_INCR ()

end

function Flaps_decr ()

	_FLAPS_DECR ()

end


function Trim_RUDDER_left ()

	_RUDDER_TRIM_LEFT ()
	
end

function Trim_RUDDER_right ()

	_RUDDER_TRIM_RIGHT ()
	
end

function Trim_RUDDER_center ()

	ipc.writeUW("0C04", 0)

end

function Trim_AILERON_left ()

	_AILERON_TRIM_LEFT ()

end

function Trim_AILERON_right ()

	_AILERON_TRIM_RIGHT ()

end

function Trim_AILERON_center ()

	ipc.writeUW("0C02", 0)

end

function Trim_ELEVATOR_up ()

	_ELEV_TRIM_UP ()

end

function Trim_ELEVATOR_down ()

	_ELEV_TRIM_DN ()

end

function Trim_ELEVATOR_center ()

	ipc.control (65706, 1)
	ipc.control (65706, 0)

end

-- ## ATC window ############

function ATC_WINDOW_toggle ()

	_ATC ()
	
end

function ATC_MENU_0 ()

	_ATC_MENU_0 ()
	
end

function ATC_MENU_1 ()

	_ATC_MENU_1 ()
	
end

function ATC_MENU_2 ()

	_ATC_MENU_2 ()
	
end
	
function ATC_MENU_3 ()

	_ATC_MENU_3 ()
	
end
	
function ATC_MENU_4 ()

	_ATC_MENU_4 ()
	
end
	
function ATC_MENU_5 ()

	_ATC_MENU_5 ()
	
end
	
function ATC_MENU_6 ()

	_ATC_MENU_6 ()
	
end
	
function ATC_MENU_7 ()

	_ATC_MENU_7 ()
	
end
	
function ATC_MENU_8 ()

	_ATC_MENU_8 ()
	
end
	
function ATC_MENU_9 ()

	_ATC_MENU_9 ()
	
end
	

-- ## Engines starting

function Engine_start ()

	_ENGINE_AUTO_START ()
	
end

function Engine_stop ()

	_ENGINE_AUTO_SHUTDOWN ()

end

function ENG1_start ()

	val = ipc.readSB("0892")
	if val == 3 then
	_MAGNETO1_START ()
	end
end

function ENG2_start ()

	val = ipc.readSB("092A")
	if val == 3 then
	_MAGNETO2_START ()
	end
end

function ENG3_start ()

	val = ipc.readSB("09C2")
	if val == 3 then
	_MAGNETO3_START ()
	end
end

function ENG4_start ()

	val = ipc.readSB("0A5A")
	if val == 3 then
	_MAGNETO4_START ()
	end
end

----------- Magnetos toggle just from Off to BOTH

function ENG_magneto_show ()

    if FVar == "0892" then
    EngMV = "1"
    elseif FVar == "092A" then
    EngMV = "2"
    elseif FVar == "09C2" then
    EngMV = "3"
    elseif FVar == "0A5A" then
    EngMV = "4"
    end

    if val == 0 then
    MagPos = " off"
    elseif val == 1 then
    MagPos = "rght"
    elseif val == 2 then
    MagPos = "left"
    elseif val == 3 then
    MagPos = "both"
    end
    DspShow("Mag" .. EngMV, MagPos)
end



function ENG1_magneto_inc ()

	FVar = "0892"

	val = ipc.readSB(FVar)
	if val <= 2 then
	val = val + 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG1_magneto_dec ()

	FVar = "0892"

	val = ipc.readSB(FVar)
	if val >= 1 then
	val = val - 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG2_magneto_inc ()

	FVar = "092A"

	val = ipc.readSB(FVar)
	if val <= 2 then
	val = val + 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG2_magneto_dec ()

	FVar = "092A"

	val = ipc.readSB(FVar)
	if val >= 1 then
	val = val - 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG3_magneto_inc ()

	FVar = "09C2"

	val = ipc.readSB(FVar)
	if val <= 2 then
	val = val + 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG3_magneto_dec ()

	FVar = "09C2"

	val = ipc.readSB(FVar)
	if val >= 1 then
	val = val - 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG4_magneto_inc ()

	FVar = "0A5A"

	val = ipc.readSB(FVar)
	if val <= 2 then
	val = val + 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end

function ENG4_magneto_dec ()

	FVar = "0A5A"

	val = ipc.readSB(FVar)
	if val >= 1 then
	val = val - 1
	end

	ipc.writeSB(FVar, val)
    ENG_magneto_show ()
end



-- ## Rotaries functions 

function HDG_plus (a, b, c)

	if c == nil then
	
		_HEADING_BUG_INC ()
		return
	
	end
	
	sync_hdg = c / 360 * 65536
	ipc.writeUW(0x07CC, sync_hdg)    

end

function HDG_plusfast (a, b, c)

	if c == nil then
	
		for i = 1, fast_hdg do

			_HEADING_BUG_INC ()
			
		end
			
		return
	
	end

	sync_hdg = c / 360 * 65536
	ipc.writeUW(0x07CC, sync_hdg)    
	
end

function HDG_minus (a, b, c)
	
	if c == nil then
	
		_HEADING_BUG_DEC ()
		return
	
	end
	
	sync_hdg = c / 360 * 65536
	ipc.writeUW(0x07CC, sync_hdg)    
	
end

function HDG_minusfast (a, b, c)

	if c == nil then
	
		for i = 1, fast_hdg do

			_HEADING_BUG_DEC ()
			
		end
			
		return
	
	end
	
	sync_hdg = c / 360 * 65536
	ipc.writeUW(0x07CC, sync_hdg)    
	
end


function ALT_plus (a, b, c)

	if c == nil then 
	
		_AP_ALT_VAR_INC ()
		return
		
	end

    sync_alt = c*100/3.28084*65536
	ipc.writeUD(0x07D4, sync_alt)
	
end

function ALT_plusfast (a, b, c)

	if c == nil then 
	
		for i = 1, fast_alt do

			_AP_ALT_VAR_INC ()
			
		end
			
		return
		
	end

    sync_alt = c*100/3.28084*65536
	ipc.writeUD(0x07D4, sync_alt)
	
end
	
function ALT_minus (a, b, c)

	if c == nil then 
	
		_AP_ALT_VAR_DEC ()
		return
		
	end

    sync_alt = c*100/3.28084*65536
	ipc.writeUD(0x07D4, sync_alt)
	
end

function ALT_minusfast (a, b, c)

	if c == nil then 
	
		for i = 1, fast_alt do

			_AP_ALT_VAR_DEC ()
			
		end
			
		return
		
	end

    sync_alt = c*100/3.28084*65536
    ipc.writeUD(0x07D4, sync_alt)
	
end


function VVS_plus (a, b, c)

    if _MCP1() then

    	ipc.writeUW(0x07F2, ipc.readUW(0x07F2) + 100)
	
    	VVS_show ()

    else

        ipc.writeUW(0x07F2, c * 100)

    end

end

function VVS_minus (a, b, c)

    if _MCP1() then

        ipc.writeUW(0x07F2, ipc.readUW(0x07F2) - 100)

        VVS_show ()

    else

        ipc.writeUW(0x07F2, c * 100)

    end

end

function VVS_show ()

	local buffer = ipc.readUW(0x07F2)

	if buffer > 16384 then 
	
		buffer = 65536 - buffer
		line2 = string.format("-%03d", buffer/10)
	
	else
	
		line2 = string.format("+%03d", buffer/10)
	
	end
	
	if buffer == 0 then line2 = " 00 " end

	DspShow(" VS ", line2)  
        
end


function SPD_plus (a, b, c)

	if c == nil then 
	
		_AP_SPD_VAR_INC ()
		return
		
	end

	ipc.writeUW(0x07E2, c)
    sync_spd = c

end

function SPD_plusfast (a, b, c)

	if c == nil then 
	
		for i = 1, fast_spd do

			_AP_SPD_VAR_INC ()
			
		end
			
		return
		
	end
	
	ipc.writeUW(0x07E2, c)
    sync_spd = c
	
end

function SPD_minus (a, b, c)

	if c == nil then 
	
		_AP_SPD_VAR_DEC ()
		return
		
	end

	ipc.writeUW(0x07E2, c)
    sync_spd = c
	
end

function SPD_minusfast (a, b, c)
	
	if c == nil then 
	
		for i = 1, fast_spd do

			_AP_SPD_VAR_DEC ()
			
		end
			
		return
		
	end

	ipc.writeUW(0x07E2, c)
    sync_spd = c
	
end

function SPD_show ()

end


function CRS_plus ()

	crs_hdg = crs_hdg + 1
	
	if crs_hdg > 359 then crs_hdg = 0 end
	
	ipc.writeUD(0x0C4E, crs_hdg)
	
	CRS_show ()

end

function CRS_plusfast ()

	crs_hdg = crs_hdg + fast_crs
	ipc.writeUD(0x0C4E, crs_hdg)
	
	if crs_hdg > 359 then crs_hdg = 360 - crs_hdg end

	CRS_show ()
	
end

function CRS_minus ()

	crs_hdg = crs_hdg - 1

	if crs_hdg < 0 then crs_hdg = 359 end

	ipc.writeUD(0x0C4E, crs_hdg)
	
	CRS_show ()
	
end

function CRS_minusfast ()

	crs_hdg = crs_hdg - fast_crs

	if crs_hdg < 0 then crs_hdg = 360 + crs_hdg end

	ipc.writeUD(0x0C4E, crs_hdg)
	
	CRS_show ()

end

function CRS_show ()

	if ipc.get("APlock") ~= 1 then DspShow("CRS ", DspNum(crs_hdg)) end
	
end


-- ## Pushback ##

function Pushback_back ()

    ipc.writeSB("31f4", 0)
    if _MCP1() then
    DspShow("Push", "back")
    elseif _MCP2() then
    DspMed1("Pushback")
    DspMed2("back")
    end
end

function Pushback_left ()

    ipc.writeSB("31f4", 2)
    if _MCP1() then
    DspShow("Push", "left")
    elseif _MCP2() then
    DspMed1("Pushback")
    DspMed2("left")
    end
end

function Pushback_right ()

    ipc.writeSB("31f4", 1)
        if _MCP1() then
    DspShow("Push", "rght")
    elseif _MCP2() then
    DspMed1("Pushback")
    DspMed2("right")
    end
end 


function Pushback_stop ()

    ipc.writeSB("31f4", 3)
    if _MCP1() then
    DspShow("Push", "stop")
    elseif _MCP2() then
    DspMed1("Pushback")
    DspMed2("stop")
    end
end


-- ## Trimmings ###############

function Elevator_Trim_show ()

    ElevVal = ipc.readUW(0x0BC2)
    if ElevVal >= 49000 then
    ElevVal = (ElevVal - 65487)
    end

    ElevTrimVar = ElevVal*0.00091552734375
    DspShow("Elev", ElevTrimVar)

end


function Elevator_Trim_up ()

    ipc.control(65615)
    Elevator_Trim_show ()
end

function Elevator_Trim_dn ()

    ipc.control(65607)
    Elevator_Trim_show ()
end


function Elevator_Trim_upfast ()

    i = 0
    while i <= 4 do
    ipc.control(65615)
    i = i + 1
    end
    Elevator_Trim_show ()
end

function Elevator_Trim_dnfast ()

    i = 0
    while i <= 4 do
    ipc.control(65607)
    i = i + 1
    end
    Elevator_Trim_show ()
end



function Aileron_Trim_show ()

    AilVal = ipc.readUW(0x0C02)
    if AilVal >= 49000 then
    AilVal = (AilVal - 65487)
    end

    AilTrimVar = round(AilVal*0.006103515625)
    DspShow("Ail", AilTrimVar)

end




function Aileron_Trim_left ()

    ipc.control(66276)
    Aileron_Trim_show ()
end

function Aileron_Trim_right ()

    ipc.control(66277)
    Aileron_Trim_show ()
end

function Aileron_Trim_reset ()

    ipc.writeSB("0C02", 0)
    ipc.sleep(50)
    Aileron_Trim_show ()
end




function Rudder_Trim_show ()

    RuddVal = ipc.readUW(0x0C04)
    if RuddVal >= 49000 then
    RuddVal = (RuddVal - 65487)
    end

    RuddTrimVar = math.ceil(RuddVal*0.006103515625)
    DspShow("Rudd", RuddTrimVar)

end

function Rudder_Trim_left ()

    ipc.control(66278)
    Rudder_Trim_show ()
end

function Rudder_Trim_right ()

    ipc.control(66279)
    Rudder_Trim_show ()
end

function Rudder_Trim_reset ()

    ipc.writeSB("0C04", 0)
    ipc.sleep(50)
    Rudder_Trim_show ()
end




-- ## System functions ## 

-- Initial info on MCP display
function InitDsp ()

    SPD = ipc.readUW(0x07E2)

	DspSPD(SPD)

	ipc.sleep(40)

    HDG = round(ipc.readUW(0x07CC)*360/65536)

	DspHDG(HDG)

	ipc.sleep(40) -- << waiting for FSX data update

    ALT = round(ipc.readUD(0x07D4)/65536*3.28084/100)

	DspALT(ALT)

	DspClear()

end


-- Initial variables
function FallbackInitVars ()

	-- Tuning fast rotation speeds
	fast_alt = 10 -- << increment value when rotary in fast mode 
	fast_hdg = 10 
	fast_crs = 5
	fast_ias = 10
	fast_baro = 10

	-- init CRS direction 
    if _MCP1  () then

        -- don't need this on MCP2
        crs_hdg = 0
	    ipc.writeUW(0x0C4E, 0)

    end
	
	-- Setting initial varibles values
	prev_mask = 0
	prev_num = 0

	tcas_mode = 0
	
	ipc.writeUW("0D0C", 0)

end


_log("FSX standard library loaded...")
