require("ipc")
require("event")
require("com")
function require () a = a end
dofile("H:\\Games\\FSX\\Modules\\linda\\system\\common.lua")
-- PMDG NGX737 module v. 2.0b --
-- Oct 2011

-- ## System functions ##

function InitVars ()

    mcp_crs_mode = 1
    mcp_hdg_mode = 1

    -- uncomment to disable display
    -- AutopilotDisplayBlocked ()

    AutoDisplay = false

    ngx_fd_state = -1
    ngx_at_state = -1

    ngx_flaps = ''
    ngx_flaps_cur = 0
    ngx_flaps_prev = -1
    ngx_flaps_sw_cur = 0
    ngx_flaps_sw_prev = -1

    ngx_gears = ''
    ngx_gears_cur = 0
    ngx_gears_prev = -1

    ngx_spd = 0
    ngx_hdg = 0
    ngx_alt = 0
    ngx_vvs = 0

    ngx_cmda = '_'
    ngx_cmdb = '_'
    ngx_cwsa = '_'
    ngx_cwsb = '_'

    ngx_vor = '_'
    ngx_app = '_'

    ngx_lnav = '_'
    ngx_vnav = '_'

    -- AP states
    ngx_MCP_Speed = 0
    ngx_MCP_N1 = 0
    ngx_MCP_LvlChg = 0

    ngx_MCP_VNav = 0
    ngx_MCP_LNav = 0

    ngx_MCP_HdgSel = 0
    ngx_MCP_AltHold = 0

    ngx_MCP_CMDA = 0
    ngx_MCP_CMDB = 0
    ngx_MCP_CWSA = 0
    ngx_MCP_CWSB = 0

    ngx_MCP_VORLock = 0
    ngx_MCP_App = 0

    ngx_MCP_VS = 0


    OBS1 = ipc.readLvar("L:ngx_CRSwindowL")
    OBS2 = ipc.readLvar("L:ngx_CRSwindowR")

end

function InitDsp ()

    NGX_AP_SPD_show ()

    NGX_AP_HDG_show ()

    NGX_AP_ALT_show ()

    NGX_AP_VS_show ()

end

function Timer ()


    -- FD
    if ipc.readLvar('ngx_switch_378_a') ~= ngx_fd_state then

        ngx_fd_state = ipc.readLvar('ngx_switch_378_a')

        if ngx_fd_state == 100 then

            DspFD(0)

        else

            DspFD(1)

        end

    end

    -- AT
    if ipc.readLvar('ngx_switch_380_a') ~= ngx_at_state then

        ngx_at_state = ipc.readLvar('ngx_switch_380_a')

        if ngx_at_state == 100 then

            DspAT(0)

        else

            DspAT(1)

        end

    end


    if ipc.get("DSPmode") == 1 then

        -- show autopilot info
        NGX_AP_INFO ()

    else

        -- show flaps/gears info
        NGX_FLIGHT_INFO ()

    end

    -- RESTORE CORRECT AP VALUES --
    NGX_AP_BACK_SYNC ()

    -- AP MODES INDICATION --
    NGX_AP_MODES_UPDATE ()

end


function NGX_FLIGHT_INFO ()

    -- FLAPS positions and movement
    local flaps_state1, flaps_state2, flaps_sw

    flaps_state1 = ' '
    flaps_state2 = ' '
    ngx_flaps_cur = ipc.readLvar('NGXLeftInbdTrailFlaps')
    flaps_sw = ipc.readLvar('ngx_switch_714_a')

    if flaps_sw == 0 then

        ngx_flaps = '00'

    elseif flaps_sw == 10 then

        ngx_flaps = '01'

    elseif flaps_sw == 20 then

        ngx_flaps = '02'

    elseif flaps_sw == 30 then

        ngx_flaps = '05'

    elseif flaps_sw == 40 then

        ngx_flaps = '10'

    elseif flaps_sw == 50 then

        ngx_flaps = '15'

    elseif flaps_sw == 60 then

        ngx_flaps = '25'

    elseif flaps_sw == 70 then

        ngx_flaps = '30'

    elseif flaps_sw == 80 then

        ngx_flaps = '40'

    end

    if ngx_flaps_cur > ngx_flaps_prev then

        flaps_state1 = ' '
        flaps_state2 = '>'

    elseif ngx_flaps_cur < ngx_flaps_prev then

        flaps_state1 = '<'
        flaps_state2 = ' '

    end

    ngx_flaps_prev = ipc.readLvar('NGXLeftInbdTrailFlaps')


    -- GEARS positions and movement
    local gears_state
    gears_state = ipc.readLvar('ngx_switch_455_a')
    if gears_state < 30 then

        ngx_gears = "UP"

    elseif gears_state == 30 then

        ngx_gears = "OF"

    elseif gears_state > 30 then

        ngx_gears = "DN"

    end

    if _MCP2() then

        FLIGHT_INFO1 = ' FL  GR'
        FLIGHT_INFO2 = flaps_state1 .. ngx_flaps .. flaps_state2 .. ' ' .. ngx_gears

    else

        FLIGHT_INFO1 = "F:" .. ngx_flaps
        FLIGHT_INFO2 = "G:" .. ngx_gears

    end

end


function NGX_AP_INFO ()

    FLIGHT_INFO1 = ''
    FLIGHT_INFO2 = ''

    -- FLAPS movement detection
    ngx_flaps_cur = ipc.readLvar('NGXLeftInbdTrailFlaps')
    ngx_flaps_sw_cur = ipc.readLvar('ngx_switch_714_a')

    -- FLAPS lever position
    if ngx_flaps_sw_cur ~= ngx_flaps_sw_prev then

        ngx_flaps_sw_prev = ngx_flaps_sw_cur

        ipc.sleep(300)

        if ngx_flaps_sw_cur == ngx_flaps_sw_prev then

            if ngx_flaps_sw_cur == 0 then

                if _MCP1 then

                    Dsp0('F*0')

                else

                    DspMed1('Flaps*0')

                end

            elseif ngx_flaps_sw_cur == 10 then

                if _MCP1 then

                    Dsp0('F*1')

                else

                    DspMed1('Flaps*1')

                end

            elseif ngx_flaps_sw_cur == 20 then

                if _MCP1 then

                    Dsp0('F*2')

                else

                    DspMed1('Flaps*2')

                end

            elseif ngx_flaps_sw_cur == 30 then

                if _MCP1 then

                    Dsp0('F*5')

                else

                    DspMed1('Flaps*5')

                end

            elseif ngx_flaps_sw_cur == 40 then

                if _MCP1 then

                    Dsp0('F*10')

                else

                    DspMed1('Flaps*10')

                end

            elseif ngx_flaps_sw_cur == 50 then

                if _MCP1 then

                    Dsp0('F*15')

                else

                    DspMed1('Flaps*15')

                end

            elseif ngx_flaps_sw_cur == 60 then

                if _MCP1 then

                    Dsp0('F*25')

                else

                    DspMed1('Flaps*25')

                end

            elseif ngx_flaps_sw_cur == 70 then

                if _MCP1 then

                    Dsp0('F*30')

                else

                    DspMed1('Flaps*30')

                end

            elseif ngx_flaps_sw_cur == 80 then

                if _MCP1 then

                    Dsp0('F*40')

                else

                    DspMed1('Flaps*40')

                end

            end

        end

    end

    -- FLAPS position
    if ngx_flaps_cur ~= ngx_flaps_prev then

        if ngx_flaps_cur == 0 then

                if _MCP1 then

                    Dsp0('F:0')

                else

                    DspMed1('Flaps 0')

                end

        elseif ngx_flaps_cur == 140 and ngx_flaps_sw_cur == 10 then

                if _MCP1 then

                    Dsp0('F:1')

                else

                    DspMed1('Flaps 1')

                end

        elseif ngx_flaps_cur == 280 and ngx_flaps_sw_cur == 20 then

                if _MCP1 then

                    Dsp0('F:2')

                else

                    DspMed1('Flaps 2')

                end

        elseif ngx_flaps_cur == 420 and ngx_flaps_sw_cur == 30 then

                if _MCP1 then

                    Dsp0('F:5')

                else

                    DspMed1('Flaps 5')

                end

        elseif ngx_flaps_cur == 560 and ngx_flaps_sw_cur == 40 then

                if _MCP1 then

                    Dsp0('F:10')

                else

                    DspMed1('Flaps 10')

                end

        elseif ngx_flaps_cur == 700 and ngx_flaps_sw_cur == 50 then

                if _MCP1 then

                    Dsp0('F:15')

                else

                    DspMed1('Flaps 15')

                end

        elseif ngx_flaps_cur == 840 and ngx_flaps_sw_cur == 60 then

                if _MCP1 then

                    Dsp0('F:25')

                else

                    DspMed1('Flaps 25')

                end

        elseif ngx_flaps_cur == 980 and ngx_flaps_sw_cur == 70 then

                if _MCP1 then

                    Dsp0('F:30')

                else

                    DspMed1('Flaps 30')

                end

        elseif ngx_flaps_cur == 1120 and ngx_flaps_sw_cur == 80 then

                if _MCP1 then

                    Dsp0('F:40')

                else

                    DspMed1('Flaps 40')

                end

        end

        ngx_flaps_prev = ngx_flaps_cur

    end

    -- GEARS positions and movement
    ngx_gears_cur = ipc.readLvar('ngx_switch_455_a')

    if ngx_gears_cur ~= ngx_gears_prev then

        if ngx_gears_cur < 30 then

                if _MCP1 then

                    Dsp1('G:UP')

                else

                    DspMed2('Gears UP')

                end

        elseif ngx_gears_cur == 30 then

                if _MCP1 then

                    Dsp1('G:OF')

                else

                    DspMed2('Gears OF')

                end

        elseif ngx_gears_cur > 30 then

                if _MCP1 then

                    Dsp1('G:DN')

                else

                    DspMed2('Gears DN')

                end

        end

        ngx_gears_prev = ngx_gears_cur

    end


    -- CMD A
    if ngx_MCP_CMDA ~= ipc.readLvar("L:ngx_MCP_CMDA") then

        ngx_MCP_CMDA = ipc.readLvar("L:ngx_MCP_CMDA")

        if ngx_MCP_CMDA == 1 then

            ngx_cmda = "A"

        else

            ngx_cmda = "_"

        end

    end

    if ngx_MCP_CMDB ~= ipc.readLvar("L:ngx_MCP_CMDB") then

        ngx_MCP_CMDB = ipc.readLvar("L:ngx_MCP_CMDB")

        if ngx_MCP_CMDB == 1 then

            ngx_cmdb = "B"

        else

            ngx_cmdb = "_"

        end

    end

    if ngx_MCP_CWSA ~= ipc.readLvar("L:ngx_MCP_CWSA") then

        ngx_MCP_CWSA = ipc.readLvar("L:ngx_MCP_CWSA")

        if ngx_MCP_CWSA == 1 then

            ngx_cwsa = "A"

        else

            ngx_cwsa = "_"

        end

    end

    if ngx_MCP_CWSB ~= ipc.readLvar("L:ngx_MCP_CWSB") then

        ngx_MCP_CWSB = ipc.readLvar("L:ngx_MCP_CWSB")

        if ngx_MCP_CWSB == 1 then

            ngx_cwsb = "B"

        else

            ngx_cwsb = "_"

        end

    end


    FLIGHT_INFO1 = ' AP:' .. ngx_cmda .. ngx_cmdb
    FLIGHT_INFO2 = 'CWS:' .. ngx_cwsa .. ngx_cwsb


    -- LOC / APP modes indication
    if ngx_MCP_VORLock ~= ipc.readLvar("L:ngx_MCP_VORLock") then

        ngx_MCP_VORLock = ipc.readLvar("L:ngx_MCP_VORLock")

        if ngx_MCP_VORLock == 1 then

            ngx_vor = "V"

        else

            ngx_vor = "_"

        end

    end

    if ngx_MCP_App ~= ipc.readLvar("L:ngx_MCP_App") then

        ngx_MCP_App = ipc.readLvar("L:ngx_MCP_App")

        if ngx_MCP_App == 1 then

            ngx_app = "A"

        else

            ngx_app = "_"

        end

    end

    FLIGHT_INFO1 = FLIGHT_INFO1 .. ' ' .. ngx_app
    FLIGHT_INFO2 = FLIGHT_INFO2 .. ' ' .. ngx_vor

    if _MCP1 () then

        FLIGHT_INFO1 = ngx_cmda .. ngx_cmdb .. ' ' .. ngx_lnav
        FLIGHT_INFO2 = ngx_cwsa .. ngx_cwsa .. ' ' .. ngx_vnav

    end

end



function NGX_AP_BACK_SYNC ()

    if ngx_spd ~= ipc.readLvar("L:ngx_SPDwindow") then

        NGX_AP_SPD_show ();

    end

    if ngx_hdg ~= ipc.readLvar("L:ngx_HDGwindow") then

        NGX_AP_HDG_show ();

    end

    if ngx_alt ~= ipc.readLvar("L:ngx_ALTwindow") then

        NGX_AP_ALT_show ();

    end

    if ngx_vvs ~= ipc.readLvar("L:ngx_VSwindow") then

        NGX_AP_VS_show ();

    end

end

function NGX_AP_MODES_UPDATE ()

    -- if _MCP1 () then return end

    if (ipc.readLvar("L:ngx_MCP_Speed") ~= ngx_MCP_Speed
       or ipc.readLvar("L:ngx_MCP_N1") ~= ngx_MCP_N1)
       and not (ipc.readLvar("L:ngx_MCP_LvlChg") == 1)  then

        ngx_MCP_Speed = ipc.readLvar("L:ngx_MCP_Speed")
        ngx_MCP_N1 = ipc.readLvar("L:ngx_MCP_N1")

        if ngx_MCP_N1 == 1 then

            DspSPD_N1_on ()

        else

            DspSPD_N1_off ()

            if ngx_MCP_Speed == 1 then

                DspSPD_AP_on ()

            else

                DspSPD_AP_off ()

            end

        end

    end

    -- LVL CHG
    if ipc.readLvar("L:ngx_MCP_LvlChg") ~= ngx_MCP_LvlChg then

        ngx_MCP_LvlChg = ipc.readLvar("L:ngx_MCP_LvlChg")

        if ngx_MCP_LvlChg == 1 then

            DspSPD_FLCH_on ()

        else

            DspSPD_FLCH_off ()
            DspSPD_N1_on ()

        end

    end

    -- LNAV
    if ipc.readLvar("L:ngx_MCP_LNav") ~= ngx_MCP_LNav then

        ngx_MCP_LNav = ipc.readLvar("L:ngx_MCP_LNav")
        ngx_MCP_HdgSel = ipc.readLvar("L:ngx_MCP_HdgSel")

        if ngx_MCP_LNav == 1 then

            DspLNAV_on ()
            ngx_lnav = 'L'

        else

            ngx_lnav = '_'
            DspLNAV_off ()
            if ngx_MCP_HdgSel == 1 then

                DspHDG_AP_on ()

            else

                DspHDG_AP_off ()

            end

        end

    else

        -- HDG
        if ipc.readLvar("L:ngx_MCP_HdgSel") ~= ngx_MCP_HdgSel then

            ngx_MCP_HdgSel = ipc.readLvar("L:ngx_MCP_HdgSel")

            if ngx_MCP_HdgSel == 1 then

                DspHDG_AP_on ()

            else

                DspHDG_AP_off ()

            end

        end

    end

    -- VNAV
    if ipc.readLvar("L:ngx_MCP_VNav") ~= ngx_MCP_VNav then

        ngx_MCP_VNav = ipc.readLvar("L:ngx_MCP_VNav")
        ngx_MCP_AltHold = ipc.readLvar("L:ngx_MCP_AltHold")

        if ngx_MCP_VNav == 1 then

            DspVNAV_on ()
            ngx_vnav = 'V'

        else

            ngx_vnav = '_'
            DspVNAV_off ()
            if ngx_MCP_AltHold == 1 then

                DspALT_AP_on ()

            else

                DspALT_AP_off ()

            end

        end

    else

        -- ALT
        if ipc.readLvar("L:ngx_MCP_AltHold") ~= ngx_MCP_AltHold then

            ngx_MCP_AltHold = ipc.readLvar("L:ngx_MCP_AltHold")

            if ngx_MCP_AltHold == 1 then

                DspALT_AP_on ()

            else

                DspALT_AP_off ()

            end

        end

    end


    -- VS
    if ipc.readLvar("L:ngx_MCP_VS") ~= ngx_MCP_VS then

        ngx_MCP_VS = ipc.readLvar("L:ngx_MCP_VS")

        if ngx_MCP_VS == 1 then

            DspVVS_AP_on ()

        else

            DspVVS_AP_off ()

        end

    end

end




-- ## EFIS controls ###############

function NGX_EFIS_MINS_inc ()

    ipc.control(69987, 16384)
    DspShow ("MINS", "inc")

end

function NGX_EFIS_MINS_dec ()

    ipc.control(69987, 8192)
    DspShow ("MINS", "dec")

end

function NGX_EFIS_MINS_MODE_baro ()

    if ipc.readLvar("ngx_switch_356_a") == 0 then
    ipc.control(69988, 536870912)
    end
    DspShow ("MINS", "BARO")

end

function NGX_EFIS_MINS_MODE_radio ()
    if ipc.readLvar("ngx_switch_356_a") == 100 then
    ipc.control(69988, 8536870912192)
    end
    DspShow ("MINS", "RAD")

end


function NGX_EFIS_MINS_MODE_toggle ()

    if _t("BaroRadio") then

        NGX_EFIS_MINS_MODE_baro ()

    else

        NGX_EFIS_MINS_MODE_radio ()

    end
end

function NGX_EFIS_MINS_RST ()

    ipc.control(69989, 536870912)
    ipc.control(69989, 131072)
    DspShow ("MINS", "RST")

end




function NGX_EFIS_BARO_inc ()

    ipc.control(69997, 16384)
    DspShow ("BARO", "inc")

end

function NGX_EFIS_BARO_dec ()

    ipc.control(69997, 8192)
    DspShow ("BARO", "dec")

end

function NGX_EFIS_BARO_MODE_hpa ()

    if ipc.readLvar('ngx_switch_366_a') == 0 then
    ipc.control(69998, 536870912)
    end
    DspShow ("BARO", "HPA")

end

function NGX_EFIS_BARO_MODE_inHg ()
    if ipc.readLvar('ngx_switch_366_a') == 100 then
    ipc.control(69998, 536870912)
    end
    DspShow ("BARO", "inHg")

end

function NGX_EFIS_BARO_MODE_toggle ()

    if _t("InHPA") then
        NGX_EFIS_BARO_MODE_hpa ()
    else
        NGX_EFIS_BARO_MODE_inHg ()
    end

end

function NGX_EFIS_BARO_STD_toggle ()

    ipc.control(69999, 536870912)
    ipc.control(69999, 131072)
    DspShow ("BARO", "STD")

end

function NGX_EFIS_ND_MODE_show ()

    if ipc.readLvar('ngx_switch_359_a') == 0 then

        DspShow ("ND", "APP")

    elseif ipc.readLvar('ngx_switch_359_a') == 10 then

        DspShow ("ND", "VOR")

    elseif ipc.readLvar('ngx_switch_359_a') == 20 then

        DspShow ("ND", "MAP")

    elseif ipc.readLvar('ngx_switch_359_a') == 30 then

        DspShow ("ND", "PLN")

    end

end

function NGX_EFIS_ND_MODE_inc ()

    ipc.control(69991, 16384)
    NGX_EFIS_ND_MODE_show ()

end

function NGX_EFIS_ND_MODE_dec ()

    ipc.control(69991, 8192)
    NGX_EFIS_ND_MODE_show ()

end

function NGX_EFIS_ND_MODE_CTR ()

    ipc.control(69992, 536870912)
    ipc.control(69992, 131072)
    DspShow ("ND", "CTR")

end


function NGX_EFIS_ND_RNG_show ()

    if ipc.readLvar('ngx_switch_361_a') == 0 then

        DspShow ("RNG", "5")

    elseif ipc.readLvar('ngx_switch_361_a') == 10 then

        DspShow ("RNG", "10")

    elseif ipc.readLvar('ngx_switch_361_a') == 20 then

        DspShow ("RNG", "20")

    elseif ipc.readLvar('ngx_switch_361_a') == 30 then

        DspShow ("RNG", "40")

    elseif ipc.readLvar('ngx_switch_361_a') == 40 then

        DspShow ("RNG", "80")

    elseif ipc.readLvar('ngx_switch_361_a') == 50 then

        DspShow ("RNG", "160")

    elseif ipc.readLvar('ngx_switch_361_a') == 60 then

        DspShow ("RNG", "320")

    elseif ipc.readLvar('ngx_switch_361_a') == 70 then

        DspShow ("RNG", "640")

    end

end


function NGX_EFIS_ND_RNG_inc ()

    ipc.control(69993, 16384)
    NGX_EFIS_ND_RNG_show ()

end

function NGX_EFIS_ND_RNG_dec ()

    ipc.control(69993, 8192)
    NGX_EFIS_ND_RNG_show ()

end

function NGX_EFIS_ND_RNG_TFC ()

    ipc.control(69994, 536870912)
    ipc.control(69994, 131072)
    DspShow ("RNG", "TFC")

end


function NGX_EFIS_FPV ()

    ipc.control(69995, 536870912)
    ipc.control(69995, 131072)
    DspShow ("EFIS", "FPV")

end

function NGX_EFIS_MTRS ()

    ipc.control(69996, 536870912)
    ipc.control(69996, 131072)
    DspShow ("EFIS", "MTRS")

end


function NGX_EFIS_NAV1_inc ()

    ipc.control(69990, -2147483648)
    ipc.control(69990, 524288)

end

function NGX_EFIS_NAV1_dec ()

    ipc.control(69990, 536870912)
    ipc.control(69990, 131072)

end

function NGX_EFIS_NAV1_vor ()

    NGX_EFIS_NAV1_inc ()
    NGX_EFIS_NAV1_inc ()
    DspShow ("EFIS", "VOR1")

end

function NGX_EFIS_NAV1_adf ()

    NGX_EFIS_NAV1_dec ()
    NGX_EFIS_NAV1_dec ()
    DspShow ("EFIS", "ADF1")

end

function NGX_EFIS_NAV1_off ()

    NGX_EFIS_NAV1_inc ()
    NGX_EFIS_NAV1_inc ()
    NGX_EFIS_NAV1_dec ()
    DspShow ("EFIS", "OFF1")

end

function NGX_EFIS_NAV2_inc ()

    ipc.control(70000, -2147483648)
    ipc.control(70000, 524288)

end

function NGX_EFIS_NAV2_dec ()

    ipc.control(70000, 536870912)
    ipc.control(70000, 131072)

end

function NGX_EFIS_NAV2_vor ()

    NGX_EFIS_NAV2_inc ()
    NGX_EFIS_NAV2_inc ()
    DspShow ("EFIS", "VOR2")

end

function NGX_EFIS_NAV2_adf ()

    NGX_EFIS_NAV2_dec ()
    NGX_EFIS_NAV2_dec ()
    DspShow ("EFIS", "ADF2")

end

function NGX_EFIS_NAV2_off ()

    NGX_EFIS_NAV2_inc ()
    NGX_EFIS_NAV2_inc ()
    NGX_EFIS_NAV2_dec ()
    DspShow ("EFIS", "OFF2")

end


function NGX_EFIS_WXR ()

    ipc.control(70001, 536870912)
    ipc.control(70001, 131072)
    DspShow ("EFIS", "WXR")

end

function NGX_EFIS_STA ()

    ipc.control(70002, 536870912)
    ipc.control(70002, 131072)
    DspShow ("EFIS", "STA")

end

function NGX_EFIS_WPT ()

    ipc.control(70003, 536870912)
    ipc.control(70003, 131072)
    DspShow ("EFIS", "WPT")

end

function NGX_EFIS_ARPT ()

    ipc.control(70004, 536870912)
    ipc.control(70004, 131072)
    DspShow ("EFIS", "ARPT")

end

function NGX_EFIS_DATA ()

    ipc.control(70005, 536870912)
    ipc.control(70005, 131072)
    DspShow ("EFIS", "DATA")

end

function NGX_EFIS_POS ()

    ipc.control(70006, 536870912)
    ipc.control(70006, 131072)
    DspShow ("EFIS", "POS")

end

function NGX_EFIS_TERR ()

    ipc.control(70007, 536870912)
    ipc.control(70007, 131072)
    DspShow ("EFIS", "TERR")

end



-- ## Autopilot switches ###############


function NGX_AP_FD1_toggle ()

    ipc.control(70010, 536870912)
    ipc.control(70010, 131072)

    if ipc.readLvar('ngx_switch_378_a') == 100 then

        DspShow (" FD1", " OFF")

    elseif ipc.readLvar('ngx_switch_378_a') == 0 then

        DspShow (" FD1", " ON ")

    end
end

function NGX_AP_FD1_on ()

    if ipc.readLvar('ngx_switch_378_a') == 100 then

        NGX_AP_FD1_toggle ()

    end
end

function NGX_AP_FD1_off ()

    if ipc.readLvar('ngx_switch_378_a') == 0 then

        NGX_AP_FD1_toggle ()

    end
end


function NGX_AP_FD2_toggle ()

    ipc.control(70039, 536870912)
    ipc.control(70039, 131072)

    if ipc.readLvar('ngx_switch_407_a') == 100 then

        DspShow (" FD2", " OFF")

    elseif ipc.readLvar('ngx_switch_407_a') == 0 then

        DspShow (" FD2", " ON ")

    end
end



function NGX_AP_FD2_on ()

    if ipc.readLvar('ngx_switch_407_a') == 100 then

        NGX_AP_FD2_toggle ()

    end

end

function NGX_AP_FD2_off ()

    if ipc.readLvar('ngx_switch_407_a') == 0 then

        NGX_AP_FD2_toggle ()

    end

end


function NGX_AP_FD_both_on ()

    if ipc.readLvar('ngx_switch_378_a') == 100 then

        NGX_AP_FD1_toggle ()

    end

    if ipc.readLvar('ngx_switch_407_a') == 100 then

        NGX_AP_FD2_toggle ()

    end

    DspShow (" FDs", " ON ")

end

function NGX_AP_FD_both_off ()

    if ipc.readLvar('ngx_switch_378_a') == 0 then

        NGX_AP_FD1_toggle ()

    end

    if ipc.readLvar('ngx_switch_407_a') == 0 then

        NGX_AP_FD2_toggle ()

    end
    DspShow (" FDs", " OFF")
end

function NGX_AP_ATHR_toggle ()

    ipc.control(70012, 536870912)
    ipc.control(70012, 131072)

    if ipc.readLvar('ngx_switch_380_a') == 100 then

        DspShow ("ATHR", " OFF")

    elseif ipc.readLvar('ngx_switch_380_a') == 0 then

        DspShow ("ATHR", " ARM")

    end
end

function NGX_AP_ATHR_arm ()

    if ipc.readLvar('ngx_switch_380_a') == 100 then

        NGX_AP_ATHR_toggle ()

    end

    DspShow ("ATHR", " ARM")

end

function NGX_AP_ATHR_off ()

    if ipc.readLvar('ngx_switch_380_a') == 0 then

        NGX_AP_ATHR_toggle ()

    end

    DspShow ("ATHR", " OFF")

end

function NGX_AP_MASTER_toggle ()

    ipc.control(70038, 536870912)
    ipc.control(70038, 131072)

    if ipc.readLvar('ngx_switch_406_a') == 100 then

        DspShow ("MSTR", " OFF")

    elseif ipc.readLvar('ngx_switch_406_a') == 0 then

        DspShow ("MSTR", " ON")

    end
end

function NGX_AP_MASTER_on ()

    if ipc.readLvar('ngx_switch_406_a') == 100 then

        NGX_AP_MASTER_toggle ()

    end

    DspShow ("MSTR", " ON")

end

function NGX_AP_MASTER_off ()

    if ipc.readLvar('ngx_switch_406_a') == 0 then

        NGX_AP_MASTER_toggle ()

    end

    DspShow ("MSTR", "OFF")

end

function NGX_ATHR_soft_disconnect ()

    ipc.writeLvar('ngx_switch_682_a', 100);
    ipc.control(65860, 536870912)
    ipc.sleep(150);
    ipc.writeLvar('ngx_switch_682_a', 0);

    DspShow ("ATHR", "soft")

end

function NGX_AP_soft_disconnect ()

    ipc.writeLvar('ngx_switch_1004_a', 100);
    ipc.control(65580, 536870912)
    ipc.sleep(150);
    ipc.writeLvar('ngx_switch_1004_a', 0);

    DspShow (" AP ", "soft")

end

function NGX_AP_TOGA ()

    ipc.control(65861, 536870912)
    DspShow (" AP ", "TOGA")

end


-- ## Autopilot Dials ###############

function  NGX_AP_CRSL_show ()

    ipc.sleep(50)
    OBS1 = ipc.readLvar("L:ngx_CRSwindowL")

    if _MCP1 () then

        DspShow("CRSL", OBS1)

    else

        DspCRS(OBS1)

    end

end

function  NGX_AP_CRSR_show ()

    ipc.sleep(50)
    OBS2 = ipc.readLvar("L:ngx_CRSwindowR")

    if _MCP1 () then

        DspShow("CRSR", OBS2)

    else

        DspCRS(OBS2)

    end

end


function NGX_AP_CRSL_inc ()

    ipc.control(70008, 16384)

    NGX_AP_CRSL_show ()

end

function NGX_AP_CRSL_incfast ()

    local i
    for i = 1, 4 do ipc.control(70008, 16384) end

    NGX_AP_CRSL_show ()

end

function NGX_AP_CRSL_dec ()

    ipc.control(70008, 8192)

    NGX_AP_CRSL_show ()

end

function NGX_AP_CRSL_decfast ()

    local i
    for i = 1, 4 do ipc.control(70008, 8192) end

    NGX_AP_CRSL_show ()

end

function NGX_AP_CRSR_inc ()

    ipc.control(70041, 16384)

    NGX_AP_CRSR_show ()

end

function NGX_AP_CRSR_incfast ()

    local i
    for i = 1, 4 do ipc.control(70041, 16384) end

    NGX_AP_CRSR_show ()

end

function NGX_AP_CRSR_dec ()

    ipc.control(70041, 8192)

    NGX_AP_CRSR_show ()

end

function NGX_AP_CRSR_decfast ()

    local i
    for i = 1, 4 do ipc.control(70041, 8192) end

    NGX_AP_CRSR_show ()

end



function NGX_AP_CRS_LR_toggle ()

    -- toggling value form 1 to 2
    -- 1 - left CRS, 2 - right CRS

    if _MCP1() then

        -- manual toggling
        mcp_crs_mode = 3 - mcp_crs_mode

    else

        -- linking to the current DME selected
        mcp_crs_mode = RADIOS_SUBMODE

    end

    if _MCP1 () then

        if mcp_crs_mode == 1 then

            DspShow('CRS', 'LEFT')

        else

            DspShow('CRS', 'RGHT')

        end

    end

end

function NGX_AP_CRS_LR_inc ()

    if mcp_crs_mode == 1 then

        NGX_AP_CRSL_inc ()

    else

        NGX_AP_CRSR_inc ()

    end
end

function NGX_AP_CRS_LR_incfast ()

    if mcp_crs_mode == 1 then

        NGX_AP_CRSL_incfast ()

    else

        NGX_AP_CRSR_incfast ()

    end
end

function NGX_AP_CRS_LR_dec ()

    if mcp_crs_mode == 1 then

        NGX_AP_CRSL_dec ()

    else

        NGX_AP_CRSR_dec ()

    end
end

function NGX_AP_CRS_LR_decfast ()

    if mcp_crs_mode == 1 then

        NGX_AP_CRSL_decfast ()

    else

        NGX_AP_CRSR_decfast ()

    end
end




function NGX_AP_SPD_inc ()

    ipc.control(70016, 16384)
    NGX_AP_SPD_show ()

end

function NGX_AP_SPD_incfast ()

    local i
    for i = 1, 4 do ipc.control(70016, 16384) end

    NGX_AP_SPD_show ()

end

function NGX_AP_SPD_dec ()

    ipc.control(70016, 8192)

    NGX_AP_SPD_show ()

end

function NGX_AP_SPD_decfast ()

    local i
    for i = 1, 4 do ipc.control(70016, 8192) end

    NGX_AP_SPD_show ()

end

function NGX_AP_SPD_show ()

    ipc.sleep(50)
    ngx_spd = ipc.readLvar("L:ngx_SPDwindow")
    if ngx_spd < 0 then ngx_spd = 0 end

    DspSPD(ngx_spd)

end


function NGX_AP_HDG_BANK_toggle ()

    -- toggling value form 1 to 2
    -- 1 - HDG, 2 - BANK
    mcp_hdg_mode = 3 - mcp_hdg_mode

    if mcp_hdg_mode == 1 then

        DspShow('HDG', '--')

    else

        NGX_AP_BANK_show ()

    end

end

function NGX_AP_HDG_inc ()

    if mcp_hdg_mode == 1 then

        ipc.control(70022, 16384)

    else

        NGX_AP_BANK_inc ()

    end
    NGX_AP_HDG_show ()
end

function NGX_AP_HDG_incfast ()

    if mcp_hdg_mode == 1 then

        local i
        for i = 1, 4 do ipc.control(70022, 16384) end

    else

        NGX_AP_BANK_inc ()

    end
    NGX_AP_HDG_show ()
end

function NGX_AP_HDG_dec ()

    if mcp_hdg_mode == 1 then

        ipc.control(70022, 8192)


    else

        NGX_AP_BANK_dec ()

    end
    NGX_AP_HDG_show ()
end

function NGX_AP_HDG_decfast ()

    if mcp_hdg_mode == 1 then

        local i
        for i = 1, 4 do ipc.control(70022, 8192) end

    else

        NGX_AP_BANK_dec ()

    end
    NGX_AP_HDG_show ()
end

function NGX_AP_HDG_show ()

    ipc.sleep(50)
    ngx_hdg = ipc.readLvar("L:ngx_HDGwindow")
    DspHDG(ngx_hdg)

end

function NGX_AP_BANK_show ()

    if ipc.readLvar('ngx_switch_389_a') == 0 then

        DspShow ("BANK", " 10")

    elseif ipc.readLvar('ngx_switch_389_a') == 10 then

        DspShow ("BANK", " 15")

    elseif ipc.readLvar('ngx_switch_389_a') == 20 then

        DspShow ("BANK", " 20")

    elseif ipc.readLvar('ngx_switch_389_a') == 30 then

        DspShow ("BANK", " 25")

    elseif ipc.readLvar('ngx_switch_389_a') == 40 then

        DspShow ("BANK", " 30")

    end

end

function NGX_AP_BANK_inc ()

    ipc.control(70021, -2147483648)
    ipc.control(70021, 524288)
    NGX_AP_BANK_show ()

end

function NGX_AP_BANK_dec ()

    ipc.control(70021, 536870912)
    ipc.control(70021, 131072)
    NGX_AP_BANK_show ()

end

function NGX_AP_ALT_inc ()

    ipc.control(70032, 16384)
    NGX_AP_ALT_show ()

end

function NGX_AP_ALT_incfast ()

    local i
    for i = 1, 4 do ipc.control(70032, 16384) end
    NGX_AP_ALT_show ()

end

function NGX_AP_ALT_dec ()

    ipc.control(70032, 8192)
    NGX_AP_ALT_show ()

end

function NGX_AP_ALT_decfast ()

    local i
    for i = 1, 4 do ipc.control(70032, 8192) end
    NGX_AP_ALT_show ()

end


function NGX_AP_ALT_show ()

    ipc.sleep(50)
    ngx_alt = ipc.readLvar("L:ngx_ALTwindow")
    DspALT(round(ngx_alt/100))

end

function NGX_AP_VS_inc ()

    ipc.control(70033, 8192)
    NGX_AP_VS_show ()

end

function NGX_AP_VS_dec ()

    ipc.control(70033, 16384)
    NGX_AP_VS_show ()

end

function NGX_AP_VS_show ()

    ipc.sleep(50)
    ngx_vvs = ipc.readLvar("L:ngx_VSwindow")
    local vvs = ngx_vvs
    if vvs == -20000 then vvs = 0 end

    if _MCP1 () then

        local val = tostring(math.abs(vvs / 10))
        while string.len(val) < 3 do val = '0' .. val end

        if vvs == 0 then

            val = ' 00 '

        elseif vvs > 0 then

            val = '+' .. val

        else

            val = '-' .. val

        end

        DspShow (" VS ", val)

    else

        DspVVS(vvs/100)

    end

end


-- ## Autopilot buttons ###############

function NGX_AP_N1 ()

    ipc.control(70013, 536870912)
    ipc.control(70013, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", " N1 ")

    else

        if ipc.readLvar('L:ngx_MCP_N1') == 1 then

            ngx_MCP_N1 = 1
            DspSPD_N1_on ()

        else

            ngx_MCP_N1 = 0
            DspSPD_N1_off ()

        end

    end

end

function NGX_AP_SPEED ()

    ipc.control(70014, 536870912)
    ipc.control(70014, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", " SPD")

    else

        DspSPD_N1_off ()

        if ipc.readLvar('L:ngx_MCP_Speed') == 1 then

            ngx_MCP_Speed = 1
            DspSPD_AP_on ()

        else

            ngx_MCP_Speed = 0
            DspSPD_AP_off ()

        end

    end

end

function NGX_AP_CO ()

    ipc.control(70015, 536870912)
    ipc.control(70015, 131072)
    DspShow (" SPD", " C/O")

end

function NGX_AP_SPD_INTV ()

    ipc.control(70019, 536870912)
    ipc.control(70019, 131072)
    DspShow (" SPD", "INTV")

end

function NGX_AP_ALT_INTV ()

    ipc.control(70517, 536870912)
    ipc.control(70517, 131072)
    DspShow (" ALT", "INTV")

end

function NGX_AP_VNAV ()

    ipc.control(70018, 536870912)
    ipc.control(70018, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", "VNAV")

    else

        if ipc.readLvar("L:ngx_MCP_VNav") == 1 then

            DspVNAV_on ()

        else

            DspVNAV_off ()

        end

    end

end

function NGX_AP_LVLCHG ()

    ipc.control(70023, 536870912)
    ipc.control(70023, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", "LVLC")

    else

        if ipc.readLvar('L:ngx_MCP_LvlChg') == 1 then

            ngx_MCP_LvlChg = 1
            DspSPD_FLCH_on ()

        else

            ngx_MCP_LvlChg = 0
            DspSPD_FLCH_off ()

        end

   end

end

function NGX_AP_HDGSEL ()

    ipc.control(70024, 536870912)
    ipc.control(70024, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" HDG", " SEL")

    else

        if ipc.readLvar("L:ngx_MCP_HdgSel") == 1 then

            ngx_MCP_HdgSel = 1
            DspHDG_AP_on ()

        else

            ngx_MCP_HdgSel = 0
            DspHDG_AP_off ()

        end

    end

end

function NGX_AP_LNAV ()

    ipc.control(70029, 536870912)
    ipc.control(70029, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", "LNAV")

    else

        if ipc.readLvar("L:ngx_MCP_LNav") == 1 then

            DspLNAV_on ()

        else

            DspLNAV_off ()

        end

    end

end

function NGX_AP_VORLOC ()

    ipc.control(70028, 536870912)
    ipc.control(70028, 131072)
    DspShow (" VOR", " LOC")

end

function NGX_AP_APP ()

    ipc.control(70025, 536870912)
    ipc.control(70025, 131072)
    DspShow (" AP ", " APP")

end


function NGX_AP_ALTHLD ()

    ipc.control(70026, 536870912)
    ipc.control(70026, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" ALT", "HOLD")

    else

        if ipc.readLvar("L:ngx_MCP_AltHold") == 1 then

            ngx_MCP_AltHold = 1
            DspALT_AP_on ()

        else

            ngx_MCP_AltHold = 0
            DspALT_AP_off ()

        end

    end

end

function NGX_AP_VS ()

    ipc.control(70027, 536870912)
    ipc.control(70027, 131072)
    ipc.sleep(50)

    if _MCP1 () then

        DspShow (" AP ", " V/S")

    else

        if ipc.readLvar("L:ngx_MCP_VS") == 1 then

            ngx_MCP_VS = 1
            DspVVS_AP_on ()

        else

            ngx_MCP_VS = 0
            DspVVS_AP_off ()

        end

    end

end

function NGX_AP_CMDA_toggle ()

    ipc.control(70034, 536870912)
    ipc.control(70034, 131072)
    DspShow (" AP ", "CMDA")

end

function NGX_AP_CMDB_toggle ()

    ipc.control(70035, 536870912)
    ipc.control(70035, 131072)
    DspShow (" AP ", "CMDB")

end

function NGX_AP_CWSA ()

    ipc.control(70036, 536870912)
    ipc.control(70036, 131072)
    DspShow (" AP ", "CWSA")

end

function NGX_AP_CWSB ()

    ipc.control(70029, 536870912)
    ipc.control(70029, 131072)
    DspShow (" AP ", "CWSB")

end




-- ## Lights, cockpit ###############

function NGX_DOME_dim ()

    ipc.control(69890, -2147483648)
    ipc.control(69890, 524288)
    ipc.sleep(100)
    ipc.control(69890, -2147483648)
    ipc.control(69890, 524288)

    DspShow ("DOME", "DIM")

end

function NGX_DOME_bright ()

    ipc.control(69890, 536870912)
    ipc.control(69890, 131072)
    ipc.sleep(100)
    ipc.control(69890, 536870912)
    ipc.control(69890, 131072)

    DspShow ("DOME", "BRT")

end

function NGX_DOME_off ()

    if ipc.readLvar('ngx_switch_258_a') == 100 then

        ipc.control(69890, -2147483648)
        ipc.control(69890, 524288)

    elseif ipc.readLvar('ngx_switch_258_a') == 0 then

        ipc.control(69890, 536870912)
        ipc.control(69890, 131072)

    end

    DspShow ("DOME", "OFF")

end

function NGX_DOME_cycle ()

    if ipc.readLvar('ngx_switch_258_a') == 100 then

        NGX_DOME_off ()

    elseif ipc.readLvar('ngx_switch_258_a') == 50 then

        NGX_DOME_dim ()

    elseif ipc.readLvar('ngx_switch_258_a') == 0 then

        NGX_DOME_bright ()

    end


end

function NGX_FLOOD_PDST_inc ()

    ipc.control(70388, 16384)

end

function NGX_FLOOD_PDST_dec ()

    ipc.control(70388, 8192)

end

function NGX_FLOOD_PANEL_inc ()

    ipc.control(69969, 16384)

end

function NGX_FLOOD_PANEL_dec ()

    ipc.control(69969, 8192)

end

function NGX_FLOOD_MCP_inc ()

    ipc.control(69970, 16384)

end

function NGX_FLOOD_MCP_dec ()

    ipc.control(69970, 8192)

end

function NGX_LIGHT_OVH_inc ()

    ipc.control(69727, 16384)

end

function NGX_LIGHT_OVH_dec ()

    ipc.control(69727, 8192)

end

function NGX_LIGHT_CB_inc ()

    ipc.control(69726, 16384)

end

function NGX_LIGHT_CB_dec ()

    ipc.control(69726, 8192)

end

function NGX_LIGHT_PDST_inc ()

    ipc.control(70389, 16384)

end

function NGX_LIGHT_PDST_dec ()

    ipc.control(70389, 8192)

end

function NGX_LIGHT_PANEL_L_inc ()

    ipc.control(69960, 16384)

end

function NGX_LIGHT_PANEL_L_dec ()

    ipc.control(69960, 8192)

end

function NGX_LIGHT_PANEL_R_inc ()

    ipc.control(70142, 16384)

end

function NGX_LIGHT_PANEL_R_dec ()

    ipc.control(70142, 8192)

end

function NGX_LIGHT_ALL_show ()

    local brt = ipc.readLvar('ngx_switch_328_a')
    brt = round(brt / 3)

    DspShow ("PANL", tostring(brt) .. '%')

end




function NGX_LIGHT_ALL_inc ()

    local i

    for i = 1, 5 do

        NGX_LIGHT_PANEL_R_inc ()
        NGX_LIGHT_PANEL_L_inc ()
        NGX_LIGHT_PDST_inc ()
        NGX_LIGHT_OVH_inc ()
        NGX_LIGHT_CB_inc ()

    end

    NGX_LIGHT_ALL_show ()

end

function NGX_LIGHT_ALL_incfast ()

    local i

    for i = 1, 20 do

        NGX_LIGHT_PANEL_R_inc ()
        NGX_LIGHT_PANEL_L_inc ()
        NGX_LIGHT_PDST_inc ()
        NGX_LIGHT_OVH_inc ()
        NGX_LIGHT_CB_inc ()

    end

    NGX_LIGHT_ALL_show ()

end

function NGX_LIGHT_ALL_dec ()

    local i

    for i = 1, 5 do

        NGX_LIGHT_PANEL_R_dec ()
        NGX_LIGHT_PANEL_L_dec ()
        NGX_LIGHT_PDST_dec ()
        NGX_LIGHT_OVH_dec ()
        NGX_LIGHT_CB_dec ()

    end

    NGX_LIGHT_ALL_show ()

end

function NGX_LIGHT_ALL_decfast ()

    local i

    for i = 1, 20 do


        NGX_LIGHT_PANEL_R_dec ()
        NGX_LIGHT_PANEL_L_dec ()
        NGX_LIGHT_PDST_dec ()
        NGX_LIGHT_OVH_dec ()
        NGX_LIGHT_CB_dec ()

    end

    NGX_LIGHT_ALL_show ()

end

function NGX_FLOOD_ALL_show ()

    local brt = ipc.readLvar('ngx_switch_337_a')
    brt = round(brt / 3)

    DspShow ("FLOD", tostring(brt) .. '%')

end

function NGX_FLOOD_ALL_inc ()

    local i

    for i = 1, 5 do

        NGX_FLOOD_MCP_inc ()
        NGX_FLOOD_PDST_inc ()
        NGX_FLOOD_PANEL_inc ()

    end

    NGX_FLOOD_ALL_show ()

end

function NGX_FLOOD_ALL_incfast ()

    local i

    for i = 1, 20 do

        NGX_FLOOD_MCP_inc ()
        NGX_FLOOD_PDST_inc ()
        NGX_FLOOD_PANEL_inc ()

    end

    NGX_FLOOD_ALL_show ()

end

function NGX_FLOOD_ALL_dec ()

    local i

    for i = 1, 5 do

        NGX_FLOOD_MCP_dec ()
        NGX_FLOOD_PDST_dec ()
        NGX_FLOOD_PANEL_dec ()

    end

    NGX_FLOOD_ALL_show ()

end

function NGX_FLOOD_ALL_decfast ()

    local i

    for i = 1, 20 do

        NGX_FLOOD_MCP_dec ()
        NGX_FLOOD_PDST_dec ()
        NGX_FLOOD_PANEL_dec ()

    end

    NGX_FLOOD_ALL_show ()

end


-- ## Lights, external ###############

function NGX_LAND_FIXED_R_on ()

    if ipc.readLvar('ngx_switch_114_a') == 0 then

        ipc.control(69746, 536870912)

    end

end

function NGX_LAND_FIXED_R_off ()

    if ipc.readLvar('ngx_switch_114_a') == 100 then

        ipc.control(69746, -2147483648)

    end

end



function NGX_LAND_FIXED_L_on ()

    if ipc.readLvar('ngx_switch_113_a') == 0 then

        ipc.control(69745, 536870912)

    end

end

function NGX_LAND_FIXED_L_off ()

    if ipc.readLvar('ngx_switch_113_a') == 100 then

        ipc.control(69745, -2147483648)

    end

end

function NGX_LAND_FIXED_BOTH_on ()

         NGX_LAND_FIXED_L_on ()
         _sleep(100,200)
         NGX_LAND_FIXED_R_on ()

end

function NGX_LAND_FIXED_BOTH_off ()

         NGX_LAND_FIXED_L_off ()
         _sleep(100,200)
         NGX_LAND_FIXED_R_off ()

end

function NGX_LAND_RETR_R_on ()

    ipc.control(69744, 536870912)
    ipc.control(69744, 536870912)

end

function NGX_LAND_RETR_R_extend ()

    ipc.control(69744, -2147483648)
    ipc.control(69744, -2147483648)
    ipc.control(69744, 536870912)

end

function NGX_LAND_RETR_R_off ()

    ipc.control(69744, -2147483648)
    ipc.control(69744, -2147483648)

end


function NGX_LAND_RETR_L_on ()

    ipc.control(69743, 536870912)
    ipc.control(69743, 536870912)

end

function NGX_LAND_RETR_L_extend ()

    ipc.control(69743, -2147483648)
    ipc.control(69743, -2147483648)
    ipc.control(69743, 536870912)

end

function NGX_LAND_RETR_L_off ()

    ipc.control(69743, -2147483648)
    ipc.control(69743, -2147483648)

end

function NGX_LAND_RETR_BOTH_on ()

    NGX_LAND_RETR_L_on ()
    _sleep(100,200)
    NGX_LAND_RETR_R_on ()

end

function NGX_LAND_RETR_BOTH_extend ()

    NGX_LAND_RETR_L_extend ()
    _sleep(100,200)
    NGX_LAND_RETR_R_extend ()

end

function NGX_LAND_RETR_BOTH_off ()

    NGX_LAND_RETR_L_off ()
    _sleep(100,200)
    NGX_LAND_RETR_R_off ()

end


function NGX_LAND_ALL_on ()

    DspShow ("LAND", "ON")

    ipc.writeLvar('ngx_switch_110_a', 100);
    NGX_LAND_RETR_L_on ()
    NGX_LAND_RETR_R_on ()
    NGX_LAND_FIXED_L_on ()
    NGX_LAND_FIXED_R_on ()
    _sleep(100,200)
    ipc.writeLvar('ngx_switch_110_a', 0);


end

function NGX_LAND_ALL_off ()

    DspShow ("LAND", "OFF")

    NGX_LAND_RETR_L_off ()
    _sleep(100,200)
    NGX_LAND_RETR_R_off ()
    _sleep(100,200)
    NGX_LAND_FIXED_L_off ()
    _sleep(100,200)
    NGX_LAND_FIXED_R_off ()

end

function NGX_LAND_ALL_toggle ()

    if _t('LAND_ALL') then

        NGX_LAND_ALL_on ()

    else

        NGX_LAND_ALL_off ()

    end

end



function NGX_TURNOFF_LEFT_on ()

    if ipc.readLvar('ngx_switch_115_a') == 0 then

        ipc.control(69747, 536870912)

    end

end


function NGX_TURNOFF_LEFT_off ()

    if ipc.readLvar('ngx_switch_115_a') == 100 then

        ipc.control(69747, 536870912)

    end

end


function NGX_TURNOFF_LEFT_toggle ()

    ipc.control(69747, 536870912)

end


function NGX_TURNOFF_RIGHT_on ()

    if ipc.readLvar('ngx_switch_116_a') == 0 then

        ipc.control(69748, 536870912)

    end

end


function NGX_TURNOFF_RIGHT_off ()

    if ipc.readLvar('ngx_switch_116_a') == 100 then

        ipc.control(69748, 536870912)

    end

end




function NGX_TURNOFF_RIGHT_toggle ()

    ipc.control(69748, 536870912)

end

function NGX_TURNOFF_BOTH_on ()

    NGX_TURNOFF_LEFT_on ()
    _sleep(100,200)
    NGX_TURNOFF_RIGHT_on ()

end

function NGX_TURNOFF_BOTH_off ()

    NGX_TURNOFF_LEFT_off ()
    _sleep(100,200)
    NGX_TURNOFF_RIGHT_off ()

end



function NGX_TAXI_on ()

    if ipc.readLvar('ngx_switch_117_a') == 0 then

        ipc.control(69749, 536870912)

    end

end

function NGX_TAXI_off ()

    if ipc.readLvar('ngx_switch_117_a') == 100 then

        ipc.control(69749, 536870912)

    end

end

function NGX_TAXI_toggle ()

    ipc.control(69749, 536870912)

end

function NGX_TAXI_ALL_on ()

    NGX_TURNOFF_LEFT_on ()
    _sleep(100, 200)
    NGX_TURNOFF_RIGHT_on ()
    _sleep(100, 200)
    NGX_TAXI_on ()

    DspShow ("TAXI", "ON")

end

function NGX_TAXI_ALL_off ()

    NGX_TURNOFF_LEFT_off ()
    _sleep(100, 200)
    NGX_TURNOFF_RIGHT_off ()
    _sleep(100, 200)
    NGX_TAXI_off ()

    DspShow ("TAXI", "OFF")

end

function NGX_TAXI_ALL_toggle ()

    if ipc.readLvar('ngx_switch_117_a') == 0 then

        NGX_TAXI_ALL_on ()

    else

        NGX_TAXI_ALL_off ()

    end

end

function NGX_TURNOFF_BOTH_toggle ()

    NGX_TURNOFF_LEFT_toggle ()
    _sleep(100, 200)
    NGX_TURNOFF_RIGHT_toggle ()

end


function NGX_LOGO_on ()

    if ipc.readLvar('ngx_switch_122_a') == 0 then

        ipc.control(69754, 536870912)

        DspShow ("LOGO", "ON")

    end

end

function NGX_LOGO_off ()

    if ipc.readLvar('ngx_switch_122_a') == 100 then

        ipc.control(69754, 536870912)

        DspShow ("LOGO", "OFF")

    end

end

function NGX_LOGO_toggle ()

    if ipc.readLvar('ngx_switch_122_a') == 0 then

        NGX_LOGO_on ()

    else

        NGX_LOGO_off ()

    end

end


function NGX_NAV_strobe ()

    ipc.control(69755, -2147483648)
    ipc.control(69755, -2147483648)

    DspShow ("NAV", "STRB")

end

function NGX_NAV_off ()

    ipc.control(69755, 536870912)
    ipc.control(69755, 536870912)
    ipc.control(69755, -2147483648)

    DspShow ("NAV", "OFF")

end

function NGX_NAV_steady ()

    ipc.control(69755, 536870912)
    ipc.control(69755, 536870912)

    DspShow ("NAV", "STED")

end


function NGX_NAV_cycle ()

    if ipc.readLvar('ngx_switch_123_a') == 0 then

        NGX_NAV_off ()

    elseif ipc.readLvar('ngx_switch_123_a') == 50 then

        NGX_NAV_steady ()

    else

        NGX_NAV_strobe ()

    end

end



function NGX_BEACON_on ()

    if ipc.readLvar('ngx_switch_124_a') == 0 then

        ipc.control(69756, 536870912)

        DspShow ("BCN", "ON")

    end

end

function NGX_BEACON_off ()

    if ipc.readLvar('ngx_switch_124_a') == 100 then

        ipc.control(69756, 536870912)

        DspShow ("BCN", "OFF")

    end

end

function NGX_BEACON_toggle ()

    if ipc.readLvar('ngx_switch_124_a') == 0 then

        NGX_BEACON_on ()

    else

        NGX_BEACON_off ()

    end

end


function NGX_WING_on ()

    if ipc.readLvar('ngx_switch_125_a') == 0 then

        ipc.control(69757, 536870912)

        DspShow ("WING", "ON")

    end

end

function NGX_WING_off ()

    if ipc.readLvar('ngx_switch_125_a') == 100 then

        ipc.control(69757, 536870912)

        DspShow ("WING", "OFF")

    end

end

function NGX_WING_toggle ()

    if ipc.readLvar('ngx_switch_125_a') == 0 then

        NGX_WING_on ()

    else

        NGX_WING_off ()

    end

end


function NGX_WHEEL_WELL_on ()

    if ipc.readLvar('ngx_switch_126_a') == 0 then

        ipc.control(69758, 536870912)

        DspShow ("WELL", "ON")

    end

end

function NGX_WHEEL_WELL_off ()

    if ipc.readLvar('ngx_switch_126_a') == 100 then

        ipc.control(69758, 536870912)

        DspShow ("WELL", "OFF")

    end

end

function NGX_WHEEL_WELL_toggle ()

    if ipc.readLvar('ngx_switch_126_a') == 0 then

        NGX_WHEEL_WELL_on ()

    else

        NGX_WHEEL_WELL_off ()

    end

end


function NGX_LOGO_and_NAV_steady ()
    NGX_LOGO_on ()
    NGX_NAV_steady ()
end

function NGX_LOGO_and_NAV_off ()
    NGX_LOGO_off ()
    NGX_NAV_off ()
end

-- ## Other ###############

function NGX_SPOILER_arm ()

    if ipc.readLvar('ngx_switch_679_a') == 0 then

        ipc.control(76424, 536870912)

        DspShow ("SPLR", "ARM")

    end

end

function NGX_SPOILER_off ()

    if ipc.readLvar('ngx_switch_679_a') == 100 then

        ipc.control(76424, 536870912)



    end
    ipc.control(86637, -16384)
    DspShow ("SPLR", "OFF")

end

function NGX_SPOILER_50 ()

    ipc.control(86637, -2200)
    DspShow ("SPLR", " 50")

end

function NGX_SPOILER_detend ()

    ipc.control(86637, 7100)
    DspShow ("SPLR", "FDet")

end

function NGX_SPOILER_100 ()

    ipc.control(86637, 16384)
    DspShow ("SPLR", "100")

end




function NGX_GEAR_show ()

    local GearDsp

    if ipc.readLvar('ngx_switch_455_a') < 30 then

        GearDsp = "UP  "

    elseif ipc.readLvar('ngx_switch_455_a') == 30 then

        GearDsp = "OFF "

    elseif ipc.readLvar('ngx_switch_455_a') > 30 then

        GearDsp = "DOWN"

    end

    DspShow("GEAR", GearDsp)

end


function NGX_GEAR_up ()

    ipc.control(70087, -2147483648)

    if _MCP1 () then

        DspShow ("GEAR", ">>UP")
        ipc.sleep(300)
        NGX_GEAR_show ()

    end

end

function NGX_GEAR_down ()

    ipc.control(70087, 536870912)

    if _MCP1 () then

        DspShow ("GEAR", ">>DN")
        ipc.sleep(300)
        NGX_GEAR_show ()

    end

end

function NGX_GEAR_off ()

    ipc.control(74184, 536870912)
    ipc.control(74184, 131072)

    if _MCP1 () then

        DspShow ("GEAR", ">>OF")
        ipc.sleep(300)
        NGX_GEAR_show ()

    end

end




function NGX_HGS_toggle ()

    ipc.control(70611, 536870912)

    if ipc.readLvar('ngx_hud_vc_opaqueshit') == 1 then

        DspShow("HUD", "DOWN")
    else

        DspShow("HUD", "UP")
    end
end

function NGX_HGS_toggle_swCam2 ()

    if ipc.readLvar('ngx_switch_979_a') == 100 then

        ipc.control(66852)
        DspShow("HUD", "DOWN")
        _sleep(200, 400)
        ipc.control(70611, 536870912)

    elseif ipc.readLvar('ngx_switch_979_a') == 0 then

        ipc.control(70611, 536870912)
        DspShow("HUD", "UP")
        _sleep(500, 500)
        ipc.control(66851)

    end
end

function NGX_HGS_mode ()

    ipc.control(70402, 536870912)

end


function NGX_SIGNS_CHIME_toggle ()

    ipc.control(69735, 536870912)

end

function NGX_SIGNS_SEAT_inc ()

    ipc.control(69736, 536870912)

end

function NGX_SIGNS_SEAT_dec ()

    ipc.control(69736, -2147483648)

end


function NGX_SIGNS_SEAT_on ()

    NGX_SIGNS_SEAT_inc ()
    _sleep(100, 400)
    NGX_SIGNS_SEAT_inc ()

    DspShow ("SEAT", "ON")

end

function NGX_SIGNS_SEAT_off ()

    NGX_SIGNS_SEAT_dec ()
    _sleep(100, 400)
    NGX_SIGNS_SEAT_dec ()

    DspShow ("SEAT", "OFF")

end

function NGX_SIGNS_SEAT_auto ()

    NGX_SIGNS_SEAT_dec ()
    NGX_SIGNS_SEAT_dec ()
    NGX_SIGNS_SEAT_dec ()

    DspShow ("SEAT", "AUTO")

end


-- ## Trimmings ###############

function NGX_ELEV_TRIM_up ()

    ipc.control(65615)
    --ipc.sleep(150)
    NGX_ELEV_TRIM_show ()

end

function NGX_ELEV_TRIM_down ()

    ipc.control(65607)
    --ipc.sleep(150)
    NGX_ELEV_TRIM_show ()

end

function NGX_ELEV_TRIM_upfast ()

    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)
    ipc.control(65615)
    ipc.sleep(50)

    NGX_ELEV_TRIM_show ()

end

function NGX_ELEV_TRIM_downfast ()


    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    ipc.sleep(50)
    ipc.control(65607)
    --ipc.sleep(150)

    NGX_ELEV_TRIM_show ()

end


function NGX_ELEV_TRIM_show ()

    TrimDsp = round2((ipc.readLvar('ElevTrimTT')), 2)
    if _MCP1() then
    DspShow("ETrm", TrimDsp)
    elseif _MCP2() then
    DspMed1("ElevTrim")
    DspMed2(TrimDsp)
    end
end



function NGX_AIL_TRIM_show ()
    AilTrimSwitch = ipc.readLvar("ngx_switch_810_a")
    ATrimDsp = round2((ipc.readLvar('AileronTrimTT')), 2)

    if _MCP1() then
    DspShow("ATrm", ATrimDsp)
    elseif _MCP2() then
        if AilTrimSwitch == 0 then
        ATrimDir = "L"
        elseif AilTrimSwitch == 100 then
        ATrimDir = "R"
        end
    DspMed1("AilTrim" .. ATrimDir)
    DspMed2(ATrimDsp)
    end
end

function NGX_AIL_TRIM_leftWingDown ()

    ipc.control(70442, 536870912)

    NGX_AIL_TRIM_show ()
end

function NGX_AIL_TRIM_rightWingDown ()

    ipc.control(70442, -2147483648)

    NGX_AIL_TRIM_show ()
end

function NGX_AIL_TRIM_stop ()

    AilTrimSwitch = ipc.readLvar("ngx_switch_810_a")

    if AilTrimSwitch == 0 then
    ipc.control(70442, -2147483648)
    elseif AilTrimSwitch == 100 then
    ipc.control(70442, 536870912)
    end
    NGX_AIL_TRIM_show ()
end


function NGX_RUD_TRIM_show ()
    RudTrimSwitch = ipc.readLvar("ngx_switch_811_a")
    RTrimDsp = round2((ipc.readLvar('RudderTrimTT')), 2)
    if _MCP1() then
    DspShow("RTrm", RTrimDsp)
    elseif _MCP2() then
        if RudTrimSwitch == 0 then
        RTrimDir = "<<"
        elseif RudTrimSwitch == 100 then
        RTrimDir = ">>"
        elseif RudTrimSwitch == 50 then
        RTrimDir = ""
        end
    DspMed1("RuddTrim")
    DspMed2(RTrimDsp .. " ".. RTrimDir)
    end
end

function NGX_RUD_TRIM_left ()

    ipc.control(70443, 536870912)

    NGX_RUD_TRIM_show ()
end

function NGX_RUD_TRIM_right ()

    ipc.control(70443, -2147483648)

    NGX_RUD_TRIM_show ()
end

function NGX_RUD_TRIM_stop ()

    RudTrimSwitch = ipc.readLvar("ngx_switch_811_a")

    if RudTrimSwitch == 0 then
    ipc.control(70443, -2147483648)
    elseif RudTrimSwitch == 100 then
    ipc.control(70443, 536870912)
    end
    NGX_RUD_TRIM_show ()
end



-- ## Transponder ###############

function NGX_TCAS_test ()

    ipc.control(70433, 536870912)

    DspShow ("TCAS", "TEST")

end

function NGX_XPND_MODE_inc ()

    ipc.control(70432, 16384)

    NGX_XPND_MODE_show ()

end

function NGX_XPND_MODE_dec ()

    ipc.control(70432, 8192)

    NGX_XPND_MODE_show ()

end

function NGX_XPND_MODE_cycle ()

    if ipc.readLvar('ngx_switch_800_a') < 40 then

        NGX_XPND_MODE_inc ()

    else

        ipc.control(70432, 8192)
        ipc.control(70432, 8192)
        ipc.control(70432, 8192)
        NGX_XPND_MODE_dec ()

    end

end

function NGX_XPND_MODE_show ()

    if ipc.readLvar('ngx_switch_800_a') == 0 then

        if _MCP1() then

            DspShow ("XPND", "STBY")

        else

            DspRadioShort("STBY")

        end

    elseif ipc.readLvar('ngx_switch_800_a') == 10 then

        if _MCP1() then

            DspShow ("XPND", "RPTG")

        else

            DspRadioShort("RPTG")

        end

    elseif ipc.readLvar('ngx_switch_800_a') == 20 then

        if _MCP1() then

            DspShow ("XPND", "XPND")

        else

            DspRadioShort("XPND")

        end

    elseif ipc.readLvar('ngx_switch_800_a') == 30 then

        if _MCP1() then

            DspShow ("XPND", "TA")

        else

            DspRadioShort("TA")

        end

    elseif ipc.readLvar('ngx_switch_800_a') == 40 then

        if _MCP1() then

            DspShow ("XPND", "TARA")

        else

            DspRadioShort("TARA")

        end

    end

end


-- ## Disp. modes ###############

function NGX_DU1_MAIN_show ()

    if ipc.readLvar('ngx_switch_335_a') == 0 then

        DspShow ("DUmn", "oPFD")

    elseif ipc.readLvar('ngx_switch_335_a') == 10 then

        DspShow ("DUmn", "NORM")

    elseif ipc.readLvar('ngx_switch_335_a') == 20 then

        DspShow ("DUmn", "iENG")

    elseif ipc.readLvar('ngx_switch_335_a') == 30 then

        DspShow ("DUmn", "iPFD")

    elseif ipc.readLvar('ngx_switch_335_a') == 40 then

        DspShow ("DUmn", "iMFD")

    end

end


function NGX_DU1_MAIN_inc ()

    ipc.control(69967, -2147483648)
    ipc.control(69967, 524288)

    NGX_DU1_MAIN_show ()

end

function NGX_DU1_MAIN_dec ()

    ipc.control(69967, 536870912)
    ipc.control(69967, 131072)

    NGX_DU1_MAIN_show ()

end


function NGX_DU2_MAIN_show ()

    if ipc.readLvar('ngx_switch_440_a') == 0 then

        DspShow ("DUmn", "oPFD")

    elseif ipc.readLvar('ngx_switch_440_a') == 10 then

        DspShow ("DUmn", "NORM")

    elseif ipc.readLvar('ngx_switch_440_a') == 20 then

        DspShow ("DUmn", "iENG")

    elseif ipc.readLvar('ngx_switch_440_a') == 30 then

        DspShow ("DUmn", "iPFD")

    elseif ipc.readLvar('ngx_switch_440_a') == 40 then

        DspShow ("DUmn", "iMFD")

    end

end


function NGX_DU2_MAIN_inc ()

    ipc.control(70072, -2147483648)
    ipc.control(70072, 524288)

    NGX_DU2_MAIN_show ()

end

function NGX_DU2_MAIN_dec ()

    ipc.control(70072, 536870912)
    ipc.control(70072, 131072)

    NGX_DU2_MAIN_show ()

end



function NGX_DU1_LOWER_show ()

    if ipc.readLvar('ngx_switch_336_a') == 0 then

        DspShow ("DUlw", "ENG")

    elseif ipc.readLvar('ngx_switch_336_a') == 50 then

        DspShow ("DUlw", "NORM")

    elseif ipc.readLvar('ngx_switch_336_a') == 100 then

        DspShow ("DUlw", "ND")

    end

end


function NGX_DU1_LOWER_inc ()

    ipc.control(69968, -2147483648)
    ipc.control(69968, 524288)

    NGX_DU1_LOWER_show ()

end

function NGX_DU1_LOWER_dec ()

    ipc.control(69968, 536870912)
    ipc.control(69968, 131072)

    NGX_DU1_LOWER_show ()

end



function NGX_DU2_LOWER_show ()

    if ipc.readLvar('ngx_switch_441_a') == 0 then

        DspShow ("DUlw", "ENG")

    elseif ipc.readLvar('ngx_switch_441_a') == 50 then

        DspShow ("DUlw", "NORM")

    elseif ipc.readLvar('ngx_switch_441_a') == 100 then

        DspShow ("DUlw", "ND")

    end

end


function NGX_DU2_LOWER_inc ()

    ipc.control(70073, -2147483648)
    ipc.control(70073, 524288)

    NGX_DU2_LOWER_show ()

end

function NGX_DU2_LOWER_dec ()

    ipc.control(70073, 536870912)
    ipc.control(70073, 131072)

    NGX_DU2_LOWER_show ()

end


function NGX_DU_LOWER_sys ()

    ipc.control(70094, 536870912)

    DspShow ("DUlw", "SYS")

end

function NGX_DU_LOWER_eng ()

    ipc.control(70095, 536870912)

    DspShow ("DUlw", "ENG")

end



-- ## Disp. brightness ###############

function NGX_DU1_INBD_BRT_inc ()

    ipc.control(69962, 16384)

end

function NGX_DU1_INBD_BRT_dec ()

    ipc.control(69962, 8192)

end

function NGX_DU1_OUTBD_BRT_inc ()

    ipc.control(69961, 16384)

end

function NGX_DU1_OUTBD_BRT_dec ()

    ipc.control(69961, 8192)

end

function NGX_DU_UPPER_BRT_inc ()

    ipc.control(69966, 16384)

end

function NGX_DU_UPPER_BRT_dec ()

    ipc.control(69966, 8192)

end

function NGX_DU_LOWER_BRT_inc ()

    ipc.control(69964, 16384)

end

function NGX_DU_LOWER_BRT_dec ()

    ipc.control(69964, 8192)

end

function NGX_DU2_INBD_BRT_inc ()

    ipc.control(70141, 16384)

end

function NGX_DU2_INBD_BRT_dec ()

    ipc.control(70141, 8192)

end

function NGX_DU2_OUTBD_BRT_inc ()

    ipc.control(70139, 16384)

end

function NGX_DU2_OUTBD_BRT_dec ()

    ipc.control(70139, 8192)

end

function NGX_DU_LEFT_BRT_inc ()

    NGX_DU1_INBD_BRT_inc ()
    NGX_DU1_OUTBD_BRT_inc ()

    DspShow ("DU-L", "BRT+")

end

function NGX_DU_LEFT_BRT_incfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_inc ()
        NGX_DU1_OUTBD_BRT_inc ()
    end

    DspShow ("DU-L", "BRT+")

end

function NGX_DU_LEFT_BRT_dec ()

    NGX_DU1_INBD_BRT_dec ()
    NGX_DU1_OUTBD_BRT_dec ()

    DspShow ("DU-L", "BRT-")

end

function NGX_DU_LEFT_BRT_decfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_dec ()
        NGX_DU1_OUTBD_BRT_dec ()
    end

    DspShow ("DU-L", "BRT-")

end

function NGX_DU_CENTER_inc ()

    NGX_DU_UPPER_BRT_inc ()
    NGX_DU_LOWER_BRT_inc ()

    DspShow ("DU-C", "BRT+")

end

function NGX_DU_CENTER_incfast ()

    local i

    for i = 1, 5 do
        NGX_DU_UPPER_BRT_inc ()
        NGX_DU_LOWER_BRT_inc ()
    end

    DspShow ("DU-C", "BRT+")

end

function NGX_DU_CENTER_dec ()

    NGX_DU_UPPER_BRT_dec ()
    NGX_DU_LOWER_BRT_dec ()

    DspShow ("DU-C", "BRT-")

end

function NGX_DU_CENTER_decfast ()

    local i

    for i = 1, 5 do
        NGX_DU_UPPER_BRT_dec ()
        NGX_DU_LOWER_BRT_dec ()
    end

    DspShow ("DU-C", "BRT-")

end

function NGX_DU_RIGHT_BRT_inc ()

    NGX_DU2_INBD_BRT_inc ()
    NGX_DU2_OUTBD_BRT_inc ()

    DspShow ("DU-R", "BRT+")

end

function NGX_DU_RIGHT_BRT_incfast ()

    local i

    for i = 1, 5 do
        NGX_DU2_INBD_BRT_inc ()
        NGX_DU2_OUTBD_BRT_inc ()
    end

    DspShow ("DU-R", "BRT+")

end


function NGX_DU_RIGHT_BRT_dec ()

    NGX_DU2_INBD_BRT_dec ()
    NGX_DU2_OUTBD_BRT_dec ()

    DspShow ("DU-R", "BRT-")

end

function NGX_DU_RIGHT_BRT_decfast ()

    local i

    for i = 1, 5 do
        NGX_DU2_INBD_BRT_dec ()
        NGX_DU2_OUTBD_BRT_dec ()
    end

    DspShow ("DU-R", "BRT-")

end


function NGX_DU_LR_BRT_inc ()

    NGX_DU1_INBD_BRT_inc ()
    NGX_DU1_OUTBD_BRT_inc ()

    NGX_DU2_INBD_BRT_inc ()
    NGX_DU2_OUTBD_BRT_inc ()

    DspShow ("DU", "BRT+")

end

function NGX_DU_LR_BRT_incfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_inc ()
        NGX_DU1_OUTBD_BRT_inc ()

        NGX_DU2_INBD_BRT_inc ()
        NGX_DU2_OUTBD_BRT_inc ()
    end

    DspShow ("DU", "BRT+")

end

function NGX_DU_LR_BRT_dec ()

    NGX_DU1_INBD_BRT_dec ()
    NGX_DU1_OUTBD_BRT_dec ()

    NGX_DU2_INBD_BRT_dec ()
    NGX_DU2_OUTBD_BRT_dec ()

    DspShow ("DU", "BRT-")

end

function NGX_DU_LR_BRT_decfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_dec ()
        NGX_DU1_OUTBD_BRT_dec ()

        NGX_DU2_INBD_BRT_dec ()
        NGX_DU2_OUTBD_BRT_dec ()
    end

    DspShow ("DU", "BRT-")

end


function NGX_DU_ALL_BRT_show ()

    local brt = ipc.readLvar('ngx_switch_329_a')
    brt = round(brt / 3)

    DspShow ("DU", tostring(brt) .. '%')

end

function NGX_DU_ALL_BRT_inc ()

    NGX_DU1_INBD_BRT_inc ()
    NGX_DU1_OUTBD_BRT_inc ()
    NGX_DU_UPPER_BRT_inc ()
    NGX_DU_LOWER_BRT_inc ()
    NGX_DU2_INBD_BRT_inc ()
    NGX_DU2_OUTBD_BRT_inc ()

    -- DspShow ("DU", "BRT+")
    NGX_DU_ALL_BRT_show ()

end

function NGX_DU_ALL_BRT_incfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_inc ()
        NGX_DU1_OUTBD_BRT_inc ()
        NGX_DU_UPPER_BRT_inc ()
        NGX_DU_LOWER_BRT_inc ()
        NGX_DU2_INBD_BRT_inc ()
        NGX_DU2_OUTBD_BRT_inc ()
    end

    -- DspShow ("DU", "BRT+")
    NGX_DU_ALL_BRT_show ()

end

function NGX_DU_ALL_BRT_dec ()

    NGX_DU1_INBD_BRT_dec ()
    NGX_DU1_OUTBD_BRT_dec ()
    NGX_DU_UPPER_BRT_dec ()
    NGX_DU_LOWER_BRT_dec ()
    NGX_DU2_INBD_BRT_dec ()
    NGX_DU2_OUTBD_BRT_dec ()

    -- DspShow ("DU", "BRT-")
    NGX_DU_ALL_BRT_show ()

end

function NGX_DU_ALL_BRT_decfast ()

    local i

    for i = 1, 5 do
        NGX_DU1_INBD_BRT_dec ()
        NGX_DU1_OUTBD_BRT_dec ()
        NGX_DU_UPPER_BRT_dec ()
        NGX_DU_LOWER_BRT_dec ()
        NGX_DU2_INBD_BRT_dec ()
        NGX_DU2_OUTBD_BRT_dec ()
    end

    -- DspShow ("DU", "BRT-")
    NGX_DU_ALL_BRT_show ()

end

-- ## Autobrake ###############

function NGX_AUTOBRAKE_inc ()

    ipc.control(70092, 16384)

    NGX_AUTOBRAKE_show ()

end

function NGX_AUTOBRAKE_dec ()

    ipc.control(70092, 8192)

    NGX_AUTOBRAKE_show ()

end

function NGX_AUTOBRAKE_show ()

    if ipc.readLvar('ngx_switch_460_a') == 0 then

        DspShow ("ABRK", "RTO")

    elseif ipc.readLvar('ngx_switch_460_a') == 10 then

        DspShow ("ABRK", "OFF")

    elseif ipc.readLvar('ngx_switch_460_a') == 20 then

        DspShow ("ABRK", "1")

    elseif ipc.readLvar('ngx_switch_460_a') == 30 then

        DspShow ("ABRK", "2")

    elseif ipc.readLvar('ngx_switch_460_a') == 40 then

        DspShow ("ABRK", "3")

    elseif ipc.readLvar('ngx_switch_460_a') == 50 then

        DspShow ("ABRK", "MAX")

    end

end



-- ## Electrics ###############

function NGX_BAT_on ()

    if ipc.readLvar('ngx_switch_02_a') == 100 then

        ipc.control(69633, 536870912)
        _sleep(200, 400)
        ipc.control(69634, 536870912)

    end

    DspShow("BAT", "ON")

end

function NGX_BAT_off ()

    if ipc.readLvar('ngx_switch_02_a') == 0 then

        ipc.control(69634, 536870912)
        _sleep(200, 400)
        ipc.control(69633, 536870912)

    end

    DspShow("BAT", "OFF")

end

function NGX_BAT_toggle ()

    if ipc.readLvar('ngx_switch_02_a') == 100 then

        NGX_BAT_on ()

    else

        NGX_BAT_off ()

    end

end

function NGX_STBY_POWER_bat ()

    if ipc.readLvar('ngx_switch_11_a') == 0 then

        ipc.control(69643, 536870912)
        _sleep(200, 400)

    end

    ipc.control(69642, 536870912)
    ipc.control(69642, 536870912)

    DspShow("STBY", "BAT")

end

function NGX_STBY_POWER_off ()

    if ipc.readLvar('ngx_switch_11_a') == 0 then

        ipc.control(69643, 536870912)
        _sleep(200, 400)

    end

    ipc.control(69642, 536870912)
    ipc.control(69642, 536870912)
    ipc.control(69642, -2147483648)

    DspShow("STBY", "OFF")

end

function NGX_STBY_POWER_Auto ()

    ipc.control(69642, -2147483648)
    ipc.control(69642, -2147483648)

    if ipc.readLvar('ngx_switch_11_a') == 100 then

        _sleep(200, 400)
        ipc.control(69643, 536870912)

    end

    DspShow("STBY", "AUTO")

end

function NGX_APU_show ()

    if ipc.readLvar('ngx_switch_118_a') == 0 then

        DspShow ("APU", "OFF")

    elseif ipc.readLvar('ngx_switch_118_a') == 50 then

        DspShow ("APU", "ON")

    elseif ipc.readLvar('ngx_switch_118_a') > 50 then

        DspShow ("APU", "STRT")
    end

end

function NGX_APU_dec ()

    ipc.control(69750, -2147483648)

    NGX_APU_show ()

end

function NGX_APU_inc ()

    ipc.control(69750, 536870912)

    NGX_APU_show ()

end


function NGX_APU_Start_or_ShowEGT ()

    ApuEgt = ipc.readLvar('ngx_switch_35_a')

    if ApuEgt > 0 then
    DspShow("APU", ApuEgt .. 'C')
    elseif ApuEgt == 0 then
    NGX_APU_inc ()
    end
end

function NGX_APU_GEN_L_on ()

    ipc.control(69660, 536870912)

end

function NGX_APU_GEN_L_off ()

    ipc.control(69660, -2147483648)

end

function NGX_APU_GEN_R_on ()

    ipc.control(69661, 536870912)

end

function NGX_APU_GEN_R_off ()

    ipc.control(69661, -2147483648)

end

function NGX_APU_GEN_BOTH_on ()

    NGX_APU_GEN_L_on ()
    _sleep(100, 200)
    NGX_APU_GEN_R_on ()
    ipc.sleep(50)

    DspShow("aGEN", "ON")

end

function NGX_APU_GEN_BOTH_off ()

    NGX_APU_GEN_L_off ()
    _sleep(100, 200)
    NGX_APU_GEN_R_off ()
    ipc.sleep(50)

    DspShow("aGEN", "OFF")

end



function NGX_GEN_L_on ()

    ipc.control(69659, 536870912)

end

function NGX_GEN_L_off ()

    ipc.control(69659, -2147483648)

end


function NGX_GEN_R_on ()

    ipc.control(69662, 536870912)

end

function NGX_GEN_R_off ()

    ipc.control(69662, -2147483648)

end

function NGX_GEN_BOTH_on ()

    NGX_GEN_L_on ()
    _sleep(100, 200)
    NGX_GEN_R_on ()

    ipc.sleep(50)

    DspShow("eGEN", "ON")

end

function NGX_GEN_BOTH_off ()

    NGX_GEN_L_off ()
    _sleep(100, 200)
    NGX_GEN_R_off ()

    ipc.sleep(50)

    DspShow("eGEN", "OFF")

end

-- ## Fuel ###############

function NGX_PUMP1_AFT_on ()

    if ipc.readLvar('ngx_switch_37_a') == 0 then

        ipc.control(69669, 536870912)

    end

    DspShow("PMP1", "A on")

end

function NGX_PUMP1_AFT_off ()

    if ipc.readLvar('ngx_switch_37_a') == 100 then

        ipc.control(69669, 536870912)

    end

    DspShow("PMP1", "Aoff")

end

function NGX_PUMP1_AFT_toggle ()

    ipc.control(69669, 536870912)

    if ipc.readLvar('ngx_switch_37_a') == 100 then

        DspShow("PMP1", "A on")

    else

        DspShow("PMP1", "Aoff")

    end

end

function NGX_PUMP1_FWD_on ()

    if ipc.readLvar('ngx_switch_38_a') == 0 then

        ipc.control(69670, 536870912)

    end

    DspShow("PMP1", "F on")

end

function NGX_PUMP1_FWD_off ()

    if ipc.readLvar('ngx_switch_38_a') == 100 then

        ipc.control(69670, 536870912)

    end

    DspShow("PMP1", "Foff")

end

function NGX_PUMP1_FWD_toggle ()

    ipc.control(69670, 536870912)

    if ipc.readLvar('ngx_switch_38_a') == 100 then

        DspShow("PMP1", "F on")

    else

        DspShow("PMP1", "Foff")

    end

end

function NGX_PUMP2_FWD_on ()

    if ipc.readLvar('ngx_switch_39_a') == 0 then

        ipc.control(69671, 536870912)

    end

    DspShow("PMP2", "F on")

end

function NGX_PUMP2_FWD_off ()

    if ipc.readLvar('ngx_switch_39_a') == 100 then

        ipc.control(69671, 536870912)

    end

    DspShow("PMP2", "Foff")

end

function NGX_PUMP2_FWD_toggle ()

    ipc.control(69671, 536870912)

    if ipc.readLvar('ngx_switch_39_a') == 100 then

        DspShow("PMP2", "F on")

    else

        DspShow("PMP2", "Foff")

    end

end



function NGX_PUMP2_AFT_on ()

    if ipc.readLvar('ngx_switch_40_a') == 0 then

        ipc.control(69672, 536870912)

    end

    DspShow("PMP2", "A on")

end

function NGX_PUMP2_AFT_off ()

    if ipc.readLvar('ngx_switch_40_a') == 100 then

        ipc.control(69672, 536870912)

    end

    DspShow("PMP2", "Aoff")

end

function NGX_PUMP2_AFT_toggle ()

    ipc.control(69672, 536870912)

    if ipc.readLvar('ngx_switch_40_a') == 100 then

        DspShow("PMP2", "A on")

    else

        DspShow("PMP2", "Aoff")

    end

end


function NGX_PUMPCTR_L_on ()

    if ipc.readLvar('ngx_switch_45_a') == 0 then

        ipc.control(69677, 536870912)

    end

    DspShow("PMPC", "L on")

end

function NGX_PUMPCTR_L_off ()

    if ipc.readLvar('ngx_switch_45_a') == 100 then

        ipc.control(69677, 536870912)

    end

    DspShow("PMPC", "Loff")

end

function NGX_PUMPCTR_L_toggle ()

    ipc.control(69677, 536870912)

    if ipc.readLvar('ngx_switch_45_a') == 100 then

        DspShow("PMPC", "L on")

    else

        DspShow("PMPC", "Loff")

    end

end


function NGX_PUMPCTR_R_on ()

    if ipc.readLvar('ngx_switch_46_a') == 0 then

        ipc.control(69678, 536870912)

    end

    DspShow("PMPC", "R on")

end

function NGX_PUMPCTR_R_off ()

    if ipc.readLvar('ngx_switch_46_a') == 100 then

        ipc.control(69678, 536870912)

    end

    DspShow("PMPC", "Roff")

end

function NGX_PUMPCTR_R_toggle ()

    ipc.control(69678, 536870912)

    if ipc.readLvar('ngx_switch_46_a') == 100 then

        DspShow("PMPC", "R on")

    else

        DspShow("PMPC", "Roff")

    end

end



function NGX_PUMPS1_on ()

    NGX_PUMP1_AFT_on ()
    _sleep(200, 400)
    NGX_PUMP1_FWD_on ()

end

function NGX_PUMPS1_off ()

    NGX_PUMP1_AFT_off ()
    _sleep(200, 400)
    NGX_PUMP1_FWD_off ()

end

function NGX_PUMPS1_toggle ()

    NGX_PUMP1_AFT_toggle ()
    _sleep(200, 400)
    NGX_PUMP1_FWD_toggle ()

end


function NGX_PUMPS2_on ()

    NGX_PUMP2_FWD_on ()
    _sleep(200, 400)
    NGX_PUMP2_AFT_on ()

end

function NGX_PUMPS2_off ()

    NGX_PUMP2_FWD_off ()
    _sleep(200, 400)
    NGX_PUMP2_AFT_off ()

end

function NGX_PUMPS2_toggle ()

    NGX_PUMP2_AFT_toggle ()
    _sleep(200, 400)
    NGX_PUMP2_FWD_toggle ()

end


function NGX_PUMPSCTR_on ()

    NGX_PUMPCTR_L_on ()
    _sleep(200, 400)
    NGX_PUMPCTR_R_on ()

end

function NGX_PUMPSCTR_off ()

    NGX_PUMPCTR_L_off ()
    _sleep(200, 400)
    NGX_PUMPCTR_R_off ()

end

function NGX_PUMPSCTR_toggle ()

    NGX_PUMPCTR_L_toggle ()
    _sleep(200, 400)
    NGX_PUMPCTR_R_toggle ()

end

function NGX_PUMPS1and2_on ()
    NGX_PUMPS1_on ()
    _sleep(200, 400)
    NGX_PUMPS2_on ()
end

function NGX_PUMPS1and2_off ()
    NGX_PUMPS1_off ()
    _sleep(200, 400)
    NGX_PUMPS2_off ()
end


function NGX_CROSSFEED_feed ()

    if ipc.readLvar('ngx_switch_49_a') == 100 then

        ipc.control(69681, 536870912)

    end

    DspShow("X FD", "ON")

end

function NGX_CROSSFEED_off ()

    if ipc.readLvar('ngx_switch_49_a') == 0 then

        ipc.control(69681, 536870912)

    end

    DspShow("X FD", "OFF")

end

function NGX_CROSSFEED_toggle ()

    ipc.control(69681, 536870912)

    if ipc.readLvar('ngx_switch_49_a') == 0 then

        DspShow("X FD", "ON")

    else

        DspShow("X FD", "OFF")

    end

end



-- ## Bleed and Packs ###############

function NGX_RECIRC_L_auto ()

    if ipc.readLvar('ngx_switch_872_a') == 0 then

        ipc.control(70504, 536870912)

    end

    DspShow("RCIC", "AUTO")

end

function NGX_RECIRC_L_off ()

    if ipc.readLvar('ngx_switch_872_a') == 100 then

        ipc.control(70504, 536870912)

    end

    DspShow("RCIC", " OFF")

end

function NGX_RECIRC_L_toggle ()

    ipc.control(70504, 536870912)

    if ipc.readLvar('ngx_switch_872_a') == 100 then

        DspShow("RCIC", "AUTO")

    elseif ipc.readLvar('ngx_switch_872_a') == 0 then

        DspShow("RCIC", " OFF")

    end

end


function NGX_RECIRC_R_auto ()

    if ipc.readLvar('ngx_switch_196_a') == 0 then

        ipc.control(69828, 536870912)

    end

    DspShow("RCIC", "AUTO")

end

function NGX_RECIRC_R_off ()

    if ipc.readLvar('ngx_switch_196_a') == 100 then

        ipc.control(69828, 536870912)

    end

    DspShow("RCIC", " OFF")

end

function NGX_RECIRC_R_toggle ()

    ipc.control(69828, 536870912)

    if ipc.readLvar('ngx_switch_196_a') == 100 then

        DspShow("RCIC", "AUTO")

    elseif ipc.readLvar('ngx_switch_196_a') == 0 then

        DspShow("RCIC", " OFF")

    end

end




function NGX_PACK_L_show ()

    if ipc.readLvar('ngx_switch_200_a') == 0 then

        DspShow("PCKL", " OFF")

    elseif ipc.readLvar('ngx_switch_200_a') == 50 then

        DspShow("PCKL", "AUTO")

    elseif ipc.readLvar('ngx_switch_200_a') == 100 then

        DspShow("PCKL", "HIGH")

    end

end



function NGX_PACK_L_high ()

    ipc.control(69832, 536870912)
    ipc.control(69832, 536870912)
    NGX_PACK_L_show ()

end

function NGX_PACK_L_auto ()

    ipc.control(69832, 536870912)
    ipc.control(69832, 536870912)
    ipc.control(69832, -2147483648)
    NGX_PACK_L_show ()

end



function NGX_PACK_L_off ()

    ipc.control(69832, -2147483648)
    ipc.control(69832, -2147483648)
    NGX_PACK_L_show ()

end

function NGX_PACK_L_inc ()

    ipc.control(69832, 536870912)
    NGX_PACK_L_show ()

end

function NGX_PACK_L_dec ()

    ipc.control(69832, -2147483648)
    NGX_PACK_L_show ()

end


function NGX_PACK_R_show ()

    if ipc.readLvar('ngx_switch_201_a') == 0 then

        DspShow("PCKR", " OFF")

    elseif ipc.readLvar('ngx_switch_201_a') == 50 then

        DspShow("PCKR", "AUTO")

    elseif ipc.readLvar('ngx_switch_201_a') == 100 then

        DspShow("PCKR", "HIGH")

    end

end

function NGX_PACK_R_High ()

    ipc.control(69833, 536870912)
    ipc.control(69833, 536870912)
    NGX_PACK_R_show ()

end

function NGX_PACK_R_Auto ()

    ipc.control(69833, 536870912)
    ipc.control(69833, 536870912)
    ipc.control(69833, -2147483648)
    NGX_PACK_R_show ()

end



function NGX_PACK_R_off ()

    ipc.control(69833, -2147483648)
    ipc.control(69833, -2147483648)
    NGX_PACK_R_show ()

end

function NGX_PACK_R_inc ()

    ipc.control(69833, 536870912)
    NGX_PACK_R_show ()

end

function NGX_PACK_R_dec ()

    ipc.control(69833, -2147483648)
    NGX_PACK_R_show ()

end


function NGX_ISOL_VALVE_show ()

    if ipc.readLvar('ngx_switch_202_a') == 0 then

        DspShow("ISOL", "CLOS")

    elseif ipc.readLvar('ngx_switch_202_a') == 50 then

        DspShow("ISOL", "AUTO")

    elseif ipc.readLvar('ngx_switch_202_a') == 100 then

        DspShow("ISOL", "OPEN")

    end

end

function NGX_ISOL_VALVE_open ()

    ipc.control(69834, 536870912)
    ipc.control(69834, 536870912)
    NGX_ISOL_VALVE_show ()

end

function NGX_ISOL_VALVE_auto ()

    ipc.control(69834, 536870912)
    ipc.control(69834, 536870912)
    ipc.control(69834, -2147483648)
    NGX_ISOL_VALVE_show ()

end

function NGX_ISOL_VALVE_off ()

    ipc.control(69834, -2147483648)
    ipc.control(69834, -2147483648)
    NGX_ISOL_VALVE_show ()

end

function NGX_ISOL_VALVE_inc ()

    ipc.control(69834, 536870912)
    NGX_ISOL_VALVE_show ()

end

function NGX_ISOL_VALVE_dec ()

    ipc.control(69834, -2147483648)
    NGX_ISOL_VALVE_show ()

end


function NGX_BLEED1_show ()

    if ipc.readLvar('ngx_switch_210_a') == 100 then

        DspShow("BLD1", " ON")

    elseif ipc.readLvar('ngx_switch_210_a') == 0 then

        DspShow("BLD1", "OFF")

    end
end

function NGX_BLEED1_on ()

    if ipc.readLvar('ngx_switch_210_a') == 0 then

        ipc.control(69842, 536870912)

    end

    NGX_BLEED1_show ()

end

function NGX_BLEED1_off ()

    if ipc.readLvar('ngx_switch_210_a') == 100 then

        ipc.control(69842, 536870912)

    end

    NGX_BLEED1_show ()

end

function NGX_BLEED1_toggle ()

    ipc.control(69842, 536870912)
    NGX_BLEED1_show ()

end

function NGX_BLEED2_show ()

    if ipc.readLvar('ngx_switch_212_a') == 100 then

        DspShow("BLD2", " ON")

    elseif ipc.readLvar('ngx_switch_212_a') == 0 then

        DspShow("BLD2", " OFF")

    end

end

function NGX_BLEED2_on ()

    if ipc.readLvar('ngx_switch_212_a') == 0 then

        ipc.control(69844, 536870912)

    end

    NGX_BLEED2_show ()

end

function NGX_BLEED2_off ()

    if ipc.readLvar('ngx_switch_212_a') == 100 then

        ipc.control(69844, 536870912)

    end

    NGX_BLEED2_show ()

end

function NGX_BLEED2_toggle ()

    ipc.control(69844, 536870912)
    NGX_BLEED2_show ()

end


function NGX_APUBLEED_show ()

    if ipc.readLvar('ngx_switch_211_a') == 100 then

        DspShow("BLDa", " ON")

    elseif ipc.readLvar('ngx_switch_211_a') == 0 then

        DspShow("BLDa", " OFF")

    end
end

function NGX_APUBLEED_on ()

    if ipc.readLvar('ngx_switch_211_a') == 0 then

        ipc.control(69843, 536870912)

    end

    NGX_APUBLEED_show ()

end

function NGX_APUBLEED_off ()

    if ipc.readLvar('ngx_switch_211_a') == 100 then

        ipc.control(69843, 536870912)

    end

    NGX_APUBLEED_show ()

end

function NGX_APUBLEED_toggle ()

    ipc.control(69843, 536870912)
    NGX_APUBLEED_show ()

end


-- ## Engine start ###############


function NGX_ENG1_idle ()

    ipc.control(70320, 0)
    DspShow ("ENG1", "IDLE")

end

function NGX_ENG1_cutoff ()

    ipc.control(70320, 1)
    DspShow ("ENG1", "CUT")

end

function NGX_ENG2_idle ()

    ipc.control(70321, 0)
    DspShow ("ENG2", "IDLE")

end

function NGX_ENG2_cutoff ()

    ipc.control(70321, 1)
    DspShow ("ENG2", "CUT")

end



function NGX_ENG1_START_show ()

    if ipc.readLvar('ngx_switch_119_a') == 0 then

        DspShow ("ENG1", "GRD")

    elseif ipc.readLvar('ngx_switch_119_a') == 10 then

        DspShow ("ENG1", "OFF")

    elseif ipc.readLvar('ngx_switch_119_a') == 20 then

        DspShow ("ENG1", "CONT")

    elseif ipc.readLvar('ngx_switch_119_a') == 30 then

        DspShow ("ENG1", "FLT")

    end

end


function NGX_ENG2_START_show ()

    if ipc.readLvar('ngx_switch_121_a') == 0 then

        DspShow ("ENG2", "GRD")

    elseif ipc.readLvar('ngx_switch_121_a') == 10 then

        DspShow ("ENG2", "OFF")

    elseif ipc.readLvar('ngx_switch_121_a') == 20 then

        DspShow ("ENG2", "CONT")

    elseif ipc.readLvar('ngx_switch_121_a') == 30 then

        DspShow ("ENG2", "FLT")

    end

end


function NGX_ENG1_START_inc ()

    ipc.control(69751, 16384)

    NGX_ENG1_START_show ()

end

function NGX_ENG1_START_dec ()

    ipc.control(69751, 8192)

    NGX_ENG1_START_show ()

end

function NGX_ENG2_START_inc ()

    ipc.control(69753, 16384)

    NGX_ENG2_START_show ()

end

function NGX_ENG2_START_dec ()

    ipc.control(69753, 8192)

    NGX_ENG2_START_show ()

end


-- ## Warnings ###############

function NGX_WARN_FIRE_reset ()

    ipc.control(69979, 536870912)

end

function NGX_WARN_MASTER_reset ()

    ipc.control(69980, 536870912)

end

function NGX_SYSTEM_ANN_reset ()

    ipc.control(69981, 536870912)

end

function NGX_AP_P_reset ()

    ipc.control(69971, 536870912)

end

function NGX_AT_P_reset ()

    ipc.control(69972, 536870912)

end

function NGX_FMC_P_reset ()

    ipc.control(69973, 536870912)

end

function NGX_AP_AT_FMC_reset ()

    ipc.control(69971, 536870912)
    ipc.control(69972, 536870912)
    ipc.control(69973, 536870912)

end

function NGX_BelowGS_Inhibit ()

    ipc.control(69959, 536870912)

end

-- ## VHF Panel ###############

function NGX_Marker_show ()

    if ipc.readLvar('ngx_switch_284_a') == 100 then

        DspShow("MKR", " ON")

    elseif ipc.readLvar('ngx_switch_284_a') == 0 then

        DspShow("MKR", "OFF")

    end
end

function NGX_Marker_on ()

    if ipc.readLvar('ngx_switch_284_a') == 100 then

        ipc.control(69916, 536870912)

    end

    NGX_Marker_show ()
end

function NGX_Marker_off ()

    if ipc.readLvar('ngx_switch_284_a') == 0 then

        ipc.control(69916, 536870912)

    end

    NGX_Marker_show ()
end


-- ## CDU ###############

function NGX_CDU_LSK_1L ()
    ipc.control(70166, 536870912)
end

function NGX_CDU_LSK_2L ()
    ipc.control(70167, 536870912)
end

function NGX_CDU_LSK_3L ()
    ipc.control(70168, 536870912)
end

function NGX_CDU_LSK_4L ()
    ipc.control(70169, 536870912)
end

function NGX_CDU_LSK_5L ()
    ipc.control(70170, 536870912)
end

function NGX_CDU_LSK_6L ()
    ipc.control(70171, 536870912)
end

function NGX_CDU_LSK_1R ()
    ipc.control(70172, 536870912)
end

function NGX_CDU_LSK_2R ()
    ipc.control(70173, 536870912)
end

function NGX_CDU_LSK_3R ()
    ipc.control(70174, 536870912)
end

function NGX_CDU_LSK_4R ()
    ipc.control(70175, 536870912)
end

function NGX_CDU_LSK_5R ()
    ipc.control(70176, 536870912)
end

function NGX_CDU_LSK_6R ()
    ipc.control(70177, 536870912)
end

function NGX_CDU_INIT_REF ()
    ipc.control(70178, 536870912)
end

function NGX_CDU_RTE ()
    ipc.control(70179, 536870912)
end

function NGX_CDU_CLB ()
    ipc.control(70180, 536870912)
end

function NGX_CDU_CRZ ()
    ipc.control(70181, 536870912)
end

function NGX_CDU_DES ()
    ipc.control(70182, 536870912)
end

function NGX_CDU_MENU ()
    ipc.control(70183, 536870912)
end

function NGX_CDU_LEGS ()
    ipc.control(70184, 536870912)
end

function NGX_CDU_DEP_ARR ()
    ipc.control(70185, 536870912)
end

function NGX_CDU_HOLD ()
    ipc.control(70186, 536870912)
end

function NGX_CDU_PROG ()
    ipc.control(70187, 536870912)
end

function NGX_CDU_EXEC ()
    ipc.control(70188, 536870912)
end

function NGX_CDU_N1_LIMIT ()
    ipc.control(70189, 536870912)
end

function NGX_CDU_FIX ()
    ipc.control(70190, 536870912)
end

function NGX_CDU_PREV_PAGE ()
    ipc.control(70191, 536870912)
end

function NGX_CDU_NEXT_PAGE ()
    ipc.control(70192, 536870912)
end

function NGX_CDU_1 ()
    ipc.control(70193, 536870912)
end

function NGX_CDU_2 ()
    ipc.control(70194, 536870912)
end

function NGX_CDU_3 ()
    ipc.control(70195, 536870912)
end

function NGX_CDU_4 ()
    ipc.control(70196, 536870912)
end

function NGX_CDU_5 ()
    ipc.control(70197, 536870912)
end

function NGX_CDU_6 ()
    ipc.control(70198, 536870912)
end

function NGX_CDU_7 ()
    ipc.control(70199, 536870912)
end

function NGX_CDU_8 ()
    ipc.control(70200, 536870912)
end

function NGX_CDU_9 ()
    ipc.control(70201, 536870912)
end

function NGX_CDU_Period ()
    ipc.control(70202, 536870912)
end

function NGX_CDU_0 ()
    ipc.control(70203, 536870912)
end

function NGX_CDU_Sign ()
    ipc.control(70204, 536870912)
end

function NGX_CDU_A ()
    ipc.control(70205, 536870912)
end

function NGX_CDU_B ()
    ipc.control(70206, 536870912)
end

function NGX_CDU_C ()
    ipc.control(70207, 536870912)
end

function NGX_CDU_D ()
    ipc.control(70208, 536870912)
end

function NGX_CDU_E ()
    ipc.control(70209, 536870912)
end

function NGX_CDU_F ()
    ipc.control(70210, 536970912)
end

function NGX_CDU_G ()
    ipc.control(70211, 536870912)
end

function NGX_CDU_H ()
    ipc.control(70212, 536870912)
end

function NGX_CDU_I ()
    ipc.control(70213, 536870912)
end

function NGX_CDU_J ()
    ipc.control(70214, 536870912)
end

function NGX_CDU_K ()
    ipc.control(70215, 536870912)
end

function NGX_CDU_L ()
    ipc.control(70216, 536870912)
end

function NGX_CDU_M ()
    ipc.control(70217, 536870912)
end

function NGX_CDU_N ()
    ipc.control(70218, 536870912)
end

function NGX_CDU_O ()
    ipc.control(70219, 536870912)
end

function NGX_CDU_P ()
    ipc.control(70220, 536870912)
end

function NGX_CDU_Q ()
    ipc.control(70221, 536870912)
end

function NGX_CDU_R ()
    ipc.control(70222, 536870912)
end

function NGX_CDU_S ()
    ipc.control(70223, 536870912)
end

function NGX_CDU_T ()
    ipc.control(70224, 536870912)
end

function NGX_CDU_U ()
    ipc.control(70225, 536870912)
end

function NGX_CDU_V ()
    ipc.control(70226, 536870912)
end

function NGX_CDU_W ()
    ipc.control(70227, 536870912)
end

function NGX_CDU_X ()
    ipc.control(70228, 536870912)
end

function NGX_CDU_Y ()
    ipc.control(70229, 536870912)
end

function NGX_CDU_Z ()
    ipc.control(70230, 536870912)
end

function NGX_CDU_Space ()
    ipc.control(70231, 536870912)
end

function NGX_CDU_DEL ()
    ipc.control(70232, 536870912)
end

function NGX_CDU_FwdSlash ()
    ipc.control(70233, 536870912)
end

function NGX_CDU_CLR ()
    ipc.control(70234, 536870912)
end




-- ## Cockpit prepare ###############
function NGX_Cockpit_Prepare ()

    -- << uncomment/comment for your needs

    NGX_EFIS_BARO_MODE_hpa ()

    -- NGX_EFIS_BARO_MODE_inHg ()



    -- NGX_EFIS_MINS_MODE_baro ()

    NGX_EFIS_MINS_MODE_radio ()




    ipc.writeLvar("L:yoke_left_hide", 1)
    ipc.writeLvar("L:yoke_right_hide", 1)



end

