-- ## WORKING WITH HID DEVICES ############

function SHIFT_GLOBAL_SET ()

	SHIFT_GLOB = 1

	_log("Global shift set...")
	
end

function SHIFT_LOCAL_SET (jid)

	SHIFT_LOC[jid] = 1
	
	_log("JSTK " .. tostring(jid) .. " shifted...")

end

function SHIFT_GLOBAL_UNSET ()

	SHIFT_GLOB = 0

	_log("Global shift UNset...")
	
end

function SHIFT_LOCAL_UNSET (jid)

	SHIFT_LOC[jid] = 0

	_log("JSTK " .. tostring(jid) .. " UNshifted...")
	
end


function buttonExecute (jid, func)

	_logg("JSTK " .. tostring(jid) .. " exec: " .. tostring(func))
	
	if func == nil then return end
	
	if string.find(func, "Keys:") ~= nil then
	
		KeyPress (string.sub(func, 7))
	
		return
	
	end

	if string.find(func, "Control:") ~= nil then
	
		FSXcontrol (string.sub(func, 10))
	
		return
	
	end

	if string.find(func, "FSX:") ~= nil then
	
		FSXcontrolName (string.sub(func, 6))
	
		return
	
	end

	if string.sub(func, 1, 2) == "M:" then
	
		FSUIPCmacro (string.sub(func, 4))
		ipc.writeUB('66FF', 0)
	
		return
	
	end
			
	if type(_G[func]) == 'function' then _G[func] (jid) end

end

function buttonOnPress (jid, btn)

	-- _log("JSTK " .. tostring(jid) .. " btn: " .. tostring(btn))
	
	if JSTK[jid][btn] == "LOCAL_SHIFT" then 
		
		SHIFT_LOCAL_SET (jid)
		return
		
	end

	if JSTK[jid][btn] == "GLOBAL_SHIFT" then 
		
		SHIFT_GLOBAL_SET ()
		return
		
	end

	if SHIFT_LOC[jid] == 1 or SHIFT_GLOB == 1 then
	-- shifted action
	
		-- execute
		buttonExecute (jid, JSTK2[jid][btn])
		
		_logg("JSTK shifted " .. tostring(jid) .. '/' .. tostring(btn) .. " press call: " .. tostring(JSTK2[jid][btn]))
		
		if JSTK2rp[jid][btn] ~= nil then buttonRepeatAdd (jid, btn, JSTK2rp[jid][btn]) end
		
	else
	-- normal action
	
		-- execute
		buttonExecute (jid, JSTK[jid][btn])
		
		_logg("JSTK " .. tostring(jid) .. '/' .. tostring(btn) .. " press call: " .. tostring(JSTK[jid][btn]))
		
		if JSTKrp[jid][btn] ~= nil then buttonRepeatAdd (jid, btn, JSTKrp[jid][btn]) end
	
	end
	
	
end

function buttonOnRelease (jid, btn)

	if JSTK[jid][btn] == "LOCAL_SHIFT" then 
		
		SHIFT_LOCAL_UNSET (jid)
		return
		
	end

	if JSTK[jid][btn] == "GLOBAL_SHIFT" then 
		
		SHIFT_GLOBAL_UNSET ()
		return
		
	end

	if SHIFT_LOC[jid] == 1 or SHIFT_GLOB == 1 then
	-- shifted action

		if JSTK2rp[jid][btn] ~= nil then buttonRepeatRemove (jid, btn, JSTK2rl[jid][btn]) end

		-- execute
		buttonExecute (jid, JSTK2rl[jid][btn])
		
		_logg("JSTK shifted " .. tostring(jid) .. '/' .. tostring(btn) .. " release call: " .. tostring(JSTK2rl[jid][btn]))
	
	else
	-- normal action

		if JSTKrp[jid][btn] ~= nil then buttonRepeatRemove (jid, btn, JSTKrl[jid][btn]) end

		-- execute
		buttonExecute (jid, JSTKrl[jid][btn])
		
		_logg("JSTK " .. tostring(jid) .. '/' .. tostring(btn) .. " release call: " .. tostring(JSTKrl[jid][btn]))
	
	end
	
	
end

function buttonRepeatAdd (jid, btn, func)

	if func == "Do nothing" then return end

	JREP[tostring(jid) .. '_' .. tostring(btn)] = func
	
	_logg("JSTK " .. tostring(jid) .. " repeat add: " .. tostring(func))
	
end

function buttonRepeatRemove (jid, btn, func)

	if func == "Do nothing" then return end

	JREP[tostring(jid) .. '_' .. tostring(btn)] = nil

	_logg("JSTK " .. tostring(jid) .. " repeat remove: " .. tostring(func))
	
end

function buttonRepeatter ()

	for id, func in pairs(JREP) do
	
		-- execute
		buttonExecute (jid, func)
	
		_logg("JREP Cycle: " .. func) 
		
	end
	

end




